Mon Jun 16 11:14:15 2003  Chris Cleeland  <cleeland@ociweb.com>

        * TAO version 1.3.3 released.

Sat Jun 14 08:44:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Exception.h: gcc version 2.9-gnupro-98r2 on LynxOS produces
          a huge amount of  "implicit declaration of function `int
          vsprintf(...)'" warnings on TAO build. LynxOS needs stdarg.h to
          be included before stdio.h. Thanks to Olli Savia <ops@iki.fi>
          for the patch.

Fri Jun 13 13:11:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile: Removed creation of a README for orbsvcs during the
          release since we have an html file in docs.

Thu Jun 12 15:34:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Typecode.cpp: In lieu of the following "Thu Jun 12 15:20:37
          2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>" change
          in ACE, the explicit template instantiations for
          ACE_Unbounded_Queue<> is now removed. Thanks again to Rob Andzik
          for motivating these changes.

Thu Jun 12 14:53:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/BiDir_GIOP/BiDir_Policy_i.cpp: Fixed compilation errors on
          MSVC 6.0.

Thu Jun 12 14:05:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/OctetSeqC.h:
        * tao/OctetSeqC.cpp:
        * tao/OctetSeqC.i: Regenerated code for OctetSeq due to the change
          "Tue Jun 10 10:05:34 2003  Jeff Parsons
          <j.parsons@vanderbilt.edu>".

        * tao/diffs/OctetSeq.diff: Updated the diffs.

        * tao/PortableServer/PortableServerC.h: Removed duplicate
          instantiations of Any_Dual_Impl_T<>. Thanks to Rob Andzik for
          pointing this out.

Thu Jun 12 10:46:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.h:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp:

          Removed a method from a template utility class that was more
          trouble than it was worth to support on platforms requiring
          explicit template instantiation. Also removed all uses of this
          method, removed a specialization of it, and moved the explicit
          template instantiation back to the tmplinst.cpp file.

Wed Jun 11 16:14:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/IDL_Test/Makefile: Fixed a minor problem which should
          help the daily builds to run this test a lot smoother!

Wed Jun 11 15:58:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Transport_Cache_Manager.cpp (make_idle_i): Fixes for BUG
          1528. Please see

          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1528

          for the motivation. This checkin just removes the call to find
          () on the map. It just changes the state of the map entry to
          idle after holding a lock.

Wed Jun 11 15:08:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Profile.cpp:
        * tao/Profile.h: Strategized the lock held by the Profile
          class. With this change it is possible to hold a null-lock for
          single threaded applications. We can configure the profiles to
          have a null lock using -ORBProfileLock null. This fixes BUG
          1527.

        * tao/Invocation.cpp: Fixed a stupid typo that caused the profile's
          refcount to be incremented twice in every call. This should fix
          a memory leak.

Wed Jun 11 12:15:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp: Added
          TAO_Abstract_ServantBase to the list of constructors that needs
          to be called. This will help to avoid warnings for simple
          cases.

          For deeply nested hierachies we still have a problem in that we
          are not calling the base class constructors with virtual
          inheritance, in the right order. We are doing things in the
          reverse order which ticks of gcc 3.3.

Wed Jun 11 12:07:33 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/driver/drv_preproc.cpp (DRV_cpp_init):

          Added code to strip a trailing '/' if it appears in a fetched
          environment string. Appends to these strings always include
          a leading '/', and some compilers choke on the resulting "//"
          separator. Thanks to D.J. Dwyer <dj_dwyer@yahoo.com> for
          tracking down the source of the problem.

Wed Jun 11 11:44:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Buffering_Constraint_Policy.cpp:
        * tao/BiDir_GIOP/BiDir_Policy_i.cpp:
        * tao/BiDir_GIOP/BiDir_Policy_i.h:
        * tao/Messaging/Connection_Timeout_Policy_i.cpp:
        * tao/Messaging/Messaging_Policy_i.cpp:
        * tao/PortableServer/Servant_Base.cpp:
        * tao/RTCORBA/RT_Policy_i.cpp: First set of fixes for gcc
          3.3. These are all related to the order of base class
          construction which has virtual inheritance. gcc 3.3 is
          particularly picky about this emitting up lots of warnings. What
          makes this particularly tricky is that gcc 3.3 is a bit
          inconsistent emitting warnings for only copy constructors. But
          that is besides the point.

          The fixes made are also for regular constructors and so they
          should just work fine. Thanks to Boris and Jeff Parsons for
          spending some of their time to discuss about this.

Wed Jun 11 11:45:47 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp(set_is_multiple):

          Restored parameter names in the signature and ACE_UNUSED_ARG macros
          in the body, to eliminate BCB5 warnings.

        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp:

          Added missing explicit template instantiations.

Tue Jun 10 15:15:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:

          We have been having an interoperability problem with JacOrb
          for the following reason: In typecode generation for aggregate
          types with repeated member types, the TAO IDL compiler generates
          a negative offset indirection for the repeats, using the same
          mechanism as for recursive types. This is allowed, but not
          mandated, by the spec. JacOrb, it seems, can handle this method
          in recursive types, but not for repeated members.

          My fix will change typecode generation so that the negative
          offset for repeated members will be used only with the
          optimized typecode command line option (-Gt). Otherwise,
          typecodes for reapeated members will themselves be repeated
          in the containing typecode.

Tue Jun 10 10:05:34 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp (visit_node):

          Added fix to visitor logic for CDR input that was overlooked
          when I added the same fix for CDR output in

          Sun Jun  8 13:39:39 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

Tue Jun 10 09:33:41 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:

          Cosmetic changes.

        * orbsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp:

          Added a specialization for the
          TAO_IFR_Desc_Utils<>::fill_desc_begin_ex() method when the
          template parameters are CORBA::OperationDescription and
          TAO_OperationDef_i, since this method, although not called
          with these parameters, requires a type code member 'type' that
          OperationDescription calls 'result'. Also removed
          the explicit instantiation for the template class from
          tmplinst.cpp and put it immediately after the specialization,
          to make sure that things are seen by the compiler in the
          necessary order.

Mon Jun  9 19:20:27 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.h:

          Additions toward valuetype support in IFR loader.

Mon Jun  9 16:17:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.h:

          Added 'const' qualifier to operation parameters where only
          constant strings are passed in.

        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp:

          Added explicit template instantiations for recent changes.

Mon Jun 09 15:34:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Latency/Single_Threaded/svc.conf.xml:
        * performance-tests/Latency/Single_Threaded/svc.conf: Removed the
          deprecated -ORBResources option.

        * performance-tests/Latency/Single_Threaded/client.dsp:
        * performance-tests/Latency/Single_Threaded/server.dsp: Removed
          extraneous library inclusions on the link line. Removed the -GC
          option while invoking the IDL compiler. Other than being
          inconsistent, doing exraneous things skews up displayed results
          from tools like quantify which creates a hurdle when one is
          doing performance analysis.

Mon Jun  9 14:38:44 2003  Gan Deng  <dengg@dre.vanderbilt.edu>

        * performance-tests/Sequence_Latency/Single_Threaded/client.cpp:
          Fixed compile errors on Win32. Thanks to Bala for helping me
          out.

Mon Jun  9 13:51:19 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_is.cpp:

          Added context state initialization to the visitor created
          to traverse the interface inheritance graph when generating
          code for the implementation classes. Thanks to
          Tommy Andreasen <Tommy.Andreasen@Radiometer.dk> for reporting the
          bug. Also added annotation generation and fixed indentation.

        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_is.cpp:

          Added annotation and fixed indentation of generated code.

Mon Jun  9 12:33:20 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Endpoint.h:
        * tao/Strategies/SCIOP_Endpoint.i: Cosmetic changes.

Mon Jun  9 11:30:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_union/union_cs.cpp:

          Removed check for non-locality in conditional typecode generation.
          This one was overlooked in the general removal of these checks
          some time ago. Thanks to Anand <anand@iCMGworld.com> for reporting
          the bug.

Mon Jun  9 10:09:52 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/Makefile.bor:
          Added SCIOP files.

        * tao/Strategies/SCIOP_Acceptor.h:
        * tao/Strategies/SCIOP_Connection_Handler.h:
        * tao/Strategies/SCIOP_Connector.h:
        * tao/Strategies/SCIOP_Endpoint.h:
        * tao/Strategies/sciop_endpoints.h:
        * tao/Strategies/SCIOP_Factory.h:
        * tao/Strategies/SCIOP_Lite_Factory.h:
        * tao/Strategies/SCIOP_Profile.h:
        * tao/Strategies/SCIOP_Transport.h:
          Changed TAO_Export to TAO_Strategies_Export to correctly
          export/import these classes from a DLL. Added missing includes
          to pickup these defines.

Sun Jun  8 23:21:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
        * orbsvcs/orbsvcs/IFRService/ProvidesDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ProvidesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/UsesDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/UsesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueMemberDef_i.h:

          More changes toward support of components, valuetypes and eventtypes
          in the IFR.

Sun Jun  8 18:50:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Sequence_Latency/Single_Threaded: New test for
          tracking performance of sequence<basic types>. Our code
          generatiom for sequence<> were broken for 1.3.2.

        * performance-tests/Makefile:
        * performance-tests/Makefile.bor: Added the new test directory

        * performance-tests/Sequence_Latency/Makefile.bor:
        * performance-tests/Sequence_Latency/Makefile: New makefile for
          recursing into every test.

Sun Jun  8 13:39:39 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

          Fixed a bug in CDR operator generation for octet sequences.
          Previous changes were causing the octet sequence no-copy
          optimization to never be generated.

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:

          Fixed a bug in name creation for anonymous sequences that
          are themselves sequence elements.

Sun Jun  8 11:12:23 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbwsvcs/orbsvcs/IFRService/EventPortDef_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/ExtValueDef_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/InterfaceDef_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/OperationDef_i.cpp:
        * orbwsvcs/orbsvcs/IFRService/OperationDef_i.h:
        * orbwsvcs/orbsvcs/IFRService/ValueDef_i.cpp:

          Errors caught from the checkin below by gcc 3.2.

Sun Jun  8 10:10:36 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (get_protocols_hooks): Fixed a small problem in
          logic that lead to crashes in the daily builds.

Sun Jun  8 10:20:47 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ComponentContainer_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.h:
        * orbsvcs/orbsvcs/IFRService/EventDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtAbstractInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtAbstractInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtAttributeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtAttributeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtLocalInterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtLocalInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtValueDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExtValueDef_i.h:
        * orbsvcs/orbsvcs/IFRService/FactoryDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/FactoryDef_i.h:
        * orbsvcs/orbsvcs/IFRService/FinderDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/FinderDef_i.h:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_Service_Utils_T.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceAttrExtension_i.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ValueDef_i.h:

          Added partial support in the IFR for valuetypes, components, homes
          and eventtypes.

Sun Jun  8 12:49:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/RtEC/MCast/MCast.cpp:
          Added missing include because of file restructering in the RTEC

Sat Jun  7 18:01:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ChangeLogs/ChangeLog-03a: Moved entries till Mar 31 to this file
          from $TAO_ROOT/ChangeLog

Sat Jun  7 14:14:24 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.h:
        * tao/ORB_Core.cpp (get_protocol_hooks): This method needed
          synchronization that was missing. This method is called from the
          the *IOP_Transport::send_request () method. Multiple threads
          could be calling the same method from various handlers and there
          is a race during initialization.

          Since we now have a lock in the get_protocol_hooks () method and
          since the method goes to the ACE_Dynamic_Service singleton,
          there was need to optimize things a bit. This necessitated a flag
          that will keep track whether the get_protocol_hooks () has been
          called or not. If called, the method wold be more or like a
          no-op. Sad that we cannot inline this method to squeeze things
          out a bit more.

        * tao/Protocols_Hooks.h: Changed the signatures of the methods
          update_client_protocol_properties () and
          update_server_protocol_properties (). These methods will now use
          a transport instead of the connection handler. Please see below
          for the actual reason.

        * tao/Default_Protocols_Hooks.h:
        * tao/Default_Protocols_Hooks.cpp: Changes necessitated by the
          above change.

        * tao/IIOP_Transport.cpp:
        * tao/IIOP_Transport.h: Added a methoid update_protocol_properties
          () which would serve as a bridge for a similar call on the
          connection handler. This method holds the transport lock and
          checks for the sanity of the connection handler before it calls
          update_protocol_properties () on the connection handler.

        * tao/Stub.cpp: Removed a call to reset_hint () on the endpoint.

        * tao/RTCORBA/RT_Protocols_Hooks.cpp
        * tao/RTCORBA/RT_Protocols_Hooks.h: Changed the signatures of
          update_client_protocol_properties () and
          update_server_protocol_properties () to be in sync with the
          above change.

        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp: The nucleus of
          the problem was here. The object adapter during the invocation
          path makes a call to pre_invoke_remote_request (). Since the
          call is on the server side, only the transport object can be
          used to do anything since there is a possibility that the
          connection handlers could have been deleted. This goes back to
          how the TP_Reactor works and how things are implemented in TAO.

          The transport object is capable of running some consistency
          checks on the connection handlers before invoking any method on
          the connection handler. We have now restructured the code in
          such a manner that the Protocols_Hooks will make a call on the
          transport object which will delegate to the connection handler
          after a couple of consistency checks. We got rid of a dynamic
          cast on the critical path by this restructuring.

          Thanks to Andrew <andrewv@melbpc.org.au> for reporting the
          problem and providing lots of stack traces that pointed out the
          source of the problem.

Sat Jun  7 13:45:38 2003  Douglas C. Schmidt  <schmidt@macarena.cs.wustl.edu>

        * tao/PortableServer/Operation_Table.cpp:
        * TAO_IDL/be/be_tmplinst.cpp: HP/UX and GCC do some weird things,
          so it's necessary to explicitly instantiate all static template
          singletons, even when using automatic template instantiation!
          Thanks to Stan Sosnovsky <sosnovsky_stan@emc.com> for reporting
          this.

Sat Jun 07 09:34:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.h: Religiously
          replicated the changes made to other protocols.

Sat Jun 07 09:10:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAOACE.dsw (Package): Added TAO_Strategies library as a
          dependency to ImR_Activator.

Sat Jun 07 08:50:13 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Endpoint.h: Removed the reset_hint () method.

        * tao/IIOP_Endpoint.h: Removed the reset_hint () method since it
          is not used anymore. Added an extra argument to the constructor
          to pass the priority of the endpoint.

        * tao/IIOP_Endpoint.cpp:
        * tao/IIOP_Endpoint.i: Moved the object_addr () method from the
          inlined file to the cpp file. It was too big to be inlined in
          the first place.

          The implementation of the duplicate () method now passes the
          priority of the endpoint when it creates a new endpoint
          object.

          Removed the implementation of the reset_hint () method.

        * tao/Strategies/SHMIOP_Endpoint.cpp:
        * tao/Strategies/SHMIOP_Endpoint.h:
        * tao/Strategies/SHMIOP_Endpoint.i:
        * tao/Strategies/UIOP_Endpoint.h:
        * tao/Strategies/UIOP_Endpoint.cpp:
        * tao/Strategies/DIOP_Endpoint.h:
        * tao/Strategies/DIOP_Endpoint.i:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.i: Religiously replicated
          the above changes.

        * orbsvcs/ImplRepo_Service/ImR_Activator.dsp: Added TAO_Strategies
          library to the link line.

Sat Jun  7 08:49:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        This checkin merges a first set of changes from Carlos O'Ryan into the
        RTEC code. This are mostly restructering changes so that Carlos could
        develop his ReliableEvent service. Also a small number of fixes and
        extensions are included. There will be a second set of changes with
        all ECG changes.

        * orbsvcs/orbsvcs/Event_Utilities.h:
          Converted comments to doxygen style

        * orbsvcs/orbsvcs/Makefile.RTEvent:
        * orbsvcs/orbsvcs/RTEvent.bor:
        * orbsvcs/orbsvcs/RTEvent.dsp:
        * orbsvcs/orbsvcs/RTEvent.mpc:
        * orbsvcs/orbsvcs/RTEvent_Static.dsp:
          Updated makefiles for all changes below.

        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.h:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.i:
        * orbsvcs/orbsvcs/ESF/ESF_Proxy_Admin.cpp:
          Added TAO_ESF_RefCountedRef<T> class, which calls
          T::_decr_refcnt () on its contained pointer in its destructor.

          Modified TAO_ESF_Proxy_Admin<CHANNEL, PROXY, INTERFACE>::obtain ()
          to use TAO_ESF_RefCountedRef<PROXY> instead of the
          PortableServer::ServantBase_var to relieve the requirement that
          PROXY derives from PortableServer::ServantBase.

        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.h:
          Updated because of change in TAO_ESF_Proxy_Admin

        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Out_Endpoint.i:
        * orbsvcs/orbsvcs/Event/EC_Gateway_UDP.cpp:
        * orbsvcs/orbsvcs/Event/EC_Gateway_UDP.h:
        * orbsvcs/orbsvcs/Event/EC_Gateway_UDP.i:
          Moved TAO_ECG_UDP_Out_Endpoint to a separate file.

        * orbsvcs/orbsvcs/Event/EC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel.h:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel.i:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.cpp:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.h:
        * orbsvcs/orbsvcs/Event/EC_Event_Channel_Base.i:
          Changed TAO_EC_Event_Channel to TAO_EC_Event_Channel_Base and
          created a new derived class TAO_EC_Event_Channel. All code in the
          RTEC has been modified to use TAO_EC_Event_Channel_Base.

        * orbsvcs/orbsvcs/Event/EC_And_Filter.h:
          Removed typedef Word

        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.i:
          Changed TAO_EC_Event_Channel to TAO_EC_Event_Channel_Base. Moved
          constructor from i to cpp file.

        * orbsvcs/orbsvcs/Event/EC_Basic_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/Event/EC_ConsumerAdmin.h:
        * orbsvcs/orbsvcs/Event/EC_ConsumerControl.h
        * orbsvcs/orbsvcs/Event/EC_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.cpp
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.h
        * orbsvcs/orbsvcs/Event/EC_Per_Supplier_Filter.i
        * orbsvcs/orbsvcs/Event/EC_Prefix_Filter_Builder.h
        * orbsvcs/orbsvcs/Event/EC_Prefix_Filter_Builder.i
        * orbsvcs/orbsvcs/Event/EC_Priority_Dispatching.cpp
        * orbsvcs/orbsvcs/Event/EC_Priority_Dispatching.h
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Dispatching.h
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_RTCORBA_Factory.h
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.cpp
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.h
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.cpp
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.h
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.cpp
        * orbsvcs/orbsvcs/Event/EC_Sched_Factory.h
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.cpp
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.h
        * orbsvcs/orbsvcs/Event/EC_Sched_Filter_Builder.i
        * orbsvcs/orbsvcs/Event/EC_SupplierAdmin.cpp
        * orbsvcs/orbsvcs/Event/EC_SupplierAdmin.h
        * orbsvcs/orbsvcs/Event/EC_SupplierControl.cpp
        * orbsvcs/orbsvcs/Event/EC_SupplierControl.h
        * orbsvcs/orbsvcs/Event/EC_Supplier_Filter.h
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.cpp
        * orbsvcs/orbsvcs/Event/EC_Timeout_Filter.h
        * orbsvcs/orbsvcs/Event/EC_Trivial_Supplier_Filter.cpp
        * orbsvcs/orbsvcs/Event/EC_Trivial_Supplier_Filter.h
        * orbsvcs/orbsvcs/Event/EC_Basic_Filter_Builder.i
          Changed TAO_EC_Event_Channel to TAO_EC_Event_Channel_Base.

        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.i:
          Changed TAO_EC_Event_Channel to TAO_EC_Event_Channel_Base and make
          a helper function to printout messages about unsupported option
          values and used this in this class to reduce code duplication.

        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
          Added include ECG_UDP_Out_Endpoint.h

        * orbsvcs/orbsvcs/Event/EC_Conjunction_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Filter.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.h:
          Doxygen comment update.

        * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.h:
          Don't derive from POA_RtecEventChannelAdmin::ProxyPushConsumer and
          don't implement the methods from that interface.

        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.h:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.i:
          Don't derive from POA_RtecEventChannelAdmin::ProxyPushSupplier and
          don't implement the methods from that interface.

        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.h:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxyConsumer.i:
          New class that implements POA_RtecEventChannelAdmin::ProxyPushConsumer
          and is derived from EC_ProxyConsumer.

        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.h:
        * orbsvcs/orbsvcs/Event/EC_Default_ProxySupplier.i:
          New class that implements
          POA_RtecEventChannelAdmin::ProxyPushSupplier and is derived from
          EC_ProxyConsumer.

        * orbsvcs/orbsvcs/Event/EC_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Reactive_Dispatching.i:
          Moved TAO_EC_Reactive_Dispatching to a separate file.

        * orbsvcs/orbsvcs/Event/EC_MT_Dispatching.h:
          Don't forward declare TAO_EC_Event_Channel

        * orbsvcs/orbsvcs/Event/EC_Null_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.i:
          Changed TAO_EC_Event_Channel to TAO_EC_Event_Channel_Base and create
          a TAO_EC_Default_ProxyConsumer/Supplier instead of a
          TAO_EC_ProxyConsumer/Supplier

        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.cpp:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.h:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.i:
          Code refactored to removed duplicated code

        * orbsvcs/orbsvcs/Event/Event_Channel.h:
          Don't include ace/Containers.h

        * orbsvcs/orbsvcs/Event/Makefile.am:
          Updated

        * orbsvcs/orbsvcs/Event/Memory_Pools.h:
          Removed not needed include

        * orbsvcs/orbsvcs/Event/Timer_Module.h:
          Doxygen update

        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.h:
        * orbsvcs/tests/Event/Basic/BCast.cpp:
          Added missing includes because classes are now in new files

        * orbsvcs/tests/Event/Basic/exhaustive_test.pl:
          Fixed error in this perl script

Wed Jun  4 13:44:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp: Fixed compilation
          errors on VxWorks. Thanks to Rob Andzik for providing the
          patches.

Wed Jun  4 12:40:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/orb.idl: Removed the definition of OctetSeq from the CORBA
          module.  There is another definition in OctetSeq.pidl which is
          needed. Thanks to Gary Duzan <gduzan@bbn.com> for catching
          this. At this point I am not exactly sure how this missed us for
          almost 3 years.

Wed Jun  4 13:40:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/ImR_Activator.bor:
          Added TAO_Strategies library.

Wed Jun  4 07:48:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/Makefile: Somehow missed the makefile
          from the checkin.

Wed Jun  4 07:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Profile.h:
          Doxygen improvements

        * tao/Invocation.cpp:
          Added explicit template instantiations in case the ACE autoptr
          is used. This fixes unresolved externals with VxWorks 5.5

Tue Jun  3 15:28:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/Options.cpp (init): Use a single
          threaded reactor instead of the default reactor. The default
          reactor ie. the TP reactor cannot be used with
          ACE_Process_Manager since the process manager tries to register
          a signal handler with the reactor. The registration would fail,
          causing ImR_Activators to be unusable. Hence this fix to use the
          single threaded reactor.

        * orbsvcs/ImplRepo_Service/Makefile: Added TAO_Strategies to the
          link line.

Tue Jun 03 07:52:12 2003  Simon McQueen  <sm@prismtechnologies.com>

        * TAO version 1.3.2 released.

Mon Jun  2 00:44:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/LifeCycleService.idl (LifeCycleService): Fixed
          a stupid typo. Actually caught this a half an hour back but
          couldnt  get this into the repository.

Mon Jun  2 00:25:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/IDL_Test/Makefile: Disable the test if
          templates=explicit. The test is sufficiently complicated (for
          very good reasons) to get it right with explicit template
          instantiations. It is easy to fix the problem by changing the
          way the IDL's are specified. But we dont want to loose the
          structure of the exisiting IDL files in our test directories.

          Once we have a nice way to handle these cases with explicit
          templates we can revert this. We will open up a bugzilla entry
          to remind us. The IDL compiler needs to get smarterwith users
          cooperation to handle all this weird cases.

Sun Jun  1 23:38:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile: Added paths to the CONTROLLE_FILES

Sun Jun 01 19:34:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/LifeCycleService.idl (LifeCycleService): Added a
          work  around for linking errors that show up in SunCC
          builds. The problem was that there was a typedef for the same
          sequence in two different IDL files (ie. in this file and
          CosLifeCycle.idl). This generated two explicit template
          instantiations which lead to multiply defined symbols. The IDL
          file is perfectly valid only that our IDL compiler need to made
          smarter for these cases.

          We work around the short-coming of the IDL compile by making a
          typedef which would suppress the generation of the second
          explicit template instantiations. This is just work around for
          the timebeing.

Sun Jun  1 10:08:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Simulator/Event_Supplier/Makefile: Updated
          dependencies.

Sat May 31 23:57:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Typecode.cpp:

          Replaced all instances of skip_short() (for ValueModifer and member
          visibility in valuetypes and eventtypes) with skip_ulong(). Although
          these quantities are defined by CORBA to be 2 bytes, all values
          inserted into a type code are padded to 4-byte boundaries, including
          strings, This differs from the padding of CDR streams in general.

Sat May 31 10:39:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/configurations.html: Added a example for an optimized
          single-threaded setting.

Sat May 31 10:26:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile: Added a list of controlled files. With CIAO in picture
          we cannot ta everything underneath TAO with a single tag while
          making a release.

Fri May 30 20:29:11 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * docs/configurations.html: Fixed a typo where we claimed
          the leader/followers model was the default ORB concurrency
          configuration.  Thanks to Dave Ryan <djryan@raytheon.com> for
          detecting this.

Fri May 30 13:56:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Makefile: Added a new target 'releaseall'. Please see
          the entry "Fri May 30 13:52:49 2003  Balachandran Natarajan
          <bala@dre.vanderbilt.edu>" in $ACE_ROOT/ChangeLog  for the
          motivation.

Fri May 30 13:06:02 2003  Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.h:
        * orbsvcs/orbsvcs/Notify/RT_Notify_Service.cpp:

          Overloaded base virtual <init> method to silence HPUX11 build warning.

Thu May 29 22:24:02 2003  Krishnakumar B  <kitty@spam.invalid.domain>

        * TAOACE.dsw:

          Modified the dependencies to allow building with the new ACEXML
          libraries.

Thu May 29 19:19:30 2003  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/CONV_FRAMEC.cpp:
        * tao/DynamicC.cpp:
        * tao/PolicyC.cpp:
        * tao/Tagged_Components.cpp: Fixed duplicate symbols errors in
          SunCC builds.

Thu May 29 18:47:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp: Another cosmetic change.

Thu May 29 16:46:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * rules.tao.GNU: Reverted the change "Thu May 29 14:30:57 UTC 2003
          Gary Duzan <gduzan@bbn.com> , Craig Rodrigues
          <crodrigu@bbn.com>" since it breaks parallel builds.

Thu May 29 11:12:28 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:

          Fixed mechanism that recursively sets the prefix for scope
          members when 'typeprefix' is seen in a scope.

Thu May 29 14:30:57 UTC 2003  Gary Duzan <gduzan@bbn.com>
                              Craig Rodrigues  <crodrigu@bbn.com>

        * rules.tao.GNU:
          Replace several rules for building stub/skeleton files from an
          idl file with a single straightforward rule. The intermediate
          rules could cause problems with false dependencies when the
          generated files have slightly different timestamps.

Thu May 29 14:55:15 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tao/tao.mpc:

          Removed entries for some moved files.

Wed May 28 11:22:29 2003  Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/tests/Notify/Activation_Manager.cpp:
        * orbsvcs/tests/Notify/Periodic_Supplier.cpp:
        * orbsvcs/tests/Notify/Periodic_Supplier.h:

          Renamed the <Periodic_Supplier::activate> method to
          <activate_task> method. This is done to stop the warnings from
          the Borland compiler.

Wed May 28 14:10:50 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/tests/Notify/Driver/Driver.dsp:
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Client.dsp:
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Server.dsp:
        * tests/MT_Timeout/MT_Timeout_Client.dsp:
        * tests/MT_Timeout/MT_Timeout_Server.dsp:
        * tests/OBV/TC_Alignment/client.dsp:
        * tests/OBV/TC_Alignment/server.dsp:

          Executables were ending up in the wrong place causing test errors
          in release configuration.

Wed May 28 11:09:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMI_Buffering/client.bor:
          Fixed errors in this makefile. Thanks to Branko Mijic
          <bmijic@hotmail.com> for reporting this.

Wed May 28 08:28:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
          Fixed warning in SunOS build

Tue May 27 17:37:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp: Fixed a explicit
          template instantiation problem in our daily builds. The problem
          was that some of the instantiated templates also had a
          specialization which the compiler couldn't see. The fix
          essentially moved the explicit template instantiations after the
          specialization so that the compiler doesn't get confused when
          using explicit template instantiations.

Tue May 27 15:17:31 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:

          Removed initialization of collocation proxy broker pointer
          from the constructor of an abstract interface, since
          abstract interfaces do not contain such a member.

Tue May 27 14:43:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynCommon.cpp:

          Added initialization for a CORBA::ULongLong return value in
          get_ulonglong(). Thanks to Terry Lacy <terry.lacy@thomson.net>
          for reporting the oversight.

Mon May 26 17:04:02 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/ORB.cpp (register_value_factory): Changed to make sure we
          don't return the newly registered value factory as the
          previously registered value factory if none exist.  Otherwise,
          we would simply register the valuefactory and then destroy it
          immediately.

Mon May 26 17:29:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/UIOP_Lite_Factory.h:
          Fixed incorrect ACE_FACTORY_DECLARE usage. This fixed the internal
          compiler error in the Cygwin build.

Mon May 26 12:18:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/POA.cpp:
          Fixed uninitialized parameter warning. Thanks to
          W.M. van den Boogaard <wim.vd.boogaard@meco.nl> for reporting
          this.

Sun May 25 12:51:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * taoconfig.mk:
          Just add -L$(TAO_ROOT)/tao to LDFLAGS instead of using patsubst
          because patsubst evaluates variables which means you can't embed
          things like $@.

Sun May 25 09:06:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Reactive_SupplierControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_ConsumerControl.cpp:
        * orbsvcs/orbsvcs/Event/EC_Reactive_SupplierControl.cpp:
          Only schedule the timer when the rate is bigger than zero, and
          schedule the timer after the policies are created, because when the
          timer fires the handle_timeout() uses these policies. Thanks to
          Bruce McIntosh <bruce.mcintosh@boeing.com> for reporting this. This
          fixes bugzilla [1507]

Sun May 25 09:06:12 UTC 2003  Martin Corino  <mcorino@remedy.nl>

        * orbsvcs/orbsvcs/Makefile.RTEventLogAdmin:
          Added missing libraries to link with to fix MinGW link errors.

Fri May 23 22:23:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IORInterceptor/IORInterceptor_List.h:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.h:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.h:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier_Command.h:
        * orbsvcs/tests/Notify/lib/StructuredEvent.h:
        * orbsvcs/tests/Notify/lib/Task_Callback.h: Fixed fuzz errors.

Fri May 23 19:23:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.h: Fixed warnings
          and compile errors in builds when exceptions are turned off.

Fri May 23 17:53:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IORInterceptor_Adapter.h (TAO_IORInterceptor_Adapter): Fixed
          compilation errors in builds where exceptions are turned off.

Fri May 23 17:49:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (destroy_interceptors): Fixed warning in builds
          where interceptors are turned off.

Fri May 23 17:40:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (add_interceptor): Fixed compilation errors in
          builds where exceptions are turned off.

Fri May 23 17:02:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp: Some cosmetic fixes.

Fri May 23 15:35:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Object.cpp (is_nil_i): Added a new conditional check for
          null objects in partially evaluated IOR's.

Fri May 23 15:18:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp: Added code to
          initialize the proxy_broker pointers in the constructors.

Fri May 23 15:08:50 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:

          Fixed generated code for the _tao_any_destructor.

Fri May 23 13:21:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Any.cpp: Moved explicit template instantiations for
          ValueBase and AbstractBase to its own library.

        * tao/ObjectKey_Table.cpp: Fixed template instantiations for
          RB_Tree.

        * tao/Messaging/MessagingC.cpp: Removed unnecessary template
          instantiations.

        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/Seq_Tmplinst.cpp: Template instantiations for the
          ValueType library.

Fri May 23 11:16:31 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From David Kinder <david.kinder@sophos.com>
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.cpp (operator==):

          Fixed logic error in comparison of two TAO_SSLIOP_Credentials
          objects.  [Bug 1509]

Fri May 23 10:59:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Valuetype_Adapter.h: Cleaned the interface to the ORB to
          provide a consistent way of performing operations on ValueType.

        * tao/ORB.h: Removed references to TAO_ValueFactory_Map. Cache a
          pointer to the ValueFactory_Adapter instead.

        * tao/ORB.cpp: Integrated patches from Vincent Korkos
          <vincent.korkos@fr.thalesgroup.com>  which contained the
          implentation of the ORB::unregister_value_factory ().

          Did some cosmetic fixes to the implementations of
          lookup_value_factory () and register_value_factory ().

        * tao/Valuetype/Valuetype_Adapter_Impl.cpp (vf_map_find):
          Implemented the new adapter interfaces.

Fri May 23 08:14:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IORInterceptor_Adapter.h: #included Exception.h. This should
          fix compilation errors with g++.

Fri May 23 07:28:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IORInterceptor/IORInterceptor_List.h:
        * tao/IORInterceptor/IORInterceptor_List.cpp: Fixed compilation
          problems on Win32.

        * tao/IORInterceptor/TAO_IORInterceptor.dsp: Added the new file to
          the project.

Fri May 23 06:03:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

          This checkin cleans up things that were not properly done during
          IORInterceptor strategizing. There were multiple problems but
          they just showed up as a failure in the DLL_ORB test in our
          daily builds.

          The focal point of the problem TAO_IORInterceptor_List class
          which was left in the main tao library. This class used all
          sorts of mechanisms to access the IORInterceptor library which
          lead to shutdown problems if the ORB was dynamically loaded.

          The following changes basically moved the class to its own
          library and resolves the problems seen.

        * tao/IORInterceptor_Adapter.h: Completely changed the interface
          of the adapter class. It now houses the following pure virtual
          methods
          - add_interceptor (),
          - destroy_interceptors (), and
          - interceptor_list () which provide a nice interface for the ORB
          to interact with the IORInterceptor in the library.

        * tao/Interceptor_List.cpp:
        * tao/Interceptor_List.h:
        * tao/Interceptor_List.inl: Removed the TAO_IORInterceptor_List
          class from the file.

        * tao/ORB_Core.h: The ORB_Core will not store the list of IOR
          interceptors, but store a pointer to the Adapter class
          instead. The accessor for the IORInterceptor_List::TYPE has been
          removed but replaced with an accessor that returns a pointer
          IORInterceptor_List and a pointer to the adapter class.

        * tao/ORB_Core.cpp: Added implementation for the new accessor
          methods included. Methods add_interceptor () and
          destroy_interceptors () just turns around and invokes the
          adapter classes for getting their work done.

        * tao/ORB_Core.i: Moved the add_interceptor () call to the .cpp
          file since it has a conditional statement.

        * tao/IORInterceptor/IORInterceptor_List.cpp:
        * tao/IORInterceptor/IORInterceptor_List.h:
        * tao/IORInterceptor/IORInterceptor_List.inl: The class
          TAO_IORInterceptor_List has been placed in this file.

        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.h: The actual
          implementation for the adapter classes.

        * tao/IORInterceptor/Makefile.bor:
        * tao/IORInterceptor/Makefile: Added the new file for
          compilation.

        * tao/PortableServer/POA.cpp:
        * tao/PortableServer/POAManager.cpp: They now use the new method
          on the ORB_Core to access the underlying registered IOR
          interceptors.

        * tao/Refcounted_ObjectKey.cpp:
        * tao/Refcounted_ObjectKey.inl: Moved the decr_refcount () to the
          cpp file.

Fri May 23 06:17:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_handler.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp: Left
          overs from the previous checkin.

Fri May 23 05:31:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

          This checkin is for fixing a problem with thread-per-connection
          strategy. If the client crahses during request processing on the
          server side, the server cleans up both the transport and the
          connection handler. This is in sync with what needs to happen
          for the reactive strategy.

          But in the thread-per-connection strategy, the problem gets
          exacerbated when the thread created for handling a new
          connection starts to clean itself up once its exits the
          *IOP_Connection_Handler::svc (). Since the handler is completely
          deleted resource cleanup by ACE_Task crashes.

          This checkin basically decouples the thread-per-connection
          handler and the handler that has protocol specific code. When
          the client crashes only the protocol specific handler would get
          cleaned up, leaving the thread-per-connection handler to be
          cleaned when the thread created exits.

        * tao/Thread_Per_Connection_Handler.h:
        * tao/Thread_Per_Connection_Handler.cpp: The new
          thread-per-connection handler class.

        * tao/Acceptor_Impl.cpp (activate_svc_handler): If
          thread-per-connection is enabled, create a thread-per-connection
          handler object and pass the protocol specific handler to it.

        * tao/Connection_Handler.cpp (svc_i): Remove reference counting
          since this is now performed by the thread-per-connection
          handler.

        * tao/Transport.h: Provide privileged access to the
          thread-per-connection-handler.

        * tao/Connection_Handler.h: Added a pure virtual open_handler ()
          method which would serve as a hook for the protocol specific
          handler's open () call.

        * tao/IIOP_Connection_Handler.h:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Connection_Handler.h:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Connection_Handler.h:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.h:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.h:
        * tao/Strategies/SCIOP_Connection_Handler.cpp: Implemented the
          open_handler () hook method. Removed the svc () and activate ()
          calls since they should be taken care by the new
          thread-per-connection-handler class. This also removes a bunch
          of code duplication from within these classes.

        * tao/ObjectKey_Table.cpp (unbind_i): Removed a wrong comment.

        * tao/TAO.dsp:
        * tao/Makefile.tao:
        * tao/Makefile.bor: Added the new files for building.

          Thanks to Ira Burton <imburton@micron.com> for reporting the
          problem.

Thu May 22 14:06:19 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/util/utl_err.cpp:

          Added checks for IDL_CF_NOWARNINGS flag having been set, so that
          the -w option will suppress all warnings, not just those specific
          to the preprocessor. Thanks to Bill Church <wchurch@ara.com> for
          reporting the problem.

Thu May 22 11:35:51 2003  Jaiganesh Balasubramanian  <jai@doc.ece.uci.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Basic.h:
          Made Changes to reference count the servant so that it lasts as
          long as the POA needs it.

Thu May 22 13:02:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp (unbind_i): Beefed up error checking.

Thu May 22 10:51:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (create_object): If create_collocated_object ()
          returns a null, create a CORBA::Object () before
          returning.  The null pointer returned by the
          create_collocated_object () is indeed right since the object
          pointed to by the PortableGroup::ObjectGroup_ptr object
          reference being created is not a servant.  It is a
          ServantManager!  More specifically, it is Cygnus' ServantManager
          created and housed by its LoadManager object.  An actual
          ObjectGroup object does not exist.  It is a logical entity
          exposed to clients to allow them to invoke methods transparently
          on members of that object group.

          Hence returning a null-object would break the
          LoadBalancer. Thanks to Ossama for reporting and explaining the
          source of the problem.

Thu May 22 10:38:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp (ObjectKey_Table):
        * tao/ObjectKey_Table.h: The hash value that was used as an key
          did not scale. We got collissions which broke down the whole
          model. Instead of using the hash value as the key, we now use
          the ObjectKey itself as the key. This turns out to be more
          efficient than the previous scheme and avoid collisions.

          The other problem that came up because of the above change, is
          the requirement of a operator < for the ObjectKey. This was
          solved by the addition of a class TAO::Less_Than_ObjectKey which
          acts as a comparative operator. Ideally this should have been a
          template specialization of the parametric class ACE_Less_Than<>,
          but this wouldnt work so easily without breaking builds.

Wed May 21 19:57:31 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/Strategies/SHMIOP_Acceptor.cpp (open_i): Changed to use the
          new init_buffer_size in ACE_MEM_Stream to set the initial
          MEM_Stream buffer size.

Tue May 20 21:49:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DynamicInterface/Request.cpp (invoke): Added an extra check
          for null Any_Impl pointers before going ahead with the
          _tao_decode () call.

Tue May 20 16:56:54 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp: Added explicit template instantiation.

Tue May 20 13:56:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1482_Regression/Makefile:
        * orbsvcs/examples/ORT/Makefile: Fixed a problem with parallel
          builds by not allowing the builds to run in parallel. Not sure
          why the dependencies are getting screwed. We now prevent
          parallel builds in these to directories.

Tue May 20 12:43:58 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Codeset_Manager.cpp: Use the old codeset default macros from
          corbafwd.h to initialize the default codeset values in the
          codeset manager. These may still be overridden via the resource
          manager if desired.

        * tao/Any.cpp:
        * tao/Any.h: Cleaned up unneeded references to codeset translator
          factory class and header.

        * tao/Exception.cpp: Removed old ACE_MVS code for alternative
          codeset translator. This code would not compile if enabled.


Tue May 20 11:11:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Makefile: Added -lTAO_SmartProxies to the
          link line.

Mon May 19 15:41:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Makefile:
        * utils/catior/makefile: Makefile fixes for the static builds.

Mon May 19 13:02:16 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.cpp (main):

          Destroy the POA prior to exiting on failure the scope containing
          the stack instantiated servants used by this test.  Fixes a
          segmenation fault caused by the POA being destroyed after the
          stack instantiated servants were destroyed.  The POA was
          attempting to deactivate servants that no longer existed.

Mon May 19 11:05:26 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From Knut-Håvard Aksnes <knut@orion.no>
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp (parse_options):

          Fixed support for "hostname_in_ior" endpoint option.  [Bug 1370]

        From David Kinder <david.kinder@sophos.com>
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp (ssliop_connect):

          The base_connector_.connect() call will increment the handler's
          reference count once more.  This is not needed as we already
          hold a reference to the handler.  Therefore we discard this
          second reference.  Fixes a memory leak.  [Bug 1506]

          (retrieve_credentials):

          For the default certificate and private key case, assign the
          return value of the TAO_SSLIOP_Credentials_var::out() call to a
          reference to a TAO_SSLIOP_Credentials_ptr.  Previously, the
          return value was assigned to a local TAO_SSLIOP_Credentials_ptr
          variable that was lost when leaving the scope of this method.
          Fixes a memory leak.  [Bug 1508]

Mon May 19 15:51:20 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/tests/Notify/Basic/Makefile:
        * orbsvcs/tests/Notify/Blocking/Makefile:
        * orbsvcs/tests/Notify/Discarding/Makefile:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile:
        * orbsvcs/tests/Notify/Ordering/Makefile:
        * orbsvcs/tests/Notify/performance-tests/Filter/Makefile:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Makefile:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile:

          Fixed link errors on builds.

Sun May 18 05:47:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/POA.cpp: Fixed a warning in minimum builds.

Sun May 18 05:42:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Sequence_T.i: TAO_Unbounded_Array_Sequence and
          TAO_Bounded_Array_Sequence  were parametrized by T and
          T_var. But the template parameters in the .i file read T
          and T_life. Borland 6 compiler doesnt seem to like this
          throwing up a bunch of link errors.

          Thanks to Johnny Willemsen for providing this patch.

Sat May 17 09:44:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/Options.html: Revamped the original documentation to be
          more usefule for the users. Thanks to Tao Lu, Andy and
          Dr. Schmidt for working on this and donating it to TAO.

        * doc/Options_new.html: Removed from the repository.

Fri May 16 18:40:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Any.cpp:
        * tao/CDR_Encaps_Codec.cpp:
        * tao/NVList.cpp: Few hours of nonstop debugging opened up a
          problem with a way ptrdiff_t was used. ptrdiff_t is signed
          whereas ptr_arith_t was unsigned. This lead to cases where
          alignments got a negative value on Linux and memcpy data into
          and from CDR streams were totally busted. This lead to crashes
          in Any tests in our daily builds. The problem was fixed by
          adding the MAX_ALIGNMENT to the aligned value.

          This will not fix all the problems with Any's. There are some
          more fixes which would be checked in in the next few days.

Thu May 15 14:54:31 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/Smart_Proxies/Makefile:

          Missing -L flag value supplied.

Thu May 15 14:07:33 2003  Simon McQueen  <sm@prismtechnologies.com>

        * CIAO/tools/Simple_Component_Server/Makefile:
        * docs/tutorials/Quoter/AMI/Makefile:
        * docs/tutorials/Quoter/Event_Service/Makefile:
        * docs/tutorials/Quoter/idl/Makefile:
        * docs/tutorials/Quoter/Naming_Service/Makefile:
        * docs/tutorials/Quoter/On_Demand_Activation/Makefile:
        * docs/tutorials/Quoter/RT_Event_Service/Makefile:
        * docs/tutorials/Quoter/Simple/Client/Makefile:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Makefile:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Makefile:
        * docs/tutorials/Quoter/Simple/Persistent/Makefile:
        * docs/tutorials/Quoter/Simple/Server/Makefile:
        * examples/Advanced/ch_18/Makefile:
        * examples/Advanced/ch_21/Makefile:
        * examples/Advanced/ch_3/Makefile:
        * examples/Advanced/ch_8_and_10/Makefile:
        * examples/AMI/FL_Callback/Makefile:
        * examples/Buffered_AMI/Makefile:
        * examples/Content_Server/AMI_Iterator/Makefile:
        * examples/Content_Server/AMI_Observer/Makefile:
        * examples/Content_Server/SMI_Iterator/Makefile:
        * examples/Event_Comm/Makefile:
        * examples/ior_corbaloc/Makefile:
        * examples/Load_Balancing/Makefile:
        * examples/Load_Balancing_persistent/Makefile:
        * examples/Logging/Makefile:
        * examples/OBV/Typed_Events/Makefile:
        * examples/Persistent_Grid/Makefile:
        * examples/PluggableUDP/tests/Basic/Makefile:
        * examples/PluggableUDP/tests/Performance/Makefile:
        * examples/PluggableUDP/tests/SimplePerformance/Makefile:
        * examples/POA/Adapter_Activator/Makefile:
        * examples/POA/Explicit_Activation/Makefile:
        * examples/POA/FindPOA/Makefile:
        * examples/POA/Loader/Makefile:
        * examples/POA/NewPOA/Makefile:
        * examples/POA/On_Demand_Activation/Makefile:
        * examples/POA/On_Demand_Loading/Makefile:
        * examples/POA/POA_BiDir/Makefile:
        * examples/POA/RootPOA/Makefile:
        * examples/Quoter/Makefile:
        * examples/Simple/bank/Makefile:
        * examples/Simple/echo/Makefile:
        * examples/Simple/grid/Makefile:
        * examples/Simple/time/Makefile:
        * examples/Simple/time-date/Makefile:
        * examples/Simulator/Event_Supplier/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile:
        * orbsvcs/examples/Log/Basic/Makefile:
        * orbsvcs/examples/PSS/Makefile:
        * orbsvcs/examples/Security/SecurityLevel1/Makefile:
        * orbsvcs/examples/Security/Send_File/Makefile:
        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/Makefile:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/Makefile:
        * orbsvcs/performance-tests/RTEvent/lib/Makefile:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/Makefile:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/Makefile:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Makefile:
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/Makefile:
        * orbsvcs/PSS/Makefile:
        * orbsvcs/tests/AVStreams/Modify_QoS/Makefile:
        * orbsvcs/tests/AVStreams/Multiple_Flows/Makefile:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/Makefile:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/Makefile:
        * orbsvcs/tests/CosEvent/lib/Makefile:
        * orbsvcs/tests/Event/lib/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile:
        * orbsvcs/tests/IOR_MCast/Makefile:
        * orbsvcs/tests/Log/Basic_Log_Test/Makefile:
        * orbsvcs/tests/Notify/lib/Makefile:
        * orbsvcs/tests/Sched/Makefile:
        * orbsvcs/tests/Security/Crash_Test/Makefile:
        * orbsvcs/tests/Security/SecurityLevel1/Makefile:
        * performance-tests/Cubit/TAO/IDL_Cubit/Makefile:
        * performance-tests/Cubit/TAO/MT_Cubit/Makefile:
        * performance-tests/POA/Demux/Makefile:
        * performance-tests/POA/Object_Creation_And_Registration/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile:
        * tao/Domain/Makefile:
        * tao/DynamicInterface/Makefile:
        * tao/Messaging/Makefile:
        * tao/RTPortableServer/Makefile:
        * tao/Utils/Makefile:
        * tests/Client_Leaks/Makefile:
        * tests/Crashed_Callback/Makefile:
        * tests/IDL_Test/Makefile:
        * tests/Object_Loader/Makefile:
        * tests/Smart_Proxies/Makefile:
        * tests/Smart_Proxies/On_Demand/Makefile:
        * utils/nslist/Makefile:
        * utils/wxNamingViewer/Makefile:

          Replaced "-lTAO_PortableServer" with "-lTAO_PortableServer
          -lTAO_Valuetype -lTAO_ObjRefTemplate -lTAO_IORInterceptor" wherever
          it occured. Should just about clear up the last of the static build
          errors caused by the TAO sub setting.

Wed May 14 12:46:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ObjectKey_Table.cpp (destroy): Iterating conditions while
          destroying was wrong which lead to crashes.

Tue May 13 15:38:29 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (destroy_interceptors):

          Corrected emulated exception macro within ACE_TRY block.
          ACE_TRY_THROW, not ACE_THROW.

Tue May 13 10:57:22 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Typecode.cpp:

          The length_ data member is of size_t, on some 64-bit platforms
          (Solaris, HP-UX, ...) this is 64-bits.  Doing a memcpy of that
          value into character buffer will not give the right value.  We
          first cast length_ to a CORBA::ULong and then memcpy that into the
          character buffer.

Tue May 13 09:48:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/Options_new.html: A new file whose contents will replace
          the contents in our canonical Options.html page after some
          editing.

Tue May 13 09:48:42 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:

          Made change to be in synch with change made in

          Mon May 12 18:42:58 2003  Jeff Parsons <j.parsons@vanderbilt.edu>.

Tue May 13 07:44:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/IFR_Service/Makefile.IFR_Service:
        * orbsvcs/examples/Log/Event/Makefile:
        * orbsvcs/examples/Log/Notify/Makefile:
        * orbsvcs/examples/Log/RTEvent/Makefile:
        * orbsvcs/examples/Notify/Filter/Makefile:
        * orbsvcs/examples/Notify/Subscribe/Makefile:
        * orbsvcs/examples/ORT/Makefile:
        * orbsvcs/examples/RtEC/MCast/Makefile:
        * orbsvcs/examples/RtEC/Schedule/Makefile:
        * orbsvcs/examples/RtEC/Simple/Makefile:
        * examples/Callback_Quoter/Makefile:
        * examples/POA/Reference_Counted_Servant/Makefile: Fixes to get
          the above compiling in static builds.

Tue May 13 07:35:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs//examples/CosEC/Factory/Makefile:
        * orbsvcs//examples/CosEC/RtEC_Based/bin/Makefile:
        * orbsvcs//examples/CosEC/RtEC_Based/tests/Basic/Makefile:
        * orbsvcs//examples/CosEC/RtEC_Based/tests/Multiple/Makefile:
        * orbsvcs//examples/CosEC/Simple/Makefile:
        * tests/Smart_Proxies/Makefile: Next set of fixes to get it going
          in the static builds.

Tue May 13 12:58:18 2003  Simon McQueen  <sm@prismtechnologies.com>

        * examples/Content_Server/SMI_Iterator/client.bor:
        * examples/Content_Server/SMI_Iterator/server.bor:
        * examples/ior_corbaloc/client.bor:
        * examples/ior_corbaloc/corbaname_client.bor:
        * examples/ior_corbaloc/server.bor:
        * examples/OBV/Typed_Events/client.bor:
        * examples/OBV/Typed_Events/server.bor:
        * examples/PluggableUDP/tests/Basic/client.bor:
        * examples/PluggableUDP/tests/Basic/server.bor:
        * examples/PluggableUDP/tests/Performance/client.bor:
        * examples/PluggableUDP/tests/Performance/server.bor:
        * examples/PluggableUDP/tests/SimplePerformance/client.bor:
        * examples/PluggableUDP/tests/SimplePerformance/server.bor:
        * examples/POA/Adapter_Activator/Makefile.bor:
        * examples/POA/DSI/client.bor:
        * examples/POA/DSI/server.bor:
        * examples/POA/Explicit_Activation/Makefile.bor:
        * examples/POA/Forwarding/client.bor:
        * examples/POA/Forwarding/server.bor:
        * examples/POA/Generic_Servant/client.bor:
        * examples/POA/Loader/Makefile.bor:
        * examples/POA/On_Demand_Activation/Makefile.bor:
        * examples/POA/On_Demand_Loading/Makefile.bor:
        * examples/POA/POA_BiDir/Makefile.bor:
        * examples/POA/Reference_Counted_Servant/Makefile.bor:
        * examples/POA/TIE/client.bor:
        * examples/POA/TIE/server.bor:
        * examples/Quoter/Client.bor:
        * examples/Quoter/Factory_finder.bor:
        * examples/Quoter/Generic_factory.bor:
        * examples/Quoter/Server.bor:
        * examples/RTCORBA/Activity/Makefile.bor:
        * orbsvcs/ImplRepo_Service/ImR_Activator.bor:
        * orbsvcs/ImplRepo_Service/tao_imr.bor:
        * tests/AMH_Exceptions/server.bor:
        * tests/AMH_Oneway/client.bor:
        * tests/AMH_Oneway/server.bor:
        * tests/AMI/client.bor:
        * tests/AMI/server.bor:
        * tests/AMI/simple_client.bor:
        * tests/AMI_Buffering/admin.bor:
        * tests/AMI_Buffering/client.bor:
        * tests/AMI_Buffering/server.bor:
        * tests/AMI_Timeouts/client.bor:
        * tests/AMI_Timeouts/server.bor:
        * tests/BiDirectional/client.bor:
        * tests/BiDirectional/server.bor:
        * tests/BiDirectional_NestedUpcall/client.bor:
        * tests/BiDirectional_NestedUpcall/server.bor:
        * tests/Big_Oneways/client.bor:
        * tests/Big_Oneways/server.bor:
        * tests/Big_Reply/server.bor:
        * tests/Big_Request_Muxing/client.bor:
        * tests/Big_Request_Muxing/server.bor:
        * tests/Big_Twoways/client.bor:
        * tests/Big_Twoways/server.bor:
        * tests/Blocking_Sync_None/client.bor:

          Fixed more static link errors from TAO sub setting.

Mon May 12 18:42:58 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/include/ast_expression.h:

          Moved storage of an expression's typedef node out of
          AST_Expression::AST_ExprValue and into AST_Expression itself.
          If the rhs of a constant literal is an arithmetic or logical
          expression, the AST_ExprValue's creation is deferred, and the
          typedef cannot be assigned at the point where it is looked up.
          Thanks to Ossama Othman <ossama@doc.ece.uci.edu> for reporting
          the bug and sending an example IDL file.

Mon May 12 10:24:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IIOP_Profile.cpp  (parse_string_i):
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/UIOP_Profile.cpp: Fixed a memory management
          problem with parse_string_i () method that lead to crashes in
          our daily builds.

Mon May 12 16:15:27 2003  Simon McQueen  <sm@prismtechnologies.com>

        * examples/AMH/Sink_Server/client.bor:
        * examples/AMH/Sink_Server/mt_server.bor:
        * examples/AMH/Sink_Server/st_server.bor:
        * examples/Buffered_AMI/client.bor:
        * examples/Buffered_AMI/server.bor:
        * examples/Buffered_Oneways/Buffered_Oneways_client.bor:
        * examples/Buffered_Oneways/Buffered_Oneways_server.bor:
        * orbsvcs/CosEvent_Service/Makefile.bor:
        * orbsvcs/Event_Service/Makefile.bor:
        * orbsvcs/IFR_Service/IFR_Service.bor:
        * orbsvcs/ImplRepo_Service/ImplRepo.bor:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.bor:
        * orbsvcs/LoadBalancer/LoadManager.bor:
        * orbsvcs/LoadBalancer/LoadMonitor.bor:
        * orbsvcs/Naming_Service/Naming_Service.bor:
        * orbsvcs/Naming_Service/NT_Naming_Service.bor:
        * orbsvcs/Notify_Service/Notify_Service.bor:
        * orbsvcs/Notify_Service/NT_Notify_Service.bor:
        * orbsvcs/Time_Service/Time_Service_Server.bor:
        * orbsvcs/Time_Service/Time_Service_Clerk.bor:
        * orbsvcs/Trading_Service/Makefile.bor:

          And yet more fixes for static builds linking. More to come.

Sun May 11 22:48:13 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/LoadBalancer/Makefile.LoadManager:
        * orbsvcs/LoadBalancer/Makefile.LoadMonitor:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile:
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile:
        * orbsvcs/tests/AVStreams/Latency/Makefile:
        * orbsvcs/tests/AVStreams/Multicast/Makefile:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile:
        * orbsvcs/tests/Event/Performance/Makefile:
        * orbsvcs/tests/ImplRepo/Makefile:
        * orbsvcs/tests/ImplRepo/NameService/Makefile:
        * orbsvcs/tests/Interoperable_Naming/Makefile:
        * orbsvcs/tests/Notify/Basic/Makefile:
        * orbsvcs/tests/Notify/Blocking/Makefile:
        * orbsvcs/tests/Notify/Destroy/Makefile:
        * orbsvcs/tests/Notify/Discarding/Makefile:
        * orbsvcs/tests/Notify/Driver/Makefile:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile:
        * orbsvcs/tests/Notify/Ordering/Makefile:
        * orbsvcs/tests/Notify/RT_lib/Makefile:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Makefile:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile:
        * orbsvcs/tests/Notify/Test_Filter/Makefile:
        * orbsvcs/tests/Notify/performance-tests/Filter/Makefile:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/Makefile:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Makefile:
        * orbsvcs/tests/Trading/Makefile:
        * orbsvcs/tests/ior_corbaname/Makefile:

          Yet another setof fixes to get the static builds linking fine.

        * orbsvcs/tests/Notify/notify_tests.GNU: Removed all the common
          libraries to a GNU file. Probably this idea needs to be done for
          all the tests.

Sun May 11 11:44:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp: Added new files into the following projects
          for the MSVC builds.

Sun May 11 11:37:17 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Makefile.bor: Added new files for the borland builds.

Sun May 11 11:02:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/Options.html: Added documentation for the new ORB option.

Sun May 11 10:44:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        The aim of this checkin is to reduce the runtime memory consumed
        by the IORs. Every profile held by the ORB had a copy of the
        ObjectKey which added to the memory consumed by the IORs. This
        checkin builds a map to store and access the object key
        efficiently.

        * tao/ObjectKey_Table.cpp:
        * tao/ObjectKey_Table.h: Class that builds a map to store the
          object key.

        * tao/Refcounted_ObjectKey.cpp:
        * tao/Refcounted_ObjectKey.h:
        * tao/Refcounted_ObjectKey.inl: A wrapper class for the object key
          that provides reference counting and automatic lifetime
          management to the object keys.

        * tao/Profile.cpp:
        * tao/Profile.h:
        * tao/Profile.i: Have a pointer to the refcounted object key
          instead of the actual object key. After unmarshalling the
          object key from the profile we now bind it with the ObjectKey
          table which returns a pointer to the refcounted object key
          which is cached and  used during invocation.

        * tao/IIOP_Profile.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/UIOP_Profile.cpp: Use the refcounted object key
          pointer instead of object keys.

        * tao/IIOP_Transport.cpp: Removed gratuitious inclusion of the
          Stub.h.

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i: ObjectKey_Table would now be a member of the
          ORB_Core class, initialized during the init () call and
          destroyed during TAO_ORB_Core::fini (). This class also provides
          an accessor for accessing the ObjectKey_Table.

        * tao/Resource_Factory.cpp:
        * tao/Resource_Factory.h: Added a virtual method
          create_object_key_table_lock () that helps in creating the right
          type of lock for the ObjectKey_Table.

        * tao/default_resource.cpp:
        * tao/default_resource.h: Implementation for
          create_object_key_table_lock ().

          Added an option -ORBObjectKeyTableLock that helps the user to
          configure the type of lock used.

        * tao/Makefile.tao: Added the new files into the Makefile.

Sun May 11 10:37:56 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

          Checked in updates that sat in my workspace for a long time.

        * orbsvcs/ImplRepo_Service/README.txt: The ORBInitRef for ImplRepo
          should refer to ImplRepoService, not ImplRepo_Service.

        * docs/rtcorba/features.html: Added contineous priority mapping,
          which went amiss in the document.

Sun May 11 09:28:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/LoadBalancer/Makefile.LoadManager:
        * orbsvcs/LoadBalancer/Makefile.LoadMonitor:
        * orbsvcs/Logging_Service/Event_Logging_Service/Makefile:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Makefile:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/Makefile:
        * orbsvcs/Trading_Service/Makefile:
        * orbsvcs/tests/Concurrency/Makefile:
        * orbsvcs/tests/CosEvent/Basic/Makefile:
        * orbsvcs/tests/EC_Custom_Marshal/Makefile:
        * orbsvcs/tests/EC_MT_Mcast/Makefile:
        * orbsvcs/tests/EC_Mcast/Makefile:
        * orbsvcs/tests/EC_Multiple/Makefile:
        * orbsvcs/tests/EC_Throughput/Makefile:
        * orbsvcs/tests/Event/Basic/Makefile:
        * orbsvcs/tests/Event/Performance/Makefile:
        * orbsvcs/tests/Property/Makefile:
        * orbsvcs/tests/Sched_Conf/Makefile:
        * orbsvcs/tests/Simple_Naming/Makefile:
        * orbsvcs/tests/Time/Makefile: Another set fixes to get static
          builds linking fine.

Sun May 11 09:26:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1482_Regression/Makefile: Updated dependencies once
          again.

Sun May 11 09:12:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * utils/*/Makefile: Updated dependencies.

Sun May 11 08:50:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * rules.tao.GNU: Added the list of new libraries to
          RT_TAO_SRVR_LIBS. This shoudl prevent link errors in static
          builds.

Sun May 11 12:22:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/*/Makefile: Updated dependencies.
        * examples/POA/Generic_Servant/Makefile*: Updated dependencies.

Sat May 10 15:21:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Client_Leaks/Makefile:
        * tests/Crashed_Callback/Makefile:
        * tests/IDL_Test/Makefile:
        * tests/ORB_destroy/Makefile:
        * tests/Object_Loader/Makefile:
        * tests/Smart_Proxies/On_Demand/Makefile:
        * orbsvcs/Concurrency_Service/Makefile:
        * orbsvcs/CosEvent_Service/Makefile:
        * orbsvcs/Dump_Schedule/Makefile:
        * orbsvcs/Event_Service/Makefile:
        * orbsvcs/ImplRepo_Service/Makefile:
        * orbsvcs/LifeCycle_Service/Makefile:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Makefile:
        * orbsvcs/Naming_Service/Makefile:
        * orbsvcs/Notify_Service/Makefile:
        * orbsvcs/Scheduling_Service/Makefile:
        * orbsvcs/Time_Service/Makefile:
        * orbsvcs/tests/Notify/lib/Makefile: A set fixes to get static
          builds linking fine.

Sat May 10 12:24:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Collocation/Makefile.test: Fixes to get it linking
          properly in static builds.

Sat May 10 10:15:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/*/Makefile*: More updates.

Sat May 10 10:06:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/POA/*/Makefile*: Updated dependencies. This has been a
          problem in our daily builds for almost a week now.

Fri May  9 16:43:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Invocation.i: Removed TAO_GIOP_Invocation::profile () from
          the inlined file to the cpp file.

        * tao/Invocation.cpp: In TAO_GIOP_Invocation::profile () increment
          the refcount of the profile that is being stored in the
          class. Decerement the refcount of the profile, if one exists
          in the destructor. Thanks to Bertin Colpron
          <BColpron@interstarinc.com> for providing this patch and Thomas
          Wiegert <wiegert@schlund.de> for reporting the problem.

          The above checkin is just a workaorund for a more serious
          problem with profile managements especially during location
          forwards.

Fri May  9 16:21:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/SArgument.h:
        * tao/SArgument_T.h: Removed these files from the main
          trunk. Shouldnt have been there in the first place.

Fri May  9 16:19:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/corba.h: Actually doing what is supposed to be done by "Fri
          May  9 12:24:42 2003  Jeff Parsons <j.parsons@vanderbilt.edu>"

Fri May  9 12:24:42 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/corba.h:

          Removed an include that was meant for a branch.

Fri May  9 11:05:24 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/corba.h:

          Added "Pseudo_VarOut_T.h" to the #includes.

Fri May 09 16:53:10 2003  Simon McQueen  <sm@prismtechnologies.com>

        * examples/PluggableUDP/tests/Basic/client.dsp:
        * examples/PluggableUDP/tests/Basic/server.dsp:
        * examples/PluggableUDP/tests/Performance/client.dsp:
        * examples/PluggableUDP/tests/Performance/server.dsp:
        * examples/PluggableUDP/tests/SimplePerformance/client.dsp:
        * examples/PluggableUDP/tests/SimplePerformance/server.dsp:
        * examples/Simple/time/client_static.dsp:
        * examples/Simple/time/server_static.dsp:
        * orbsvcs/Event_Service/Event_Service_static.dsp:
        * orbsvcs/LoadBalancer/LoadManager_Static.dsp:
        * orbsvcs/LoadBalancer/LoadMonitor_Static.dsp:
        * orbsvcs/Naming_Service/Naming_Server_static.dsp:
        * orbsvcs/tests/Notify/Driver/Driver_Static.dsp:
        * performance-tests/Cubit/TAO/DII_Cubit/client.dsp:
        * performance-tests/Cubit/TAO/IDL_Cubit/server.dsp:

          Fixed static build errors from TAO subsetting.

Fri May  9 10:42:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Any.cpp:
        * tao/Any.i:

          In Any_var assignment operator from Any_var, and in the
          Any_var copy constructor from Any_var, added a
          check for a null rhs ptr_ member. Thanks to
          Huang-Ming Huang <hh1@cs.wustl.edu> for discovering
          the problem. Also un-inlined the above copy constructor.

Fri May  9 08:32:16 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tests/ORT/ORT.mpc:

          Added missing files and idlflags.

Fri May  9 12:41:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/mt_server.bor:
        * examples/AMH/Sink_Server/client.bor:
          Fixed these BCB makefiles

Fri May 09 10:17:47 2003  Simon McQueen  <sm@prismtechnologies.com>

        * docs/tutorials/Quoter/AMI/client.dsp:
        * docs/tutorials/Quoter/AMI/server.dsp:

          Added missing libpath for TAO_Valuetype to release config.

Fri May  9 09:00:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/st_server.bor:
          Fixed this BCB makefile

Fri May  9 00:27:21 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:

          Fixed code generation formatting for TAO_ServerRequestInfo_*
          return value member.

Thu May  8 14:19:34 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/examples/ORT/Makefile:

          Removed the -Gv option from the IDL compiler command line.

        * Server_IORInterceptor.h:

          Added #include of the file in the TAO_IORInterceptor library
          containing the base class PortableServer::IORInterceptor.

Thu May  8 10:48:54 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/AMH/Sink_Server/Base_Server.cpp:
        * examples/AMH/Sink_Server/Client_Task.cpp:
        * examples/AMH/Sink_Server/MT_AMH_Server.cpp:
        * examples/AMH/Sink_Server/client.dsp:
        * examples/AMH/Sink_Server/mt_server.dsp:
        * examples/AMH/Sink_Server/st_server.dsp:

          Reverted some changes I mistakenly made to these files and
          projects.

Wed May  7 22:49:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Faults/run_test.pl: Added thread-per-connection config to
          be tested in our daily builds.

        * tests/Faults/server.conf: A conf file to be used in
          thread-per-connection configuration.

Wed May 07 22:32:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Connection_Handler.cpp (svc_i): Incremented the refcount of
          the connection handler before calling the handle_input_i () on
          the transport. The pattern should be the same as that in
          TAO_Connection_Handler::handle_input_eh (), where the transport
          is updated and the refcount on the handler is incremented. This
          change should fix problems with servers crashing if remote peers
          dissappears under thread-per-connection strategy.

          Thanks to Ira Burton <imburton@micron.com> for reporting this
          problem.

Wed May  7 17:56:08 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Messaging/Messaging.mpc:
        * tao/ObjRefTemplate/ObjRefTemplate.mpc:
        * tao/PortableServer/PortableServer.mpc:

          Updated dependencies with the new base project files
          created in ACE_wrappers/bin/MakeProjectCreator/config.

Wed May  7 08:43:14 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:

          Added a missing semicolon.

Wed May 07 11:36:43 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/LoadBalancer/LoadManager.bor:
        * orbsvcs/LoadBalancer/LoadMonitor.bor:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.bor:
        * tests/Bug_1020_Regression/client.bor:
        * tests/Bug_1020_Regression/server.bor:

          Borland TAO_Valuetype build errors.

Wed May 07 10:34:43 2003  Simon McQueen  <sm@prismtechnologies.com>

        * docs/tutorials/Quoter/AMI/client.dsp:
        * docs/tutorials/Quoter/AMI/server.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/client.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/server.dsp:
        * performance-tests/Latency/DII/client.dsp:
        * performance-tests/Latency/DII/server.dsp:
        * performance-tests/Latency/DSI/client.dsp:
        * performance-tests/Latency/DSI/server.dsp:
        * performance-tests/Latency/Thread_Pool/client.dsp:
        * performance-tests/Latency/Thread_Pool/server.dsp:
        * performance-tests/Throughput/client.dsp:
        * performance-tests/Throughput/server.dsp:

          Fixed various errors related to the TAO_Valuetype check in.

Wed May  7 08:08:51 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OBV/Typed_Events/client.bor:
        * examples/OBV/Typed_Events/server.bor:
          Fixed these BCB makefiles

        * examples/OBV/Typed_Events/Typed_Events.mpc:
          Removed obsolote TAO_IDL cflag -Gv

Wed May  7 07:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:
          Fixed incorrect $Id

          Following changes are from Mark Drijver <mdrijver@remedy.nl>
        * orbsvcs/orbsvcs/Event/EC_Basic_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Default_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Defaults.h:
        * orbsvcs/orbsvcs/Event/EC_Null_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.h:
        * docs/ec_options.html:
          Added Rtec option ECConsumerValidateConnection. With this option
          set the connection from Rtec to consumer is created on connect and
          not on the first event push. See ec_options.html for the usage
          and detailed reason of this option.

Tue May  6 17:52:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Faults/middle.cpp:
        * tests/Faults/ping.cpp:
        * tests/Faults/ping_i.h:
        * tests/Faults/test_i.h: Fixed servant memory management
          problems. Thanks to Ira Burton <imburton@micron.com> for motivating to
          take a look.

Tue May  6 15:52:42 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.CosLoadBalancing (ACE_SHLIBS):
        * orbsvcs/orbsvcs/Makefile.PortableGroup (ACE_SHLIBS):

          Corrected library link order.

Tue May  6 16:04:33 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ChangeLog_ref:

          Removed this file, which somehow got added and committed
          by accident.

Tue May  6 13:19:02 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h
          (process_criteria):

          Pass PortableGroup::FactoriesValue parameter by reference
          instead of by reference to pointer.  Part of a fix that corrects
          some infrastructure controlled membership problems.

        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp
          (create_object):

          Declare the PortableGroup::FactoriesValue variable on the
          stack.  Addresses some memory management/ownership issues for
          the infrastructure controlled membership case.

          (process_criteria):

          Deep copy the FactoryInfos property to the
          PortableGroup::FactoriesValue parameter passed by reference
          instead of shallow copying it.  Fixes a segmentation fault
          caused by attempting to access memory owned by an Any that is
          destroyed when leaving the scope of this method.

Tue May  6 13:02:07 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Object.h:

          Fixed "fuzz" error in Doxygen documentation for this file.

Tue May  6 12:56:27 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/PSS/PSDL_Interface_Visitor.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:

          More ptr_arith_t -> ptrdiff_t changes.

Tue May  6 10:42:50 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAOACE.dsw:

          Put back some project dependencies that inadvertently got lost as
          the result of a conflict update.

Tue May  6 08:54:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/Default_ORTC.h: Removed an extra include of
          pre.h.

Tue May 06 14:46:20 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/LoadBalancer/LoadManager_Static.dsp:
        * orbsvcs/LoadBalancer/LoadManager.dsp:
        * orbsvcs/LoadBalancer/LoadMonitor.dsp:
        * orbsvcs/LoadBalancer/LoadMonitor_Static.dsp:

          Added TAO_Valuetype library to fix build errors.

Tue May  6 07:41:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Param_Test/Makefile: Updated dependencies.

Tue May  6 07:35:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Content_Server/AMI_Observer/Makefile:
        * examples/Content_Server/AMI_Iterator/Makefile: Updated
          dependecies.

Tue May 06 11:46:17 2003  Simon McQueen  <sm@prismtechnologies.com>

        * examples/Content_Server/AMI_Observer/Makefile:
        * examples/Content_Server/AMI_Iterator/Makefile:

          Fixed build errors.

Tue May 06 11:31:55 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/tests/Notify/lib/TAO_NotifyTests_Static.dsp:

          Reset OutDir to '.'.

Mon May  5 21:24:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_union_branch/public_ch.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:

          Added 'const' qualifier to the argument of the member
          mutator for CORBA::Object and CORBA::Any members. Thanks
          to Eric Malenfant <EMalenfant@interstarinc.com> for
          pointing out that the non-const reference parameter is
          non-compliant.

Mon May  5 17:45:36 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/default_resource.cpp (TAO_Default_Resource_Factory):

          Initialize the "corba_object_lock_type_" member with
          "TAO_THREAD_LOCK" in the base member initializer list.  Fixes a
          problem where the create_corba_object_lock() method had
          undefined behavior for the default case, i.e. when the user did
          not explicitly use the "-ORBCorbaObjectLock" resource factory
          option.

Mon May  5 17:25:50 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/CDR_Encaps_Codec.cpp (encode_value):

          Fixed problem where encoding a value failed due to
          incompatibilities between the old Any implementation and the new
          one.  An ACE_Message_Block must be explicitly allocated and
          populated if the Any doesn't contain one.  Thanks to Jeff for
          suggesting the fix.

        * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.cpp
          (establish_components):

          Added some sanity checks.

Mon May  5 18:55:44 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/tutorials/Quoter/AMI/Makefile:
        * docs/tutorials/Quoter/On_Demand_Activation/Makefile:
        * docs/tutorials/Quoter/On_Demand_Activation/server.dsp:
        * examples/Content_Server/AMI_Iterator/Makefile:
        * examples/Content_Server/AMI_Iterator/client.dsp:
        * examples/Content_Server/AMI_Iterator/server.dsp:
        * examples/Content_Server/AMI_Observer/Makefile:
        * examples/Content_Server/AMI_Observer/client.dsp:
        * examples/Content_Server/AMI_Observer/server.dsp:
        * orbsvcs/orbsvcs/CosLoadBalancing.bor:
        * orbsvcs/orbsvcs/CosLoadBalancing.dsp:
        * orbsvcs/orbsvcs/Makefile.CosLoadBalancing:
        * orbsvcs/orbsvcs/PortableGroup.bor:

          Added links and include paths to eliminate build errors
          in these directories.

Mon May  5 17:50:42 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * performance-tests/Latency/AMH/Single_Threaded/Makefile:
        * performance-tests/Latency/AMH/Single_Threaded/client.bor:
        * performance-tests/Latency/AMH/Single_Threaded/client.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/server.bor:
        * performance-tests/Latency/AMH/Single_Threaded/server.dsp:
        * performance-tests/Latency/AMI/client.bor:
        * performance-tests/Latency/AMI/client.dsp:
        * performance-tests/Latency/AMI/server.bor:
        * performance-tests/Latency/AMI/server.dsp:
        * performance-tests/Latency/DII/client.dsp:
        * performance-tests/Latency/DII/server.dsp:
        * performance-tests/Latency/DSI/Makefile:
        * performance-tests/Latency/DSI/client.bor:
        * performance-tests/Latency/DSI/client.dsp:
        * performance-tests/Latency/DSI/server.bor:
        * performance-tests/Latency/DSI/server.dsp:
        * performance-tests/Latency/Deferred/client.bor:
        * performance-tests/Latency/Deferred/client.dsp:
        * performance-tests/Latency/Deferred/server.bor:
        * performance-tests/Latency/Deferred/server.dsp:
        * performance-tests/Latency/Single_Threaded/Makefile:
        * performance-tests/Latency/Single_Threaded/client.bor:
        * performance-tests/Latency/Single_Threaded/client.dsp:
        * performance-tests/Latency/Single_Threaded/server.bor:
        * performance-tests/Latency/Single_Threaded/server.dsp:
        * performance-tests/Latency/Thread_Per_Connection/Makefile:
        * performance-tests/Latency/Thread_Per_Connection/client.bor:
        * performance-tests/Latency/Thread_Per_Connection/client.dsp:
        * performance-tests/Latency/Thread_Per_Connection/server.bor:
        * performance-tests/Latency/Thread_Per_Connection/server.dsp:
        * performance-tests/Latency/Thread_Pool/Makefile:
        * performance-tests/Latency/Thread_Pool/client.bor:
        * performance-tests/Latency/Thread_Pool/client.dsp:
        * performance-tests/Latency/Thread_Pool/server.bor:
        * performance-tests/Latency/Thread_Pool/server.dsp:
        * performance-tests/Throughput/client.bor:
        * performance-tests/Throughput/client.dsp:
        * performance-tests/Throughput/server.bor:
        * performance-tests/Throughput/server.dsp:
        * tests/Bug_1482_Regression/client.bor:
        * tests/Bug_1482_Regression/client.dsp:
        * tests/Bug_1482_Regression/server.bor:
        * tests/Bug_1482_Regression/server.dsp:
        * tests/LongUpcalls/ami_client.bor:
        * tests/LongUpcalls/ami_client.dsp:
        * tests/LongUpcalls/ami_server.bor:
        * tests/LongUpcalls/ami_server.dsp:
        * tests/LongUpcalls/blocking_client.bor:
        * tests/LongUpcalls/blocking_client.dsp:
        * tests/LongUpcalls/blocking_server.bor:
        * tests/LongUpcalls/blocking_server.dsp:

          Added link and dependency of TAO_Valuetype library
          for these projects and makefiles.

Mon May  5 17:03:44 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/OctetSeq/server.cpp:

          Set the default output filename for the IOR to be
          consistent with that for the client.

        * tests/Portable_Interceptors/AMI/client.bor:
        * tests/Portable_Interceptors/AMI/client.dsp:
        * tests/Portable_Interceptors/AMI/server.bor:
        * tests/Portable_Interceptors/AMI/server.dsp:

          Fixed project and BCB makefile settings to link the
          TAO_Valuetype library.

Mon May  5 16:37:26 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAOACE_Static.dsw:
        * tao/TAO_Static.dsp:

          Added the new projects below and updated dependencies.

        * tao/TAO_IORInterceptor_Static.dsp:
        * tao/TAO_ObjRefTemplate_Static.dsp:
        * tao/TAO_Valuetype_Static.dsp:

          New project building the corresponding static libraries.

Mon May  5 16:17:49 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/RTPortableServer/Makefile:

          Fixed typo.

Mon May  5 14:13:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup.dsp:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/Makefile.PortableGroup:
        * orbsvcs/orbsvcs/PortableGroup.bor:

          Added links and dependencies to TAO_Valuetype library.

Mon May  5 18:55:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Oneway/client.bor:
        * tests/AMI/simple_client.bor:
        * tests/AMI_Buffering/admin.bor:
          Fixed these BCB makefiles.

Mon May  5 13:35:00 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Messaging/TAO_Messaging.dsp:

          Fixed settings in the release version.

Mon May  5 13:20:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/*/Makefile: Updated dependencies.

        * performance-tests/Latency/AMH/Single_Threaded/Makefile: Added
          TAO_Valuetype library to the command line.

Mon May  5 13:09:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/RTPortableServer/Makefile.bor:
        * tao/RTPortableServer/Makefile:
        * tao/RTPortableServer/RTPortableServer.mpc:

          Added links and dependencies for TAO_Valuetype and TAO_ObjRefTemplate.

Mon May  5 17:34:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/ForwardRequest/Portable_Interceptors_ForwardRequest.mpc:
        * tests/OBV/Forward/OBV_Forward.mpc:
        * tests/OBV/Factory/OBV_Factory.mpc:
        * tests/OBV/Any/OBV_Any.mpc:
          Removed obsolete TAO_IDL -Gv option.

Mon May  5 16:53:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/tao.mpc:
          Replaced Services.cpp with ServicesC.spp

Mon May  5 10:54:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.EXE:
        * TAO_IDL/Makefile.FE:

          Updated dependencies.

Mon May  5 08:52:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/LoadBalancing/LB_IORInterceptor.h: #included
          IORInterceptorC.h.

        * orbsvcs/examples/ORT/ObjectReferenceFactory.idl: Fixed a path to
          included idl file.

        * orbsvcs/*/Makefile*: Updated dependencies.

Mon May  5 08:37:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbvcs/orbsvcs/*Makefile.*: Updated dependencies.

        * orbsvcs/orbsvcs/LB_ORT.idl: Fixed the path to the included pidl
          file.

Mon May  5 08:32:46 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAOACE.dsw:

          Updated dependencies.

Mon May  5 10:30:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Content_Server/SMI_Iterator/server.bor:
        * examples/Content_Server/SMI_Iterator/client.bor:
        * examples/Buffered_Oneways/Buffered_Oneways_server.bor:
        * examples/Buffered_Oneways/Buffered_Oneways_client.bor:
          Removed -GC from tao_idl options, this is not set in the other
          makefiles

Mon May  5 02:20:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/*/Makefile: Updated dependencies.

Mon May  5 01:55:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/Makefile*: Updated dependencies.

Mon May  5 06:40:21 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Makefile.bor:
        * tao/Messaging/Makefile.bor:
          Added TAO_ValueType library to fix BCB link errors.

Mon May  5 01:10:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/*/Makefile: Updated dependencies.
        * tao/Policy_ForwardC.cpp: Fixed a typo in #include.

Mon May  5 06:02:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Makefile.bor:
          Corrected build order TAO libraries

        * tao/ObjRefTemplate/TAO_ObjRefTemplate.rc:
        * tao/Valuetype/TAO_Valuetype.rc:
          Added missing rc files to fix Borland build errors

        * tao/IORInterceptor/TAO_IORInterceptor.rc:
          Removed MSVC specific part, else Borland has problems handling this
          file.

        * tao/ObjRefTemplate/Makefile.bor:
          Removed not needed line

Sun May  4 19:01:43 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:

          Fixed C++ keyword lookup to prepend '_cxx' if the string
          in question is escaped and the unescaped version matches a
          C++ keyword. If there is no match, the escaped version is
          passed along to the IDL keyword check, which strips
          the leading underscore as required for compliance if there
          is a match with an IDL keyword. Thanks to Nick Lewycky
          <nicholas@fresco.org> for reporting the problem. This closes
          [BUGID:1503].

Sun May  4 18:06:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * Merge of a branch in which 3 new libraries are split off from TAO.

        - TAO_Valuetype, which contains all files relating to
          valuetypes and abstract interfaces.

        - TAO_IORInterceptor, which contains files for IOR interceptors.
          Depends on TAO_Valuetype.

        - TAO_ObjRefTemplate, which contains the generated code from
          ObjectReferenceTemplate.pidl. Also depends on TAO_Valuetype.

        Also, the Any template files were split so that we now have
        one file set per template class. This will reduce runtime
        footprint since only those template classes actually instantiated
        will get pulled in now.

        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_cs.cpp:

          Unused files removed from the TAO IDL compiler.

        * tao/AbstractBase.cpp:
        * tao/AbstractBase.h:
        * tao/AbstractBase.inl:
        * tao/ValueBase.cpp:
        * tao/ValueBase.h:
        * tao/ValueBase.i:
        * tao/ValueFactory.cpp:
        * tao/ValueFactory.h:
        * tao/ValueFactory.i:
        * tao/ValueFactory_Map.cpp:
        * tao/ValueFactory_Map.h:
        * tao/ValueFactory_Map.i:
        * tao/Value_VarOut_T.cpp:
        * tao/Value_VarOut_T.h:
        * tao/Value_VarOut_T.inl:

          TAO files moved to the TAO_Valuetype library.

        * tao/ObjectReferenceTemplate.pidl
        * tao/ObjectReferenceTemplateC.cpp:
        * tao/ObjectReferenceTemplateC.h:
        * tao/ObjectReferenceTemplateC.i:

          TAO file moved to the TAO_ObjRefTemplate library.

        * tao/Pseudo_Value_VarOut_T.cpp:
        * tao/Pseudo_Value_VarOut_T.h:
        * tao/Pseudo_Value_VarOut_T.inl:

          Unused files removed from TAO.

        * tao/Any_T.cpp:
        * tao/Any_T.h:
        * tao/Any_T.inl:

          TAO files that were split into the group of files below.

        * tao/Any_Array_Impl_T.cpp:
        * tao/Any_Array_Impl_T.h:
        * tao/Any_Array_Impl_T.inl:
        * tao/Any_Basic_Impl_T.cpp:
        * tao/Any_Basic_Impl_T.h:
        * tao/Any_Basic_Impl_T.inl:
        * tao/Any_Dual_Impl_T.cpp:
        * tao/Any_Dual_Impl_T.h:
        * tao/Any_Dual_Impl_T.inl:
        * tao/Any_Impl_T.cpp:
        * tao/Any_Impl_T.h:
        * tao/Any_Impl_T.inl:
        * tao/Any_Special_Basic_Impl_T.cpp:
        * tao/Any_Special_Basic_Impl_T.h:
        * tao/Any_Special_Basic_Impl_T.inl:
        * tao/Any_Special_Impl_T.cpp:
        * tao/Any_Special_Impl_T.h:
        * tao/Any_Special_Impl_T.inl:

          New files containing the Any template implementation classes.

        * tao/Valuetype_Adapter.cpp:
        * tao/Valuetype_Adapter.h:
        * tao/IORInterceptor_Adapter.cpp:
        * tao/IORInterceptor_Adapter.h:

          Adapter classes for TAO_IORInterceptor and TAO_Valuetype.

        * tao/PI_Forward.pidl
        * tao/PI_ForwardC.cpp:
        * tao/PI_ForwardC.h:
        * tao/PI_ForwardC.i:

          New files that aid in breaking dependencies between IOR
          interceptors and the rest of the ORB.

        * tao/IORInterceptor/IORInterceptor.mpc:
        * tao/IORInterceptor/IORInterceptor.pidl:
        * tao/IORInterceptor/IORInterceptorC.cpp:
        * tao/IORInterceptor/IORInterceptorC.h:
        * tao/IORInterceptor/IORInterceptorC.i:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
        * tao/IORInterceptor/IORInterceptor_Adapter_Impl.h:
        * tao/IORInterceptor/Makefile:
        * tao/IORInterceptor/Makefile.bor:
        * tao/IORInterceptor/TAO_IORInterceptor.dsp:
        * tao/IORInterceptor/TAO_IORInterceptor.rc:
        * tao/IORInterceptor/iorinterceptor_export.h:

          New files making up the TAO_IORInterceptor library.

        * tao/ObjRefTemplate/Makefile:
        * tao/ObjRefTemplate/Makefile.bor:
        * tao/ObjRefTemplate/ObjRefTemplate.mpc:
        * tao/ObjRefTemplate/ObjectReferenceTemplate.pidl
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.cpp:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.h:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.i
        * tao/ObjRefTemplate/TAO_ObjRefTemplate.dsp:
        * tao/ObjRefTemplate/ort_export.h:

          New files making up the TAO_ObjRefTemplate library.

        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.inl:
        * tao/Valuetype/Makefile:
        * tao/Valuetype/Makefile.bor:
        * tao/Valuetype/Seq_Tmplinst.cpp:
        * tao/Valuetype/Sequence_T.cpp:
        * tao/Valuetype/Sequence_T.h:
        * tao/Valuetype/Sequence_T.inl:
        * tao/Valuetype/TAO_Valuetype.dsp:
        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/ValueBase.h:
        * tao/Valuetype/ValueBase.inl:
        * tao/Valuetype/ValueFactory.cpp:
        * tao/Valuetype/ValueFactory.h:
        * tao/Valuetype/ValueFactory.inl:
        * tao/Valuetype/ValueFactory_Map.cpp:
        * tao/Valuetype/ValueFactory_Map.h:
        * tao/Valuetype/ValueFactory_Map.inl:
        * tao/Valuetype/Value_VarOut_T.cpp:
        * tao/Valuetype/Value_VarOut_T.h:
        * tao/Valuetype/Value_VarOut_T.inl:
        * tao/Valuetype/Valuetype.mpc:
        * tao/Valuetype/Valuetype_Adapter_Impl.cpp:
        * tao/Valuetype/Valuetype_Adapter_Impl.h:
        * tao/Valuetype/valuetype_export.h:

          New file making up the TAO_Valuetype library.

        * rules.tao.GNU:

          Added the new libraries to the TAO_SRVR_LIBS variable,
          since the TAO_PortableServer library depends on them.

        * TAOACE.dsw:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be/be_visitor_sequence.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:
        * examples/AMH/Sink_Server/AMH_Servant.h:
        * examples/AMH/Sink_Server/Base_Server.cpp:
        * examples/AMH/Sink_Server/Client_Task.cpp:
        * examples/AMH/Sink_Server/MT_AMH_Server.cpp:
        * examples/AMH/Sink_Server/Makefile:
        * examples/AMH/Sink_Server/client.bor:
        * examples/AMH/Sink_Server/client.dsp:
        * examples/AMH/Sink_Server/mt_server.bor:
        * examples/AMH/Sink_Server/mt_server.dsp:
        * examples/AMH/Sink_Server/st_server.bor:
        * examples/AMH/Sink_Server/st_server.dsp:
        * examples/AMI/FL_Callback/AMI_Peer.dsp:
        * examples/AMI/FL_Callback/AMI_Progress.dsp:
        * examples/AMI/FL_Callback/Makefile:
        * examples/AMI/FL_Callback/Progress_i.cpp:
        * examples/AMI/FL_Callback/peer.cpp:
        * examples/AMI/FL_Callback/progress.cpp:
        * examples/Buffered_AMI/Makefile:
        * examples/Buffered_AMI/client.bor:
        * examples/Buffered_AMI/client.cpp:
        * examples/Buffered_AMI/client.dsp:
        * examples/Buffered_AMI/server.bor:
        * examples/Buffered_AMI/server.cpp:
        * examples/Buffered_AMI/server.dsp:
        * examples/OBV/Typed_Events/client.dsp:
        * examples/OBV/Typed_Events/server.dsp:
        * tao/Any.cpp:
        * tao/Any.h:
        * tao/CONV_FRAMEC.cpp:
        * tao/CORBA_String.cpp:
        * tao/CORBA_String.h:
        * tao/ClientRequestInfo_i.cpp:
        * tao/CurrentC.h:
        * tao/DynamicC.h:
        * tao/GIOPC.cpp:
        * tao/GIOPC.h:
        * tao/IFR_Client_Adapter.cpp:
        * tao/IIOPC.cpp:
        * tao/IOPC.h:
        * tao/IOP_CodecC.h:
        * tao/IOP_IORC.cpp:
        * tao/Interceptor_List.cpp:
        * tao/Interceptor_List.h:
        * tao/Interceptor_List.inl:
        * tao/Makefile.bor:
        * tao/Makefile.dirs:
        * tao/Makefile.tao:
        * tao/ORB.cpp:
        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/Object.h:
        * tao/OctetSeqC.cpp:
        * tao/PolicyC.h:
        * tao/Policy_ForwardC.cpp:
        * tao/Policy_ForwardC.h:
        * tao/PortableInterceptor.pidl:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/PortableInterceptorC.i
        * tao/PredefinedType_Seq_Tmplinst.cpp:
        * tao/Queued_Message.h:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/Sequence_T.i:
        * tao/ServicesC.cpp:
        * tao/StringSeqC.cpp:
        * tao/TAO.dsp:
        * tao/TAO.dsw:
        * tao/TAOC.cpp:
        * tao/TimeBaseC.cpp:
        * tao/TimeBaseC.h:
        * tao/Transport_Connector.h:
        * tao/Wait_Strategy.h:
        * tao/append.cpp:
        * tao/corba.h:
        * tao/corbafwd.cpp:
        * tao/corbafwd.h:
        * tao/skip.cpp:
        * tao/BiDir_GIOP/Makefile:
        * tao/Domain/Makefile:
        * tao/DynamicAny/DynAny_i.h:
        * tao/DynamicAny/Makefile:
        * tao/DynamicInterface/Makefile:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/Makefile:
        * tao/IORManipulation/IORC.h:
        * tao/IORManipulation/Makefile:
        * tao/IORTable/Makefile:
        * tao/Messaging/Makefile:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/Messaging/Messaging_No_ImplC.cpp:
        * tao/Messaging/Messaging_No_ImplC.h:
        * tao/Messaging/Messaging_RT_PolicyC.cpp:
        * tao/Messaging/Messaging_RT_PolicyC.h:
        * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyC.h:
        * tao/Messaging/TAO_ExtC.cpp:
        * tao/Messaging/TAO_ExtC.h:
        * tao/Messaging/TAO_Messaging.dsp:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:
        * tao/PortableServer/IORInfo.h:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/Makefile:
        * tao/PortableServer/Makefile.bor:
        * tao/PortableServer/POA.h:
        * tao/PortableServer/POAManager.cpp:
        * tao/PortableServer/POAManager.h:
        * tao/PortableServer/PortableServer.mpc:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/TAO_PortableServer.dsp:
        * tao/RTCORBA/Makefile:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTPortableServer/Makefile:
        * tao/SmartProxies/Makefile:
        * tao/Strategies/Makefile:
        * tao/TypeCodeFactory/Makefile:
        * tao/Utils/Makefile:
        * tests/AMH_Exceptions/Makefile:
        * tests/AMH_Exceptions/Test.idl:
        * tests/AMH_Exceptions/client.bor
        * tests/AMH_Exceptions/client.dsp:
        * tests/AMH_Exceptions/server.bor
        * tests/AMH_Exceptions/server.cpp:
        * tests/AMH_Exceptions/server.dsp:
        * tests/AMH_Oneway/Makefile:
        * tests/AMH_Oneway/client.bor:
        * tests/AMH_Oneway/client.dsp:
        * tests/AMH_Oneway/server.bor:
        * tests/AMH_Oneway/server.cpp:
        * tests/AMH_Oneway/server.dsp:
        * tests/AMI/AMI_Test_Client.dsp:
        * tests/AMI/AMI_Test_Server.dsp:
        * tests/AMI/AMI_Test_Simple_Client.dsp:
        * tests/AMI/Makefile:
        * tests/AMI/client.bor:
        * tests/AMI/client.cpp:
        * tests/AMI/server.bor:
        * tests/AMI/simple_client.cpp:
        * tests/AMI_Buffering/Makefile:
        * tests/AMI_Buffering/admin.dsp:
        * tests/AMI_Buffering/client.bor
        * tests/AMI_Buffering/client.dsp:
        * tests/AMI_Buffering/server.bor
        * tests/AMI_Buffering/server.dsp:
        * tests/AMI_Timeouts/Makefile:
        * tests/AMI_Timeouts/client.bor
        * tests/AMI_Timeouts/client.cpp:
        * tests/AMI_Timeouts/client.dsp:
        * tests/AMI_Timeouts/server.bor
        * tests/AMI_Timeouts/server.cpp:
        * tests/AMI_Timeouts/server.dsp:
        * tests/AMI_Timeouts/timeout_client.h:
        * tests/Abstract_Interface/Abstract_Interface_Client.dsp:
        * tests/Abstract_Interface/Abstract_Interface_Server.dsp:
        * tests/Abstract_Interface/Makefile:
        * tests/Abstract_Interface/client.bor:
        * tests/Abstract_Interface/server.bor:
        * tests/OBV/Any/Makefile:
        * tests/OBV/Any/client.bor:
        * tests/OBV/Any/client.dsp:
        * tests/OBV/Any/server.bor:
        * tests/OBV/Any/server.dsp:
        * tests/OBV/Factory/Makefile:
        * tests/OBV/Factory/client.bor:
        * tests/OBV/Factory/client.dsp:
        * tests/OBV/Factory/server.bor:
        * tests/OBV/Factory/server.dsp:
        * tests/OBV/Forward/Makefile:
        * tests/OBV/Forward/client.bor:
        * tests/OBV/Forward/client.dsp:
        * tests/OBV/Forward/server.bor:
        * tests/OBV/Forward/server.dsp:
        * tests/OBV/TC_Alignment/Makefile:
        * tests/OBV/TC_Alignment/client.bor:
        * tests/OBV/TC_Alignment/client.dsp:
        * tests/OBV/TC_Alignment/server.bor:
        * tests/OBV/TC_Alignment/server.dsp:
        * tests/ORT/Makefile:
        * tests/ORT/ORT_test_IORInterceptor.h:
        * tests/ORT/ObjectReferenceFactory.idl:
        * tests/ORT/client.bor:
        * tests/ORT/server.bor:
        * tests/ORT/server.dsp:
        * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.h:
        * tests/Portable_Interceptors/IORInterceptor/Makefile:
        * tests/Portable_Interceptors/IORInterceptor/client.dsp:
        * tests/Portable_Interceptors/IORInterceptor/server.bor:
        * tests/Portable_Interceptors/IORInterceptor/server.dsp:

          Changes to the ORB, IDL compiler, TAO tests and examples
          corresponding to the new libraries and Any files created
          above. Following is the branch ChangeLog.

          Sat May  3 14:00:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * tao/Any_T.cpp:
                  * tao/Any_T.h:
                  * tao/Any_T.inl:

                    Removed these files and replaced them with those below.

                  * tao/Any_Array_Impl_T.cpp:
                  * tao/Any_Array_Impl_T.h:
                  * tao/Any_Array_Impl_T.inl:
                  * tao/Any_Basic_Impl_T.cpp:
                  * tao/Any_Basic_Impl_T.h:
                  * tao/Any_Basic_Impl_T.inl:
                  * tao/Any_Dual_Impl_T.cpp:
                  * tao/Any_Dual_Impl_T.h:
                  * tao/Any_Dual_Impl_T.inl:
                  * tao/Any_Impl_T.cpp:
                  * tao/Any_Impl_T.h:
                  * tao/Any_Impl_T.inl:
                  * tao/Any_Special_Basic_Impl_T.cpp:
                  * tao/Any_Special_Basic_Impl_T.h:
                  * tao/Any_Special_Basic_Impl_T.inl:
                  * tao/Any_Special_Impl_T.cpp:
                  * tao/Any_Special_Impl_T.h:
                  * tao/Any_Special_Impl_T.inl:

                    New files, each set containing one template class,
                    allowing more fine-grained includes.

                  * tao/Any.cpp:
                  * tao/Any.h:
                  * tao/CONV_FRAMEC.cpp:
                  * tao/CurrentC.h:
                  * tao/DynamicC.h:
                  * tao/GIOPC.cpp:
                  * tao/IIOPC.cpp:
                  * tao/IOP_CodecC.h:
                  * tao/OctetSeqC.cpp:
                  * tao/PolicyC.h:
                  * tao/Policy_ForwardC.cpp:
                  * tao/Policy_ForwardC.h:
                  * tao/ServicesC.cpp:
                  * tao/StringSeqC.cpp:
                  * tao/TAO.dsp:
                  * tao/TAOC.cpp:
                  * tao/TimeBaseC.cpp:
                  * tao/TimeBaseC.h:
                  * tao/corba.h:
                  * tao/corbafwd.h:
                  * tao/DynamicAny/DynAny_i.h:
                  * tao/IFR_Client/IFR_BaseC.h:
                  * tao/IORManipulation/IORC.h:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.h:
                  * tao/PortableServer/Default_ORTC.cpp:
                  * tao/PortableServer/ImplRepoC.h:
                  * tao/PortableServer/PortableServerC.h:
                  * tao/RTCORBA/RTCORBAC.h:

                    Changes resulting from the new files above.

                  * tao/IORInterceptor/TAO_IORInterceptor.dsp:
                  * tao/ObjRefTemplate/TAO_ObjRefTemplate.dsp:

                    Fixed settings in the release version.

                  * tao/Makefile.tao:
                  * tao/BiDir_GIOP/Makefile:
                  * tao/RTCORBA/Makefile:
                  * tao/RTPortableServer/Makefile:
                  * tao/Strategies/Makefile:
                  * tao/TypeCodeFactory/Makefile:
                  * tao/Utils/Makefile:
                  * tao/IORManipulation/Makefile:
                  * tao/IORTable/Makefile:
                  * tao/Messaging/Makefile:
                  * tao/Valuetype/Makefile:
                  * tao/ObjRefTemplate/Makefile:
                  * tao/PortableServer/Makefile:
                  * tao/IORInterceptor/Makefile:
                  * tao/IFR_Client/Makefile:
                  * tao/Domain/Makefile:
                  * tao/DynamicAny/Makefile:
                  * tao/DynamicInterface/Makefile:

                    Updated dependencies.

          Fri May  2 16:28:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * TAO_IDL/be/be_codegen.cpp:
                  * TAO_IDL/be/be_global.cpp:
                  * TAO_IDL/be/be_interface.cpp:
                  * TAO_IDL/be/be_valuetype.cpp:
                  * TAO_IDL/be_include/be_global.h:
                  * TAO_IDL/include/idl_global.h:
                  * TAO_IDL/util/utl_global.cpp:

                    Added detection and storage of info about
                    declarations of valuetypes and abstract interfaces,
                    checked to conditionally generate file includes
                    for these types from the Valuetype library.

                  * examples/AMH/Sink_Server/AMH_Servant.h:
                  * examples/AMH/Sink_Server/Base_Server.cpp:
                  * examples/AMH/Sink_Server/Client_Task.cpp:
                  * examples/AMH/Sink_Server/MT_AMH_Server.cpp:
                  * examples/AMH/Sink_Server/Makefile:
                  * examples/AMH/Sink_Server/client.bor:
                  * examples/AMH/Sink_Server/client.dsp:
                  * examples/AMH/Sink_Server/mt_server.bor:
                  * examples/AMH/Sink_Server/mt_server.dsp:
                  * examples/AMH/Sink_Server/st_server.bor:
                  * examples/AMH/Sink_Server/st_server.dsp:
                  * examples/AMI/FL_Callback/AMI_Peer.dsp:
                  * examples/AMI/FL_Callback/AMI_Progress.dsp:
                  * examples/AMI/FL_Callback/Makefile:
                  * examples/AMI/FL_Callback/Progress_i.cpp:
                  * examples/AMI/FL_Callback/peer.cpp:
                  * examples/AMI/FL_Callback/progress.cpp:
                  * examples/Buffered_AMI/Makefile:
                  * examples/Buffered_AMI/client.bor:
                  * examples/Buffered_AMI/client.cpp:
                  * examples/Buffered_AMI/client.dsp:
                  * examples/Buffered_AMI/server.bor:
                  * examples/Buffered_AMI/server.cpp:
                  * examples/Buffered_AMI/server.dsp:
                  * tests/AMH_Exceptions/Makefile:
                  * tests/AMH_Exceptions/Test.idl:
                  * tests/AMH_Exceptions/client.bor:
                  * tests/AMH_Exceptions/client.dsp:
                  * tests/AMH_Exceptions/server.bor:
                  * tests/AMH_Exceptions/server.cpp:
                  * tests/AMH_Exceptions/server.dsp:
                  * tests/AMH_Oneway/Makefile:
                  * tests/AMH_Oneway/client.bor:
                  * tests/AMH_Oneway/client.dsp:
                  * tests/AMH_Oneway/server.bor:
                  * tests/AMH_Oneway/server.cpp:
                  * tests/AMH_Oneway/server.dsp:
                  * tests/AMI/AMI_Test_Client.dsp:
                  * tests/AMI/AMI_Test_Server.dsp:
                  * tests/AMI/AMI_Test_Simple_Client.dsp:
                  * tests/AMI/Makefile:
                  * tests/AMI/client.bor:
                  * tests/AMI/client.cpp:
                  * tests/AMI/server.bor:
                  * tests/AMI/simple_client.cpp:
                  * tests/AMI_Buffering/Makefile:
                  * tests/AMI_Buffering/admin.dsp:
                  * tests/AMI_Buffering/client.bor:
                  * tests/AMI_Buffering/client.dsp:
                  * tests/AMI_Buffering/server.bor:
                  * tests/AMI_Buffering/server.dsp:
                  * tests/AMI_Timeouts/Makefile:
                  * tests/AMI_Timeouts/client.bor:
                  * tests/AMI_Timeouts/client.cpp:
                  * tests/AMI_Timeouts/client.dsp:
                  * tests/AMI_Timeouts/server.bor:
                  * tests/AMI_Timeouts/server.cpp:
                  * tests/AMI_Timeouts/server.dsp:
                  * tests/AMI_Timeouts/timeout_client.h:
                  * tests/Abstract_Interface/Abstract_Interface_Client.dsp:
                  * tests/Abstract_Interface/Abstract_Interface_Server.dsp:
                  * tests/Abstract_Interface/Makefile:
                  * tests/Abstract_Interface/client.bor:
                  * tests/Abstract_Interface/server.bor:
                  * tests/ORT/Makefile:
                  * tests/ORT/ORT_test_IORInterceptor.h:
                  * tests/ORT/ObjectReferenceFactory.idl:
                  * tests/ORT/client.bor:
                  * tests/ORT/server.bor:
                  * tests/ORT/server.dsp:
                  * tests/Portable_Interceptors/IORInterceptor/FOO_IORInterceptor.h:
                  * tests/Portable_Interceptors/IORInterceptor/Makefile:
                  * tests/Portable_Interceptors/IORInterceptor/client.dsp:
                  * tests/Portable_Interceptors/IORInterceptor/server.bor:
                  * tests/Portable_Interceptors/IORInterceptor/server.dsp:

                    Updated makefiles and project files for the TAO tests
                    and examples that use valuetypes, abstract interfaces,
                    IOR interceptors or object reference templates. Also
                    removed many unnecessary links, includes
                    and IDL compiler command line options.

          Fri May  2 000:42:11 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * rules.tao.GNU:
                  * TAO_IDL/be/be_codegen.cpp:
                  * TAO_IDL/be/be_global.cpp:
                  * TAO_IDL/be/be_interface.cpp:
                  * TAO_IDL/be/be_valuetype.cpp:
                  * TAO_IDL/be/be_visitor_component/component_ch.cpp:
                  * TAO_IDL/be/be_visitor_component/component_cs.cpp:
                  * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
                  * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                  * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
                  * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
                  * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
                  * TAO_IDL/be_include/be_global.h
                  * tests/OBV/Any/Makefile:
                  * tests/OBV/Any/client.bor:
                  * tests/OBV/Any/client.dsp:
                  * tests/OBV/Any/server.bor:
                  * tests/OBV/Any/server.dsp:
                  * tests/OBV/Factory/Makefile:
                  * tests/OBV/Factory/client.bor:
                  * tests/OBV/Factory/client.dsp:
                  * tests/OBV/Factory/server.bor:
                  * tests/OBV/Factory/server.dsp:
                  * tests/OBV/Forward/Makefile:
                  * tests/OBV/Forward/client.bor:
                  * tests/OBV/Forward/client.dsp:
                  * tests/OBV/Forward/server.bor:
                  * tests/OBV/Forward/server.dsp:
                  * tests/OBV/TC_Alignment/Makefile:
                  * tests/OBV/TC_Alignment/client.bor:
                  * tests/OBV/TC_Alignment/client.dsp:
                  * tests/OBV/TC_Alignment/server.bor:
                  * tests/OBV/TC_Alignment/server.dsp:

                    Updated rules.tao.GNU and the tests in the
                    TAO/tests/OBV directory to work with the
                    new Valuetype library. Also substituted ptrdiff_t
                    for ptr_arith_t in TAO_IDL.

          Thu May  1 20:24:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * TAO_IDL/be_include/be_helper.h:
                  * tao/ORB.cpp:
                  * tao/IORInterceptor/IORInterceptorC.cpp:
                  * tao/IORInterceptor/IORInterceptorC.h:
                  * tao/Messaging/MessagingC.cpp:
                  * tao/Messaging/MessagingC.h:
                  * tao/Messaging/Messaging_No_ImplC.cpp:
                  * tao/Messaging/Messaging_No_ImplC.h:
                  * tao/Messaging/Messaging_RT_PolicyC.cpp:
                  * tao/Messaging/Messaging_RT_PolicyC.h:
                  * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
                  * tao/Messaging/Messaging_SyncScope_PolicyC.h:
                  * tao/Messaging/TAO_ExtC.cpp:
                  * tao/Messaging/TAO_ExtC.h:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.cpp:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.h:
                  * tao/PortableServer/Default_ORTC.cpp:
                  * tao/PortableServer/Default_ORTC.h:
                  * tao/Valuetype/AbstractBase.cpp:
                  * tao/Valuetype/AbstractBase.h:
                  * tao/Valuetype/AbstractBase.inl:
                  * tao/Valuetype/ValueBase.cpp:

                    Finished subsetting the Valuetype library. Also changed some
                    ptr_arith_t to ptrdiff_t, to be compatible with recent
                    changes in ACE.

                  * TAOACE.dsw:
                  * rules.tao.GNU:
                  * tao/BiDir_GIOP/Makefile:
                  * tao/Domain/Makefile:
                  * tao/DynamicAny/Makefile:
                  * tao/DynamicInterface/Makefile:
                  * tao/IFR_Client/Makefile:
                  * tao/Valuetype/ValueBase.h:
                  * tao/IORInterceptor/Makefile:
                  * tao/IORManipulation/Makefile:
                  * tao/IORTable/Makefile:
                  * tao/Makefile.bor:
                  * tao/Makefile.dirs
                  * tao/Makefile.tao:
                  * tao/ObjRefTemplate/Makefile:
                  * tao/ObjRefTemplate/Makefile.bor:
                  * tao/Messaging/Makefile:
                  * tao/RTCORBA/Makefile:
                  * tao/RTPortableServer/Makefile:
                  * tao/SmartProxies/Makefile:
                  * tao/Strategies/Makefile:
                  * tao/TypeCodeFactory/Makefile:
                  * tao/PortableServer/Makefile:
                  * tao/PortableServer/TAO_PortableServer.dsp:
                  * tao/Utils/Makefile:
                  * tao/Messaging/TAO_Messaging.dsp:
                  * tao/ObjRefTemplate/TAO_ObjRefTemplate.dsp:

                    Modified and/or updated dependencies.

                  * tao/Valuetype/Valuetype.mpc:
                  * tao/Valuetype/Makefile:
                  * tao/Valuetype/Makefile.bor:
                  * tao/ObjRefTemplate/ObjRefTemplate.mpc:

                    New files.

          Thu May  1 15:48:19 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * tao/ObjectReferencTemplate/ObjectReferenceTemplateC.h:
                  * tao/Valuetype/ValueFactory_Map.h:

                    Minor changes to get the ORT and Valuetype libraries to
                    compile.

          Wed Apr 30 21:33:08 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * tao/ORB.cpp:
                  * tao/TAO.dsp:
                  * tao/Valuetype_Adapter.h:
                  * tao/append.cpp:
                  * tao/corba.h:
                  * tao/skip.cpp:
                  * tao/Valuetype/AbstractBase.cpp:
                  * tao/Valuetype/TAO_Valuetype.dsp
                  * tao/Valuetype/Valuetype_Adapter_Impl.cpp:
                  * tao/Valuetype/Valuetype_Adapter_Impl.h:

                    Exisiting files modified toward separating
                    valuetype-related files into a library.

                  * tao/Valuetype/ValueBase.cpp:
                  * tao/Valuetype/ValueBase.h:
                  * tao/Valuetype/ValueBase.inl:
                  * tao/Valuetype/ValueFactory.cpp:
                  * tao/Valuetype/ValueFactory.h:
                  * tao/Valuetype/ValueFactory.inl:
                  * tao/Valuetype/ValueFactory_Map.cpp:
                  * tao/Valuetype/ValueFactory_Map.h:
                  * tao/Valuetype/ValueFactory_Map.inl:

                    Files moved from TAO/tao and/or renamed.

                  * tao/ValueBase.cpp:
                  * tao/ValueBase.h:
                  * tao/ValueBase.i:
                  * tao/ValueFactory.cpp:
                  * tao/ValueFactory.h:
                  * tao/ValueFactory.i:
                  * tao/ValueFactory_Map.cpp:
                  * tao/ValueFactory_Map.h:
                  * tao/ValueFactory_Map.i:

                    Files removed from TAO and transferred to
                    the TAO_Valuetype library.

          Wed Apr 30 18:11:05 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * TAO_IDL/ast/ast_interface.cpp:
                  * TAO_IDL/be/be_decl.cpp:
                  * TAO_IDL/be/be_visitor_operation.cpp:

                    Changes to keep in sync with changes in ACE.

                  * tao/ClientRequestInfo_i.cpp:
                  * tao/IORInterceptor_Adapter.h:
                  * tao/ORB_Core.cpp:
                  * tao/ORB_Core.h:
                  * tao/TAO.dsp:
                  * tao/TAO.dsw:
                  * TAOACE.dsw:
                  * tao/ValueBase.h:
                  * tao/corbafwd.h:

                    Progress in constructing the Valuetype library.

                  * tao/Valuetype_Adapter.cpp:
                  * tao/Valuetype_Adapter.h:
                  * tao/ObjRefTemplate/Makefile:
                  * tao/ObjRefTemplate/Makefile.bor:
                  * tao/Valuetype/AbstractBase.cpp:
                  * tao/Valuetype/AbstractBase.h:
                  * tao/Valuetype/AbstractBase.inl:
                  * tao/Valuetype/TAO_Valuetype.dsp:
                  * tao/Valuetype/Valuetype_Adapter_Impl.cpp:
                  * tao/Valuetype/Valuetype_Adapter_Impl.h:
                  * tao/Valuetype/valuetype_export.h:

                    New files.

                  * tao/AbstractBase.cpp:
                  * tao/AbstractBase.h:
                  * tao/AbstractBase.inl:

                    Moved these files to the Valuetype library.

          Tue Apr 29 17:21:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * tao/Any_T.h:
                  * tao/CORBA_String.cpp:
                  * tao/CORBA_String.h:
                  * tao/ClientRequestInfo_i.cpp:
                  * tao/Queued_Message.h:
                  * tao/Transport_Connector.h:
                  * tao/Wait_Strategy.h:
                  * tao/corba.h:
                  * tao/corbafwd.cpp:

                    Added some forward declarations and some includes to eliminate
                    build errors, and other changes in preparation for moving
                    out valuetype- and abstract interface-related files.

          Fri Apr 11 17:18:16 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * TAOACE.dsw:
                  * tao/AbstractBase.cpp:
                  * tao/Makefile.bor:
                  * tao/Makefile.dirs:
                  * tao/Makefile.tao:
                  * tao/PortableInterceptorC.h:
                  * tao/TAO.dsp:
                  * tao/DynamicInterface/Makefile:
                  * tao/IORInterceptor/IORInterceptor.pidl
                  * tao/IORInterceptor/IORInterceptorC.h:
                  * tao/IORInterceptor/Makefile:
                  * tao/IORInterceptor/TAO_IORInterceptor.dsp
                  * tao/PortableServer/Default_ORTC.h:
                  * tao/PortableServer/Makefile:
                  * tao/PortableServer/Makefile.bor:
                  * tao/PortableServer/POAManager.h:
                  * tao/PortableServer/TAO_PortableServer.dsp:

                    More subsetting-related changes.

                  * tao/ObjRefTemplate/ObjectReferenceTemplate.pidl:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.cpp:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.h:
                  * tao/ObjRefTemplate/ObjectReferenceTemplateC.i:
                  * tao/ObjRefTemplate/TAO_ObjRefTemplate.dsp:
                  * tao/ObjRefTemplate/ort_export.h:

                    Library created from ObjectReferenceTemplate*
                    files moved from TAO.

                  * tao/ObjectReferenceTemplate.pidl:
                  * tao/ObjectReferenceTemplateC.cpp:
                  * tao/ObjectReferenceTemplateC.h:
                  * tao/ObjectReferenceTemplateC.i:

                    Corresponding files removed from TAO.

          Fri Apr 11 13:01:04 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * TAOACE.dsw:
                  * tao/Interceptor_List.cpp:
                  * tao/Makefile.bor:
                  * tao/Makefile.dirs:
                  * tao/Makefile.tao:
                  * tao/IORInterceptor/TAO_IORInterceptor.dsp:
                  * tao/PortableServer/IORInfo.h:
                  * tao/PortableServer/Makefile:
                  * tao/PortableServer/Makefile.bor:
                  * tao/PortableServer/POA.h:
                  * tao/PortableServer/POAManager.cpp:
                  * tao/PortableServer/PortableServer.mpc:
                  * tao/PortableServer/TAO_PortableServer.dsp:

                    Changes to integrate the new IORInterceptor
                    library into existing TAO builds.

                  * tao/IORInterceptor/IORInterceptor.mpc:
                  * tao/IORInterceptor/Makefile:
                  * tao/IORInterceptor/Makefile.bor:
                  * tao/IORInterceptor/TAO_IORInterceptor.rc:

                    New files to complete the build framework of
                    TAO_IORInterceptors.

          Fri Apr 11 02:58:32 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * IFR_Client_Adapter.cpp:

                    Cosmetic changes.

                  * Interceptor_List.cpp:
                  * Interceptor_List.h:
                  * Interceptor_List.inl:
                  * ORB_Core.cpp:
                  * ORB_Core.h:
                  * ObjectReferenceTemplate.pidl:
                  * ObjectReferenceTemplateC.cpp:
                  * ObjectReferenceTemplateC.h:
                  * PortableInterceptor.pidl:
                  * PortableInterceptorC.cpp:
                  * PortableInterceptorC.h:
                  * TAO.dsp:
                  * IORInterceptor/TAO_IORInterceptor.dsp:

                    Modified files toward finishing the TAO_IORInterceptor
                    library.

                  * PI_Forward.pidl:
                  * PI_ForwardC.cpp:
                  * PI_ForwardC.h:
                  * PI_ForwardC.i:

                    New files, collecting typedefs used by both
                    PortableInterceptor.pidl and ObjectReferenceTemplate.pidl.

                  * IORInterceptor/IORInterceptor_Adapter_Impl.cpp:
                  * IORInterceptor/IORInterceptor_Adapter_Impl.h:
                  * IORInterceptor_Adapter.cpp:
                  * IORInterceptor_Adapter.h:

                    Abstract and concrete adapter classes whose methods
                    wrap the few remaining dependencies in TAO on
                    PortableInterceptor::IORInterceptor.

          Thu Apr 10 22:44:04 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

                  * tao/PortableInterceptor.pidl:
                  * tao/PortableInterceptorC.h:
                  * tao/PortableInterceptorC.i:
                  * tao/PortableInterceptorC.cpp:

                    Removed IORInterceptor and IORInfo from these files.

                  * tao/IORInterceptor/IORInterceptor.pidl:
                  * tao/IORInterceptor/IORInterceptorC.cpp:
                  * tao/IORInterceptor/IORInterceptorC.h:
                  * tao/IORInterceptor/IORInterceptorC.i:
                  * tao/IORInterceptor/TAO_IORInterceptor.dsp:
                  * tao/IORInterceptor/iorinterceptor_export.h:

                    Started a new library with the interfaces removed from
                    PortableInterceptor.pidl.

Sun May  4 16:45:46 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/Naming_Service/Naming_Service.{h,cpp} (parse_args):
          Made argc a reference so that parse_args() can properly remove
          the -t option and argument from the commandline args if found.
          Also, make sure we process the arguments in order, by using the
          "-" prefix, RETURN_IN_ORDER, so as not to disturbe the rest of
          the arguments.  Thanks to Scott Gammil <srgammill@sbcglobal.net>
          for reporting the problem and supplying a fix.

        * orbsvcs/tests/Simple_Naming/run_test.pl:
          Added the "-t" option to first test.

Sat May 03 15:55:07 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Object.cpp (operator<<): If the object reference is not
          completely evaluated just marshall the stream of octets into the
          incoming CDR. Thanks to Andras Lang
          <lang@isis-server.isis.vanderbilt.edu> for reporting the
          problem.

Sat May  3 09:35:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/orbconf.h:
        * tao/default_resource.cpp: Added a #if option to select lazy
          resource strategy at compile time.

Fri May  2 12:01:45 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:

          Check to make sure that the server is running before removing it.
          If it is running, reset the running information.

        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:

          Get the server information after reregistering the server before
          displaying it.

Fri May 02 17:03:49 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/orbsvcs/CosNotification_Static.dsp:

          Added missing two missing IDL files and their resulting
          generated source to project and removed two others to make
          this project consistent with CosNotification.dsp.

        * TAOACE.dsw:
        * TAOACE_Static.dsw:

          Added a couple of missing dependencies.

Fri May 02 14:10:01 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tao/DynamicInterface/Request.cpp: Trimmed trailing spaces.

Fri May 02 05:51:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Quoter/Server.bor:
        * examples/Quoter/Factory_finder.bor:
        * examples/Quoter/Generic_factory.bor:
          Added IORTable to fix BCB6 Static link errors.

Thu May 01 21:55:00 UTC 2003  Gautam Thaker  <gthaker@atl.lmco.com>

        Please address all concerns regarding this commit
        to Jason Cohen <jcohen@atl.lmco.com>.  Thank you.

        * tao/corbafwd.h:

        Added profile tag for SCIOP = 0x54414f0EU
        Note that this is not an official tag , but has been permitted
        for the time being.  It may change in the future.

        * tao/orbconf.h:

        To enable SCIOP building, ACE_HAS_SCTP must be enabled by
        added sctp=openss7 to the gmake command line.
        See $ACE_ROOT/performance-tests/SCTP/README for more info.
        Added code to set the major/minor types and enable
        sctp via TAO_HAS_SCIOP #define.

        * tao/Strategies/Makefile:
        * tao/Strategies/advanced_resource.cpp:

        Modified these two files to enable inclusion of the following
        new files.  Added SCIOP_* and sciop_* files to the Makefile
        and added SCIOP tag checking to advanced_resource.cpp to
        enable the Acceptor_Registry to know of SCIOP_Factory.

        * tao/Strategies/SCIOP_Acceptor.cpp:
        * tao/Strategies/SCIOP_Acceptor.h:
        * tao/Strategies/SCIOP_Acceptor.i:
        * tao/Strategies/SCIOP_Connection_Handler.cpp:
        * tao/Strategies/SCIOP_Connection_Handler.h:
        * tao/Strategies/SCIOP_Connection_Handler.i:
        * tao/Strategies/SCIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.h:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Endpoint.h:
        * tao/Strategies/SCIOP_Endpoint.i:
        * tao/Strategies/SCIOP_Factory.cpp:
        * tao/Strategies/SCIOP_Factory.h:
        * tao/Strategies/SCIOP_Lite_Factory.cpp:
        * tao/Strategies/SCIOP_Lite_Factory.h:
        * tao/Strategies/SCIOP_Profile.cpp:
        * tao/Strategies/SCIOP_Profile.h:
        * tao/Strategies/SCIOP_Profile.i:
        * tao/Strategies/SCIOP_Transport.cpp:
        * tao/Strategies/SCIOP_Transport.h:
        * tao/Strategies/SCIOP_Transport.i:
        * tao/Strategies/sciop_endpoints.cpp:
        * tao/Strategies/sciop_endpoints.h:
        * tao/Strategies/sciop_endpoints.i:
        * tao/Strategies/sciop_endpoints.pidl:

        Files added for SCIOP pluggable protocol.
        These files mirror the functionality of IIOP but do not
        inherit from IIOP.  SCIOP, while currently unsupported in
        this implementation, has a unique set of protocol properties.
        In the future, we may find a way to use inheritence from
        IIOP, but this is not currently trivial.

        * utils/catior/catior.cpp:

        Enabled SCIOP IOR recognition fulltime by removing
        #if 0 statements.  This *should* be okay, now that the SCIOP
        tag is available on all platforms, even if SCTP is not
        supported.

Thu May 01 16:15:29 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/PortableServer/POA:

          Object_Reactivation test pointed out the following bug: When
          waiting for the <servant_deactivation_condition>, the waiting
          thread gives up the POA lock.  This can potentially allow other
          threads to come in and make changes to the state of the POA.
          This includes, as in the case of the Object_Reactivation test,
          non-servant upcalls being in progress.  The waiting thread must
          reevaluate all conditions again from scratch after coming back
          from the wait() call.

          Therefore, I moved the while(1) loop from is_servant_in_map()
          and is_user_id_in_map() to activate_object() and
          activate_object_with_id().  This way all conditions are
          reevaluated after the wait completes, including the condition
          that no non-servant upcalls are in progress.

          Also in locate_servant_i(), similar changes were made.  In
          addition, if error occurred or a restart is required,
          etherealize the incarnated servant.

          In imr_notify_startup(), we can ignore the wait flag since this
          method is called from the POA constructor, there shouldn't be
          any waiting required.

          Thanks to Simon McQueen <sm@prismtechnologies.com> for pointing
          out that Object_Reactivation was failing. In fact,
          Object_Reactivation was always doing the incorrect thing; it was
          the new assert statements in Object_Adapter.cpp that pointed
          them out.

        * tao/PortableServer/Object_Adapter.cpp:

          Renamed the existing prepare_for_upcall() to
          prepare_for_upcall_i().  The new prepare_for_upcall() calls
          prepare_for_upcall_i() and watches out for potential restarts.
          If we end up waiting on a condition variable, the POA state may
          have changed while we are waiting.  Therefore, we need to call
          prepare_for_upcall_i() again.  We also need to cleanup the state
          of the upcall object.  Therefore, invoke the upcall destructor
          before continuing.

        * tao/RTPortableServer/RT_POA.i:

          Changes similar to the POA class were required for
          RT_POA::activate_object_with_priority() and
          RT_POA::activate_object_with_id_and_priority().

        * tao/RTPortableServer/RT_Collocation_Resolver.cpp:

          is_collocated() calls POA::locate_servant_i().  However, it can
          ignore the <wait_occurred_restart_call> flag since there is no
          implicit activation, there is no chance of waiting on a
          condition variable.

        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.cpp:
        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:

          Removed unnecessary parameters to Task::activate() call.

        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:

          Made debugging statements optional.

        * examples/POA/DSI/server.dsp:
        * examples/POA/DSI/client.dsp:
        * examples/POA/DSI/Makefile:

          No need to link with the messaging library.

        * examples/TAO_Examples.dsw:

          Added POA BiDir test.

Thu May  1 15:03:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao_IFR_Client/IFR_BaseC.cpp:
        * tao_IFR_Client/IFR_BaseC.h:
        * tao_IFR_Client/IFR_BaseC.i:
        * tao_IFR_Client/IFR_BasicC.cpp:
        * tao_IFR_Client/IFR_BasicC.h:
        * tao_IFR_Client/IFR_BasicC.i:
        * tao_IFR_Client/IFR_ComponentsC.cpp:
        * tao_IFR_Client/IFR_ComponentsC.h:
        * tao_IFR_Client/IFR_ComponentsC.i:
        * tao_IFR_Client/IFR_ExtendedC.cpp:
        * tao_IFR_Client/IFR_ExtendedC.h:
        * tao_IFR_Client/IFR_ExtendedC.i:

          Regenerated these files.

Thu May  1 14:16:58 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RTCORBAC.i:

          Regenerated these files.

Thu May  1 11:25:42 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Credentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ReceivedCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_ReceivedCredentials.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.h:
        * orbsvcs/orbsvcs/Security/PrincipalAuthenticator.cpp:
        * orbsvcs/orbsvcs/Security/PrincipalAuthenticator.h:
        * tao/AbstractBase.cpp:
        * tao/AbstractBase.h:
        * tao/AbstractBase.inl:
        * tao/Any.cpp:
        * tao/ClientRequestInfo_i.cpp:
        * tao/CurrentC.cpp:
        * tao/CurrentC.h:
        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/GIOP_Message_Generator_Parser_10.cpp:
        * tao/IOP_CodecC.cpp:
        * tao/IOP_CodecC.h:
        * tao/LocalObject.cpp:
        * tao/LocalObject.i:
        * tao/NVList.cpp:
        * tao/NVList.h:
        * tao/ORBInitInfo.cpp:
        * tao/ORBInitInfo.h:
        * tao/Object.cpp:
        * tao/Object.h:
        * tao/ObjectReferenceTemplateC.cpp:
        * tao/ObjectReferenceTemplateC.h:
        * tao/Pluggable_Messaging_Utils.h:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/PollableC.cpp:
        * tao/PollableC.h:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/TAOC.cpp:
        * tao/TAOC.h:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.i:
        * tao/ValueBase.cpp:
        * tao/ValueBase.h:
        * tao/BiDir_GIOP/BiDirPolicyC.cpp:
        * tao/BiDir_GIOP/BiDirPolicyC.h:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynAny_i.h:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynEnum_i.h:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynUnion_i.h:
        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.h:
        * tao/IFR_Client/IFR_ExtendedC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.h:
        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.h:
        * tao/IORTable/IORTableC.cpp:
        * tao/IORTable/IORTableC.h:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/Messaging/Messaging_No_ImplC.cpp:
        * tao/Messaging/Messaging_No_ImplC.h:
        * tao/Messaging/Messaging_RT_PolicyC.cpp:
        * tao/Messaging/Messaging_RT_PolicyC.h:
        * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyC.h:
        * tao/Messaging/TAO_ExtC.cpp:
        * tao/Messaging/TAO_ExtC.h:
        * tao/PortableServer/Collocated_Object.cpp:
        * tao/PortableServer/Collocated_Object.h:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:
        * tao/PortableServer/ImR_LocatorC.cpp:
        * tao/PortableServer/ImR_LocatorC.h:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/POAManager.i:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/Servant_Base.i:
        * tao/PortableServer/ServerRequestInfo.cpp:
        * tao/RTCORBA/Network_Priority_Mapping_Manager.cpp:
        * tao/RTCORBA/Network_Priority_Mapping_Manager.h:
        * tao/RTCORBA/Priority_Mapping_Manager.cpp:
        * tao/RTCORBA/Priority_Mapping_Manager.h:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
        * tao/RTPortableServer/RTPortableServerC.cpp:
        * tao/RTPortableServer/RTPortableServerC.h:
        * tao/TypeCodeFactory/TypeCodeFactoryC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.h:
        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:
        * tao/TypeCodeFactory/TypeCodeFactory_i.h:

          Changed all uses of ptr_arith_t to ptrdiff_t.  Addresses 64 bit
          platform issues.  Thanks to Steve Huston <shuston@riverace.com>
          for suggesting this change.

        * tao/Exception.h:

          Updated author information.

        * tao/Pseudo_VarOut_T.h:

          Nuked trailing whitespace.

Thu May 01 10:35:03 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp (encode_endpoints):

          Use the ssl_component() accessor method instead of directly
          accessing the class member variable.  TAO_SSLIOP_Profile is
          currently a friend of TAO_SSLIOP_Endpoint.  This change is a
          step in the direction of removing that friend declaration.

Thu May  1 11:29:27 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/DynamicAny/DynamicAnyC.i:

          Regenerated these files.

Thu May  1 11:08:51 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Param_Test/Makefile:
        * tests/Param_Test/Param_Test.mpc:
        * tests/Param_Test/client.bor:
        * tests/Param_Test/client.dsp:
        * tests/Param_Test/server.bor:
        * tests/Param_Test/server.dsp:

          Modified these files to reflect the removal of the file below.

        * tests/Param_Test/tmplinst.cpp:

          Removed this file. All the necessary explicit template
          instantiations are generated now.

Thu May  1 10:46:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicInterface/Request.cpp:

          Added explicit instantiations of the base template class
          for CORBA::ORB::RequestSeq_var.

Thu May  1 10:27:40 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Param_Test/tmplinst.cpp:

          Updated parameter list in several of the explicit instantiations.

Thu May  1 09:51:03 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typedef/typedef_ch.cpp:

          My recent additions to typedef code generation were generating
          a scoped name for both the type and the alias. This was
          incorrect, changed the alias generation to use the local name.
          Thanks to Simon McQueen <sm@prismtechnologies.com> for
          pointing out the problems the error was causing in
          CosLoadBalancing and the logging service libraries.

Thu May  1 08:37:49 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/IFR_Service/IFR_Service.mpc:

          Added the NT_Service.cpp.

        * orbsvcs/IFR_Service/drv_preproc_ifr.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/IFR_Service/tao_ifr.cpp:
        * orbsvcs/ImplRepo_Service/ImR_Activator_i.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:

          Removed build warnings for Windows XP 64-bit.

        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:

          Added $(TAO_ROOT)/TAO_IDL to the libpaths.

Wed Apr 30 20:18:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IORManipulation/IORC.cpp: Added explicit template
          instantiations.

Wed Apr 30 17:13:43 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_visitor_sequence/sequence_cs.h:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Removed unused parameter in gen_base_class_tmplinst().

Wed Apr 30 16:31:43 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_array/array_cs.cpp:
        * TAO_IDL/be_include/be_visitor_array/array_cs.h:

          Fixed explicit template instatiation for arrays.

Wed Apr 30 14:59:07 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Changed internal checks and generated guards to handle
          use case of generating explicit template instantiation
          for bounded sequence base classes, and to avoid duplication
          if the same element type appears in a sequence with the
          same bound but in a different scope.

        * TAO_IDL/be/be_visitor_typedef.cpp:
        * TAO_IDL/be/be_visitor_typedef/typedef_ch.cpp:
        * TAO_IDL/be_include/be_visitor_typedef/typedef_ch.h:

          Fixed code generation for interface and valuetype typdefs
          to be consistent with recent changes to code generation
          for the corresponding base types.

Wed Apr 30 13:19:21 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:

          Changed generated code so that an octet sequence in an IDL
          file inherits from TAO_Unbounded_Sequence<CORBA::Octet>,
          rather than from the TAO_specific CORBA::OctetSeq, as it
          was recently changed to do. This change caused a host of
          problems, and since CORBA::OctetSeq is a spec extension,
          it now seems best to use it only in the TAO hand-crafted
          files.

Wed Apr 30 10:45:44 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Fixed logic mistake that was skipping generation of explicit
          template instantiations for the base classes of bounded
          sequences whose elements are a basic IDL type.

Wed Apr 30 16:44:12 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/orbsvcs/CosNotification_Static.dsp:

          Removed attic'ed files.

Wed Apr 30 10:40:31 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.cpp:
          Fixed compile errors for no exception builds on MSVC++.

Wed Apr 30 16:21:21 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/orbsvcs/CosNotification_Static.dsp:

          Fixed output dir so stubs end up in the right place.

Wed Apr 30 15:25:35 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tao/TAO_Static.dsp:
          Added IOP_IORC.* and IOP_CodecC.* to project to fix errors
          in static builds.

Wed Apr 30 07:26:37 2003  Chad Elliott  <elliott_c@ociweb.com>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/include/idl_narrow.h:
        * TAO_IDL/include/utl_string.h:
        * TAO_IDL/util/utl_string.cpp:
        * orbsvcs/Naming_Service/Naming_Service.h:
        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/orbsvcs/AV/AV_Core.cpp:
        * orbsvcs/orbsvcs/AV/MCast.cpp:
        * orbsvcs/orbsvcs/AV/QoS_UDP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Channel.cpp:
        * orbsvcs/orbsvcs/AV/RTCP_Packet.cpp:
        * orbsvcs/orbsvcs/AV/RTP.cpp:
        * orbsvcs/orbsvcs/AV/TCP.cpp:
        * orbsvcs/orbsvcs/AV/UDP.cpp:
        * orbsvcs/orbsvcs/AV/sfp.cpp:
        * orbsvcs/orbsvcs/Event/Dispatching_Modules.i:
        * orbsvcs/orbsvcs/Event/Dispatching_Modules.cpp:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.cpp:
        * orbsvcs/orbsvcs/Event/EC_And_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Conjunction_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Disjunction_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.cpp:
        * orbsvcs/orbsvcs/Event/Event_Channel.i:
        * orbsvcs/orbsvcs/Event/Event_Channel.cpp:
        * orbsvcs/orbsvcs/Event/RT_Task.cpp:
        * orbsvcs/orbsvcs/Event_Utilities.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/IFRService/AttributeDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/Container_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/OperationDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/StructDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/UnionDef_i.cpp:
        * orbsvcs/orbsvcs/IOR_Multicast.cpp:
        * orbsvcs/orbsvcs/Log/LogMgr_i.cpp:
        * orbsvcs/orbsvcs/Log/Log_i.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Transient_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Notify/ETCL_Filter.cpp:
        * orbsvcs/orbsvcs/Notify/EventTypeSeq.cpp:
        * orbsvcs/orbsvcs/Notify/FilterAdmin.cpp:
        * orbsvcs/orbsvcs/Notify/PropertySeq.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/Property/CosPropertyService_i.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/DynSched.cpp:
        * orbsvcs/orbsvcs/Sched/SchedEntry.i:
        * orbsvcs/orbsvcs/Sched/Scheduler_Generic.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.h:
        * orbsvcs/orbsvcs/Trader/Constraint_Interpreter.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Database.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators.cpp:
        * orbsvcs/orbsvcs/Trader/Offer_Iterators_T.cpp:
        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.cpp:
        * orbsvcs/orbsvcs/Trader/Trader.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_Utils.cpp:
        * tao/Asynch_Queued_Message.cpp:
        * tao/CDR_Encaps_Codec.cpp:
        * tao/CORBALOC_Parser.cpp:
        * tao/ClientRequestInfo_i.cpp:
        * tao/Codeset_Manager.cpp:
        * tao/Connection_Handler.cpp:
        * tao/Domain/DomainS.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicInterface/DII_Invocation.inl:
        * tao/DynamicInterface/Request.cpp:
        * tao/DynamicInterface/Server_Request.cpp:
        * tao/Exception.cpp:
        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Lite.cpp:
        * tao/IIOP_Acceptor.h:
        * tao/IIOP_Acceptor.cpp:
        * tao/IIOP_Connection_Handler.cpp:
        * tao/IIOP_Profile.h:
        * tao/IIOP_Profile.cpp:
        * tao/Leader_Follower.cpp:
        * tao/LocalObject.cpp:
        * tao/MCAST_Parser.cpp:
        * tao/Messaging/MessagingS.cpp:
        * tao/ORB.cpp:
        * tao/ORB_Core.cpp:
        * tao/Object.cpp:
        * tao/PortableServer/ImR_LocatorS.cpp:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/Key_Adapters.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/POA.cpp:
        * tao/PortableServer/POAManager.i:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/Servant_Base.i:
        * tao/PortableServer/Servant_Base.cpp:
        * tao/PortableServer/ServerRequestInfo.cpp:
        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp:
        * tao/Profile.h:
        * tao/Profile.cpp:
        * tao/RTCORBA/RT_Invocation_Endpoint_Selectors.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:
        * tao/RTPortableServer/RT_POA.cpp:
        * tao/Service_Context.cpp:
        * tao/Strategies/DIOP_Acceptor.h:
        * tao/Strategies/DIOP_Acceptor.cpp:
        * tao/Strategies/DIOP_Connection_Handler.cpp:
        * tao/Strategies/DIOP_Profile.h:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Acceptor.cpp:
        * tao/Strategies/SHMIOP_Connection_Handler.cpp:
        * tao/Strategies/SHMIOP_Profile.h:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/UIOP_Connection_Handler.cpp:
        * tao/Strategies/UIOP_Profile.h:
        * tao/Strategies/UIOP_Profile.cpp:
        * tao/Synch_Queued_Message.cpp:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.i:
        * tao/Tagged_Components.cpp:
        * tao/Transport.h:
        * tao/Transport.inl:
        * tao/Transport.cpp:
        * tao/Transport_Cache_Manager.cpp:
        * tao/Typecode.cpp:
        * tao/corbafwd.cpp:
        * tao/default_resource.h:
        * tao/default_resource.cpp:
        * tao/params.cpp:

          Remove build warnings on Windows XP 64-bit.

Wed Apr 30 12:52:50 2003  Simon McQueen  <sm@prismtechnologies.com>

        * examples/Simple/time/client_static.dsp:
        * orbsvcs/orbsvcs/AV_Static.dsp:
        * orbsvcs/orbsvcs/CosConcurrency_Static.dsp:
        * orbsvcs/orbsvcs/CosEvent_Static.dsp:
        * orbsvcs/orbsvcs/CosLifeCycle_Static.dsp:
        * orbsvcs/orbsvcs/CosLoadBalancing_Static.dsp:
        * orbsvcs/orbsvcs/CosNaming_Static.dsp:
        * orbsvcs/orbsvcs/CosNotification_Static.dsp:
        * orbsvcs/orbsvcs/CosProperty_Static.dsp:
        * orbsvcs/orbsvcs/CosTime_Static.dsp:
        * orbsvcs/orbsvcs/CosTrading_Static.dsp:
        * orbsvcs/orbsvcs/DsLogAdmin_Static.dsp:
        * orbsvcs/orbsvcs/PortableGroup_Static.dsp:
        * orbsvcs/orbsvcs/RTEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTSched_Static.dsp:
        * orbsvcs/orbsvcs/Security_Static.dsp:
        * orbsvcs/orbsvcs/SSLIOP_Static.dsp:
        * orbsvcs/orbsvcs/Svc_Utils_Static.dsp:
        * orbsvcs/tests/Notify/lib/TAO_NotifyTests_Static.dsp:
        * tao/IFR_Client/TAO_IFR_Client_Static.dsp:
        * tao/IORManipulation/TAO_IORManip_Static.dsp:
        * tao/Messaging/TAO_Messaging_Static.dsp:
        * tao/PortableServer/TAO_PortableServer_Static.dsp:
        * tao/RTCORBA/TAO_RTCORBA_Static.dsp:
        * tao/RTPortableServer/TAO_RTPortableServer_Static.dsp:
        * tao/TypeCodeFactory/TypeCodeFactory_Static.dsp:

          Fixed some build errors and warnings.

Wed Apr 30 11:30:18 2003  Edward Scott  <eas@prismtechnologies.com>

        * examples/POA/Generic_Servant/Makefile.generic_servant:
        * examples/POA/Generic_Servant/Makefile.client:

          Small fix to Makefile.client. Updated dependencies.

Tue Apr 29 14:10:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Added guard for explicit template instantiation of anonymous
          sequences, extending the fix in

          Tue Apr 29 10:58:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

          to work even if an anonymous nested sequences is declared more
          than once, possibly in different scopes.

Tue Apr 29 12:56:41 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/PredefinedType_Seq_Tmplinst.cpp:

          New file containing explicit instantiations of the template
          unbounded sequence classes whose element types are the CORBA
          predefined types, i.e., the basic IDL types plus Object,
          ValueBase, AbstractBase, Any, and TypeCode. This eliminates
          the need for the IDL compiler to generate explicit instantiations
          each time one of these sequences is used as a base class
          in generated code.

        * tao/ValueBase.cpp:
        * tao/ValueBase.h:

          Added the tao_ValueBase_life struct similar to what is generated
          for derived value types, so that ValueBase can be used in the
          TAO_Unbounded_Valuetype_Sequence template class.

        * tao/TAO.dsp:
        * tao/Makefile.tao:
        * tao/Makefile.bor:
        * tao/Makefile.am:

          Added new file to project and makefiles.

Tue Apr 29 10:58:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Removed unused argument and moved the setting of a flag to the
          end of the method in which it appears more than once, so that
          the second check will not return a bogus value. Also changed
          the logic so nested anonymous sequences (such as
          sequence<sequence<short> >) will get one and only one explicit
          instantiation, even if it is used more than once in a translation
          unit.

Tue Apr 29 16:13:46 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/Abstract_Interface/client.cpp: Fixed build error.

Tue Apr 29 14:47:40 2003  Dave Smith  <dts@prismtechnologies.com>

        * tao/IOP_IORC.h:
        * tao/diffs/IOP_IOR.diff:

          Removed clash with symbol "IOR" defined in
          /usr/include/machine/inline.h on HPUX.

Mon Apr 28 18:09:43 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_home.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:

          Fixed code generation for home-related interfaces.

Mon Apr 28 17:35:22 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Changed generated code in several places to be "CORBA::OctetSeq"
          instead of "TAO_Unbounded_Sequence<CORBA::Octet>".

Mon Apr 28 18:59:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Generic_Servant/Makefile:
        * examples/POA/Generic_Servant/Makefile.client:
        * examples/POA/Generic_Servant/Makefile.generic_servant:
          Splitted original makefile into three, to resolve link problems with
          MinGW and Cygwin.

Mon Apr 28 12:24:39 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/Strategies/advanced_resource.cpp:

          load_default_protocols(): Reset
          <TAO_Default_Resource_Factory::protocol_factories_> after
          copying the protocols from it to avoid double deletes.

          ~TAO_Advanced_Resource_Factory(): delete all protocols in
          protocol factory to avoid memory leak.

        * tao/RTPortableServer/RT_POA.cpp (server_protocol):

          Fixed code formatting.

        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:

          Avoid a memory leak in pre_invoke_remote_request() by assigning
          the result from POA::server_protocol() to a CORBA::Policy_var
          instead of a CORBA::Policy_ptr.

        * tao/orbconf.h:

          Only set TAO_DEFAULT_ROOTPOA_NAME if not already set by the
          user.

Mon Apr 28 09:13:17 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * orbsvcs/orbsvcs/RTKokyuEvent.dsp: Added the xxx_BUILD_DLL
          preprocessor definition to get rid of compile warnings on MSVC.

Mon Apr 28 07:05:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/PortableServerC.i (demarshal_value): Added
          ACE_INLINE to marshal_value and demarshal_value. This should fix
          link errors in MSVC6. Thanks to Simon McQueen for reporting this.

Mon Apr 28 06:52:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_IORC.cpp: Removed duplicate explicit template
          instantiations.

        * tao/Array_VarOut_T.inl: Fixed a compilation error in BCB6.

Mon Apr 28 06:43:50 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:

          Added a dependency on RTSched.

Sun Apr 27 20:42:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Transport_Acceptor.h: Fixed a forward declaration that
          caused compile errors in VC++.

Sun Apr 27 20:08:27 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp: Fixed a typo that blasted
          the builds.

Sun Apr 27 17:50:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1482_Regression/Makefile: Updated dependencies.

Sun Apr 27 17:45:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_IORC.h:
        * tao/IOP_CodeC.h: Generated code to include "ace/post.h". This
          should fix warnings in BCB6 builds. Thanks to Johnny for
          alerting me on this.

Sun Apr 27 17:34:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.i: Moved marshal_value ()
          method from the cpp file to the inlined file. This shodl fix
          BCB5 build problems. Thanks to Johnny for helping me with this.

Sun Apr 27 11:31:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/GIOPC.{h,cpp,i}: Regenerated code
        * tao/diffs/GIOP.diff: Updated diffs

        * tao/IOP_IORC.cpp: Removed unwanted headers
        * tao/diffs/IOP_IOR.diff: Updated diffs.

Sun Apr 27 11:01:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/GIOPC.h:
        * tao/GIOP_Utils.h:
        * tao/Messaging_PolicyValueC.h:
        * tao/Pluggable_Messaging_Utils.h:
        * tao/Reply_Dispatcher.h:
        * tao/Synch_Reply_Dispatcher.h:
        * tao/Transport.h:
        * tao/Transport_Acceptor.cpp:
        * tao/Transport_Acceptor.h: Removed totally unwanted
          includes. This was setting up totally screwed dependencies and
          increased footprint.

        * tao/IOP_CodecC.cpp:
        * tao/IOP_CodecC.h:
        * tao/IOP_CodecC.i:
        * tao/diffs/IOP_Codec.diff: Regenerated code and updated
          the diffs.

Sun Apr 27 09:37:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_IORC.h:
        * tao/IOP_IORC.cpp:
        * tao/IOP_IORC.i: Regenerated the code. Somehow the regenarted
          code never got merged back from the branch.

        * tao/diffs/IOP_IOR.diff: Updated diff file.

Sat Apr 26 16:08:15 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tao/PortableServer/Servant_Base.{h,cpp} Added an accessor method
          that returns the current reference count.  Thanks to
          Zsolt Zsoldos <zsolt.zsoldos@rogers.com> for suggesting this.

        * utils/IOR-parser/ior-handler.cpp (interpretIor): Fixed this utility
          so that it correctly handles GIOP 1.2!  Thanks to Dave Ryan
          <djryan7@pacbell.net> for this fix.

Sat Apr 26 11:12:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp: Fixed a compile error in
          builds where exceptions are turned off.

Sat Apr 26 11:08:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Messaging/Messaging_No_ImplC.cpp: Missing template
          instantiations.

Sat Apr 26 10:58:31 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PolicyC.cpp: Removed duplicate template instantiations.

Sat Apr 26 10:52:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/ImR_LocatorC.i: Fixed a warning in VC++ builds.

Sat Apr 26 08:42:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Environment.cpp: Removed operator= for
          CORBA::Environment_var since they shoudl be taken care by the
          template classes.

Fri Apr 25 22:29:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp: Added explicit
          template instations for the base class sequences.

Fri Apr 25 22:26:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DynamicC.cpp:
        * tao/DynamicC.h:
        * tao/DynamicC.i:
        * tao/OctetSeqC.cpp:
        * tao/OctetSeqC.h:
        * tao/OctetSeqC.i:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:
        * tao/PortableServer/Default_ORTC.i:
        * tao/PortableServer/ImR_ActivatorC.h:
        * tao/PortableServer/ImR_LocatorC.cpp:
        * tao/PortableServer/ImR_LocatorC.h:
        * tao/PortableServer/ImR_LocatorC.i:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/PortableServerC.cpp
        * tao/PortableServer/ImplRepoC.i: Regenerated ode and patched them.

        * tao/PortableServer/diffs/Default_ORT.diff:
        * tao/PortableServer/diffs/ImplRepo.diff:
        * tao/diffs/Dynamic.diff:
        * tao/diffs/OctetSeq.diff: Updated the diff files.

          With the above checkin a simple server and client should build
          without link errors when explicit template instantiations have
          been turned on.

Fri Apr 25 17:04:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_cs.h: Added code
          to generate explicit template instantiations.

Fri Apr 25 15:21:58 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/RTCORBA/Thread_Pool.cpp:

          In create_threadpool_helper(), finalize thread pool resource in
          case of thread creation errors.  This will fix a memory leak.

        * tests/RTCORBA/Banded_Connections/client.cpp:
        * tests/RTCORBA/Banded_Connections/server.cpp:

          Report meaningful message in case of thread creation errors.

Fri Apr 25 08:59:12 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BaseC.i:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IFR_Client/IFR_BasicC.i:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.h:
        * tao/IFR_Client/IFR_ComponentsC.i:
        * tao/IFR_Client/IFR_ExtendedC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.h:
        * tao/IFR_Client/IFR_ExtendedC.i: Generated code for the IFR. This
          should compile fine if explicit template instantiations are
          used.

          We still have a lots of link errors that needs fixing in TAO.

Fri Apr 25 07:06:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/PortableServerC.i: Added #if
          (TAO_HAS_MINIMUM_POA == 0) guards in a few places to get the
          file compiling cleanly in minimum builds.

Fri Apr 25 06:27:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/ObjectReferenceTemplate.cpp: Fixed a compile
          error in builds with no exceptions.

Thu Apr 24 22:01:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/CONV_FRAMEC.cpp:
        * tao/CurrentC.cpp:
        * tao/DomainC.cpp:
        * tao/DynamicC.cpp:
        * tao/Dynamic_Adapter.cpp:
        * tao/Dynamic_Adapter.h:
        * tao/GIOPC.cpp:
        * tao/IIOPC.cpp:
        * tao/IOP_CodecC.cpp:
        * tao/Messaging_PolicyValueC.cpp:
        * tao/ORB.cpp:
        * tao/Object.cpp:
        * tao/ObjectIdListC.cpp:
        * tao/ObjectReferenceTemplateC.cpp:
        * tao/Object_KeyC.cpp:
        * tao/Objref_VarOut_T.cpp:
        * tao/OctetSeqC.cpp:
        * tao/PolicyC.cpp:
        * tao/Policy_ForwardC.cpp:
        * tao/PortableInterceptorC.cpp:
        * tao/Pseudo_Value_VarOut_T.inl:
        * tao/Pseudo_VarOut_T.inl:
        * tao/ServicesC.cpp:
        * tao/StringSeqC.cpp:
        * tao/TAOC.cpp:
        * tao/TimeBaseC.cpp:
        * tao/ValueBase.cpp:
        * tao/ValueBase.h:
        * tao/ValueFactory.cpp:
        * tao/ValueFactory.h:
        * tao/VarOut_T.cpp:
        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicInterface/Request.cpp:
        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IORManipulation/IORC.cpp:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/Messaging_No_ImplC.cpp:
        * tao/Messaging/Messaging_RT_PolicyC.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
        * tao/Messaging/TAO_ExtC.cpp:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/ImR_LocatorC.cpp:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RTCORBAC.i:
        * tao/RTPortableServer/RTPortableServerC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.cpp: First set of fixes for
          explicit template  instantiation problems. The fixes are not
          complete since the instantiations generated by the IDL compiler
          for the generated code is busted. Fixes to the IDL compiler over
          the past couple of days havent helped the situation. This set of
          fixes addresses

          - compilation issues arising in TAO and associated libraries
            from the explicit template instantiations section.
          - link errors while trying to link with TAO library.

          Applications linking to libraries other than TAO would still
          experience linking errors. They will be fixed along with the IDL
          compiler in the next couple of days.

Thu Apr 24 19:39:36 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/PortableServer/POA:

          The following changes are primarily to fix the problems caused
          by:

          Mon Jan 14 14:41:17 2002  Priyanka Gontla  <pgontla@ece.uci.edu>

          These problems include ignoring the <priority> value, running
          extra (and potentially incorrect) code, and memory leaks.

          - create_reference_i() and create_reference_with_id_i():
          Re-added <priority> parameter and restored function to the way
          it was.  However, now we find user id from system id (if
          needed), remember params for potentially invoking
          key_to_object() later, and ask the ORT to create the object.

          - servant_to_reference(): Get priority from
          cached_policies_.server_priority() rather than fixing it to
          TAO_INVALID_PRIORITY.  Also remember params for potentially
          invoking key_to_object() later, and ask the ORT to create the
          object.

          - id_to_reference_i(): Added code so that the ORT is also
          invoked from this method.  Not sure why this method was left
          out.  [Bug 1418]

          - invoke_key_to_object(): Super simplified this method.  All
          params required to call create_object_key() and key_to_object()
          are stored away in <key_to_object_params_>.

        * tao/PortableServer/ObjectReferenceTemplate.cpp:

          In make_object(), invoke_key_to_object() no longer requires any
          parameters to be passed to it.

        * tao/RTPortableServer/RT_POA.i:

          Fixed create_reference_with_priority() and
          create_reference_with_id_and_priority() to pass the priority
          value down to the POA.

Thu Apr 24 13:52:44 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_field/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_cs.cpp:

          Reinstated code generation of CDR operators for structs that
          contain a local interface. The operators are needed by the
          Any operator template instantiation. The marshaling error
          required for local interfaces is still output.

Thu Apr 24 13:01:12 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_type.cpp (gen_common_tmplinst):

          Substituted full name for local name in generation of
          parameters for explicit template instantiation.

        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:

          Removed generation of explicit template instantiation for
          TAO_Object_Manager and TAO_Valuetype_Manager. It is now
          handled elsewhere.

Thu Apr 24 11:48:16 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicInterface/Request.cpp:

          Removed duplicate defintion of CORBA::Request::_duplicate.

Thu Apr 24 10:33:57 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp:

          Added '.in ()' to generated code for field accessor when the
          type of the field is a pseudo object. Thanks to Andrey
          Nechypurenko <andrey.nechypurenko@siemens.com> and Nanbor Wang
          <nanbor@cse.wustl.edu> for reporting the problem.

Thu Apr 24 10:03:48 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * orbsvcs/orbsvcs/Sched/Config_Scheduler.cpp:

          Fixed warnings on unused variable. Thanks to Bala for pointing this out.

Thu Apr 24 08:11:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DynamicInterface/Context.h:
        * tao/DynamicInterface/ExceptionList.h: Added a undef for
          TAO_EXPORT_MACRO and redefined TAO_EXPORT_MACRO. This should fix
          problems with MSVC builds.

Wed Apr 23 22:12:37 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/CDR_Encaps_Codec.cpp (encode_value):

          If the internal ACE_Message_Block in the supplied Any is null,
          explicitly create an ACE_Message_Block and populate with the
          marshalled data.  Fixes run-time errors in the Codec and
          IORInterceptor tests.  Thanks to Jeff for providing a fix.

        * tao/PortableServer/POA.cpp (TAO_POA, create_POA_i):

          Reverted one more change from fix described in "Wed Apr 23
          18:06:48 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>".
          Fixes a remaining problem in the IORInterceptor test.

Wed Apr 23 18:27:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

          Fixed indentation in code generation.

Wed Apr 23 18:12:16 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicInterface/Context.h:
        * tao/DynamicInterface/ExceptionList.h:

          Changed the declaration of CORBA::is_nil and CORBA::release
          for ContextList and ExceptionList to use
          TAO_NAMESPACE_INLINE_FUNCTION instead of
          TAO_DynamicInterface_Export, which was causing multiple definitions
          in builds with __ACE_INLINE__ defined.

Wed Apr 23 18:06:48 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/PortableServer/POA.cpp (id_to_reference_i):
          (establish_components):
        * tao/PortableServer/Object_Adapter.cpp (open):

          Reverted Carlos' changes that attempted to fix Bug 1414
          (IORInterceptor deadlock).  It introduced other problems.
          Thanks to Irfan for detecting this problem.

Wed Apr 23 17:13:27 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Fixed errors in code generation for explicit template
          instantiation.

Wed Apr 23 16:37:35 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/TAO.dsp:

          Turned on RTTI in IOP_CodecC.cpp.

Wed Apr 23 17:05:10 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.dsw:
        * tests/Bug_1020_Basic_Regression/client.dsp:
        * tests/Bug_1020_Basic_Regression/server.dsp:
        * tests/Bug_1020_Regression/Bug_1020_Regression.dsw:
        * tests/Bug_1020_Regression/client.dsp:
        * tests/Bug_1020_Regression/server.dsp:

          Reinstated these files.  These two tests should compile on VC6
          now that config-win32-msvc-6.h file has been updated and the -GR
          flag has been added to the project files.

        * tests/RTCORBA/RTCORBA-test-configurations.xls:

          Updated test configuration details.

Wed Apr 23 15:51:47 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Sequence_T.h:

          Removed unimplemented declarations of _tao_any_destructor.
          Thanks to Andrey Nechypurenko <andrey.nechypurenko@siemens.com>
          for reporting the problem.

Wed Apr 23 15:03:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>1

        * docs/tutorial/Quoter/AMI/Handler_i.h:
        * docs/tutorial/Quoter/AMI/Handler_i.cpp: Fixed the code to be
          portable by removing _ptr's for non-object references.

Wed Apr 23 09:53:27 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tests/AMI/AMI.mpc:
        * tests/AMI_Buffering/AMI_Buffering.mpc:
        * tests/AMI_Timeouts/AMI_Timeouts.mpc:
        * tests/BiDirectional/BiDirectional.mpc:
        * tests/BiDirectional_NestedUpcall/BiDirectional_NestedUpcall.mpc:
        * tests/Big_Oneways/Big_Oneways.mpc:
        * tests/Big_Reply/Big_Reply.mpc:
        * tests/Big_Request_Muxing/Big_Request_Muxing.mpc:
        * tests/Big_Twoways/Big_Twoways.mpc:
        * tests/Blocking_Sync_None/Blocking_Sync_None.mpc:
        * tests/CDR/CDR.mpc:
        * tests/Cache_Growth_Test/Cache_Growth_Test.mpc:
        * tests/Client_Leaks/Client_Leaks.mpc:
        * tests/Codec/Codec.mpc:
        * tests/Collocation/Collocation.mpc:
        * tests/Connect_Strategy_Test/Connect_Strategy_Test.mpc:
        * tests/Connection_Purging/Connection_Purging.mpc:
        * tests/Crash_On_Write/Crash_On_Write.mpc:
        * tests/Crashed_Callback/Crashed_Callback.mpc:
        * tests/DLL_ORB/DLL_ORB.mpc:
        * tests/DSI_Gateway/DSI_Gateway.mpc:
        * tests/DynAny_Test/DynAny_Test.mpc:
        * tests/Explicit_Event_Loop/Explicit_Event_Loop.mpc:
        * tests/Exposed_Policies/Exposed_Policies.mpc:
        * tests/Faults/Faults.mpc:
        * tests/File_IO/File_IO.mpc:
        * tests/Forwarding/Forwarding.mpc:
        * tests/Hello/Hello.mpc:
        * tests/IDL_Test/IDL_Test.mpc:
        * tests/IORManipulation/IORManipulation.mpc:
        * tests/InterOp-Naming/InterOp-Naming.mpc:
        * tests/Leader_Followers/Leader_Followers.mpc:
        * tests/LongUpcalls/LongUpcalls.mpc:
        * tests/MProfile/MProfile.mpc:
        * tests/MProfile_Connection_Timeout/MProfile_Connection_Timeout.mpc:
        * tests/MProfile_Forwarding/MProfile_Forwarding.mpc:
        * tests/MT_BiDir/MT_BiDir.mpc:
        * tests/MT_Client/MT_Client.mpc:
        * tests/MT_Server/MT_Server.mpc:
        * tests/MT_Timeout/MT_Timeout.mpc:
        * tests/Multiple/Multiple.mpc:
        * tests/Multiple_Inheritance/Multiple_Inheritance.mpc:
        * tests/Muxed_GIOP_Versions/Muxed_GIOP_Versions.mpc:
        * tests/Muxing/Muxing.mpc:
        * tests/Native_Exceptions/Native_Exceptions.mpc:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.mpc:
        * tests/NestedUpcall/Simple/Simple.mpc:
        * tests/NestedUpcall/Triangle_Test/Triangle_Test.mpc:
        * tests/Nested_Event_Loop/Nested_Event_Loop.mpc:
        * tests/Nested_Upcall_Crash/Nested_Upcall_Crash.mpc:
        * tests/No_Server_MT_Connect_Test/No_Server_Connect_Test.mpc:
        * tests/OBV/Any/OBV_Any.mpc:
        * tests/OBV/Factory/OBV_Factory.mpc:
        * tests/OBV/Forward/OBV_Forward.mpc:
        * tests/OBV/TC_Alignment/OBV_TC_Alignment.mpc:
        * tests/ORB_destroy/ORB_destroy.mpc:
        * tests/ORB_init/ORB_init.mpc:
        * tests/ORB_init/Portspan/ORB_Init_Portspan.mpc:
        * tests/ORB_shutdown/Foo_Bar.mpc:
        * tests/ORT/ORT.mpc:
        * tests/Object_Loader/Object_Loader.mpc:
        * tests/Objref_Sequence_Test/Objref_Sequence_Test.mpc:
        * tests/OctetSeq/OctetSeq.mpc:
        * tests/Oneway_Buffering/Oneway_Buffering.mpc:
        * tests/Oneways_Invoking_Twoways/Oneways_Invoking_Twoways.mpc:
        * tests/POA/Current/Current.mpc:
        * tests/POA/Default_Servant/Default_Servant.mpc:
        * tests/POA/Etherealization/Etherealization.mpc:
        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.mpc:
        * tests/POA/Identity/Identity.mpc:
        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.mpc:
        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.mpc:
        * tests/POA/Object_Reactivation/Object_Reactivation.mpc:
        * tests/POA/Policies/Policies.mpc:
        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.mpc:
        * tests/POA/wait_for_completion/wait_for_completion.mpc:
        * tests/Param_Test/Param_Test.mpc:
        * tests/Policies/Policies.mpc:
        * tests/Portable_Interceptors/Benchmark/Portable_Interceptors_Benchmark.mpc:
        * tests/Portable_Interceptors/Dynamic/Portable_Interceptors_Dynamic.mpc:
        * tests/Portable_Interceptors/ForwardRequest/Portable_Interceptors_ForwardRequest.mpc:
        * tests/Portable_Interceptors/IORInterceptor/Portable_Interceptors_IORInterceptor.mpc:
        * tests/Portable_Interceptors/PICurrent/Portable_Interceptors_PICurrent.mpc:
        * tests/Portable_Interceptors/Request_Interceptor_Flow/Portable_Interceptors_Request_Interceptor_Flow.mpc:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Portable_Interceptors_Service_Context_Manipulation.mpc:
        * tests/RTCORBA/Banded_Connections/RTCORBA_Banded_Connections.mpc:
        * tests/RTCORBA/Client_Propagated/RTCORBA_Client_Propagated.mpc:
        * tests/RTCORBA/Client_Protocol/RTCORBA_Client_Protocol.mpc:
        * tests/RTCORBA/Collocation/RTCORBA_Collocation.mpc:
        * tests/RTCORBA/Destroy_Thread_Pool/RTCORBA_Destroy_Thread_Pool.mpc:
        * tests/RTCORBA/Explicit_Binding/RTCORBA_Explicit_Binding.mpc:
        * tests/RTCORBA/Linear_Priority/RTCORBA_Linear_Priority.mpc:
        * tests/RTCORBA/MT_Client_Protocol_Priority/RTCORBA_MT_Client_Protocol_Priority.mpc:
        * tests/RTCORBA/ORB_init/RTCORBA_ORB_init.mpc:
        * tests/RTCORBA/Persistent_IOR/RTCORBA_Persistent_IOR.mpc:
        * tests/RTCORBA/Policies/Policies.mpc:
        * tests/RTCORBA/Policy_Combinations/RTCORBA_Policy_Combinations.mpc:
        * tests/RTCORBA/Private_Connection/RTCORBA_Private_Connection.mpc:
        * tests/RTCORBA/RTMutex/RTCORBA_RTMutex.mpc:
        * tests/RTCORBA/Server_Declared/RTCORBA_Server_Declared.mpc:
        * tests/RTCORBA/Server_Protocol/RTCORBA_Server_Protocol.mpc:
        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:
        * tests/Reliable_Oneways/Reliable_Oneways.mpc:
        * tests/Server_Leaks/Server_Leaks.mpc:
        * tests/Single_Read/Single_Read.mpc:
        * tests/Smart_Proxies/Smart_Proxies.mpc:
        * tests/Strategies/Strategies.mpc:
        * tests/Timed_Buffered_Oneways/Timed_Buffered_Oneways.mpc:
        * tests/Timeout/Timeout.mpc:
        * tests/Two_Objects/Two_Objects.mpc:
        * tests/Xt_Stopwatch/Xt_Stopwatch.mpc:

          Changed the name of these projects to avoid duplicates when
          generating a vc6 workspace.

Wed Apr 23 12:59:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OBV/Typed_Events/client.bor:
        * examples/OBV/Typed_Events/server.bor:
        * orbsvcs/orbsvcs/CosLoadBalancing.bor:
        * tests/AMH_Exceptions/client.bor:
        * tests/AMH_Exceptions/server.bor:
        * tests/AMH_Oneway/client.bor:
        * tests/AMH_Oneway/server.bor:
        * tests/AMI_Timeouts/client.bor:
        * tests/AMI_Timeouts/server.bor:
        * tests/OBV/Any/client.bor:
        * tests/OBV/Any/server.bor:
        * tests/OBV/Factory/client.bor:
        * tests/OBV/Factory/server.bor:
        * tests/OBV/Forward/client.bor:
        * tests/OBV/Forward/server.bor:
        * tests/ORT/server.bor:
        * tests/Portable_Interceptors/ForwardRequest/client.bor:
        * tests/Portable_Interceptors/ForwardRequest/server.bor:
          Removed obsolete -Gv option from IDL compiler command lines for
          the above tests.

Wed Apr 23 07:40:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>1

        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp: Use
          .out () instead of a .in (), which seems more meaningful.

Wed Apr 23 07:23:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTCORBA/Activity/Makefile:
          Added ACTIVITY_BUILD_DLL to the list of compiler flags to fix Cygwin
          compiler crash.

Tue Apr 22 21:49:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/On_Demand_Activation/Handler_i.h:
        * docs/tutorials/Quoter/On_Demand_Activation/Handler_i.cpp: Fixed
          non-portable code.
        * docs/tutorials/Quoter/On_Demand_Activation/Makefile: Updated
          dependencies. This should fix errors in a few builds.

Tue Apr 22 21:43:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/AMH_Exceptions/Makefile:
        * tests/Bug_1482_Regression/Makefile: Fixed dependencies.

Tue Apr 22 21:39:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp: Fixed warnings in g++ builds.

        * orbsvcs/orbsvcs/LoadBalancing/LB_ObjectReferenceFactory.cpp:
          Added a .in () operator to the _var variable. Assigning a _var
          to a _out is a no-no.

Tue Apr 22 19:33:31 2003  Venkita Subramonian  <venkita@cs.wustl.edu>

        * orbsvcs/orbsvcs/RTKokyuEvent.dsp:
        * orbsvcs/orbsvcs/RTKokyuEvent.dsw:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Dispatching.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Factory.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Filter_Builder.i:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.cpp:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.h:
        * orbsvcs/orbsvcs/Event/EC_Kokyu_Scheduling.i:
        * orbsvcs/orbsvcs/Event/rtkokyu_event_export.h:
        * orbsvcs/orbsvcs/Makefile.RTKokyuEvent:

          Added files to integrate the new Event Channel with Kokyu
          dispatching.  Bryan Thrall (thrall@cs.wustl.edu) already
          committed these files. Just adding the changelog entries now.

        * orbsvcs/examples/RtEC/Kokyu/Consumer.cpp:
        * orbsvcs/examples/RtEC/Kokyu/Consumer.h:
        * orbsvcs/examples/RtEC/Kokyu/EC_Schedule_Service.dsp:
        * orbsvcs/examples/RtEC/Kokyu/Makefile:
        * orbsvcs/examples/RtEC/Kokyu/README:
        * orbsvcs/examples/RtEC/Kokyu/Schedule.dsw:
        * orbsvcs/examples/RtEC/Kokyu/Service.cpp:
        * orbsvcs/examples/RtEC/Kokyu/Supplier.cpp:
        * orbsvcs/examples/RtEC/Kokyu/Supplier.h:
        * orbsvcs/examples/RtEC/Kokyu/svc.conf:
        * orbsvcs/examples/RtEC/Kokyu/svc.conf.xml:

          Added example to test new Event Channel with Kokyu dispatching.
          Bryan Thrall (thrall@cs.wustl.edu) already committed these
          files. Just adding the changelog entries now.

        * orbsvcs/orbsvcs/Runtime_Scheduler.cpp:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.cpp:

          Fixed warnings regarding unused args. Thanks to Simon McQueen
          for pointing this out.

Tue Apr 22 20:15:52 2003  Irfan Pyarali  <irfan@oomworks.com>

        * performance-tests/RTCorba/Thread_Pool/server.cpp:

          - Run the orb in a RT thread rather than in the main thread.
          Otherwise, the value returned from the_priority() can be
          potentially incorrect.

          - Call to fudge_priorities() no longer necessary.

          - Added call to check_supported_priorities().

        * $ACE_ROOT/bin/tao_orb_tests.lst:

          tests/RTCORBA/Persistent_IOR creates multiple threads - don't
          run in single-threaded configurations.

Tue Apr 22 17:20:39 2003  Balachandran Natarajan  <bala@isis-server.isis.vanderbilt.edu>

        * tao/TAO.dsp: Fixed warnings that creeped up.

Tue Apr 22 16:28:36 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Seq_Out_T.h: Fixed fuzz errors.

Tue Apr 22 14:58:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        Merging code from the branch refactor_stage_1. The highlight of
        this change is the creation and usage of parametric classes for
        _var's, _out's and the complete removal of generated code if
        TAO_HAS_SEQUENCE_TEMPLATES is not defined. The generated code
        within the ORB ie. $TAO_ROOT/tao still has references to
        TAO_HAS_SEQUENCE_TEMPLATES which needs to be cleaned up in the
        next round.

        For more gory details please see below

        Tue Apr 22 10:37:40 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

          Turned on CDR operator generation for sequences that have an
          element type easily detectable as local by the IDL compiler.
          For the insertion operator, the error will be detected at
          a lower level, via the generated virtual marshal() method
          for interfaces. For the extraction operator, 0 is returned.

        Tue Apr 22 09:28:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

          Made a fix for strings and wstrings similar to

          Mon Apr 21 14:09:21 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        Tue Apr 22 09:10:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Seq_Var_T.cpp: Fixed a wroong inclusion of inlined file.

        Tue Apr 22 06:30:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * be/be_visitor_sequence/sequence_ch.cpp:
        * be/be_visitor_sequence/sequence_cs.cpp: Use the new managed type
          out classes when the IDL compiler comes across managed types.

        Tue Apr 22 06:22:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Seq_Out_T.cpp:
        * tao/Seq_Out_T.h:
        * tao/Seq_Out_T.inl:
        * tao/Seq_Var_T.cpp:
        * tao/Seq_Var_T.h:
        * tao/Seq_Var_T.inl: The Var and Out classes for sequences have
          been split across two files. The motivation for this change came
          around when we had to have a seperate out class for managed
          types. This was needed since the operator[] for managed types
          had a return type a bit different from regular sequences. Even
          with this change, not all of orbsvcs compile.

        * tao/Array_VarOut_T.h:
        * tao/DomainC.h:
        * tao/DynamicC.h:
        * tao/IIOPC.h:
        * tao/IOPC.h:
        * tao/ObjectIdListC.h:
        * tao/ObjectReferenceTemplateC.h:
        * tao/Object_KeyC.h:
        * tao/OctetSeqC.h:
        * tao/Policy_ForwardC.h:
        * tao/Sequence_T.h:
        * tao/StringSeqC.h:
        * tao/VarOut_T.h:
        * tao/corba.h:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IORManipulation/IORC.h:
        * tao/PortableServer/PortableServerC.h: Replaced existing
          inclusions of tao/Seq_varOut_T.h with two inclusions,
          viz. tao/Seq_Out_T.h and tao/Seq_Var_T.h.

        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.cpp:
        * tao/Seq_VarOut_T.inl: Removed from the repo.

        Mon Apr 21 14:09:21 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

          Fixed CDR operator generation for sequence of Object. Thanks to
          Bala <bala@dre.vanderbilt.edu> for pointing out the problem in
          code generation for PortableGroup.

        Mon Apr 21 13:11:07 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/AMH_Exceptions/Makefile:
        * tests/Bug_1482_Regression/Makefile: Updated dependencies.

        * tests/OBV/Forward/Test_impl.cpp: Fixed compilation errors with
          g++.

        Mon Apr 21 13:07:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp: Dont use _slice*
          as template parameters for code generation of the _var and
          _out.

        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.inl: Made the declarations of the operations to
          be compliant with the spec.

        Wed Apr 16 15:28:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.inl: Removed the const version of [] for
          Seq_var since the spec doesnt mandate them.

        * tao/DomainC.i: Removed a bunch of code that shoudlnt have been
          there in the first place.

        Wed Apr 16 000:14:10 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_type.h:
        * tao/Array_VarOut_T.inl:
        * tao/Seq_VarOut_T.inl:

          Changes to remove compile errors in Param_Test and IDL_Test.

        * tests/Param_Test/recursive_union.cpp:

          Changed use of TAO-specific recursive member names to
          spec-defined and generated recursive member names.

        Mon Apr 14 17:10:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/TAO.dsp:

          Added IOP_IORC.* and IOP_CodecC.* to the project.

        Mon Apr 14 16:10:50 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/valuetype_fwd_ch.cpp:
        * TAO_IDL/be_include/be_type.h:

          Fixed code generation for sequence of forward declared interface
          from a previous opening of the enclosing module, and for
          utility functions when nested scoped names repeat after skipping
          a level.

        Mon Apr 14 14:33:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Fixed code generation to work with deeply nested and/or
          anonymous sequence members.

        * tests/IDL_Test/sequence.idl:

          Modified test to check above use cases more thoroughly.

        Mon Apr 14 09:16:35 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.h:

          Removed declaration and definition of Any operators for ObjectId.

        Mon Apr 14 09:06:22 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_field/field_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_sequence.h:

          Fixed problem with multiple members of the same anonymous
          sequence type.

        Sat Apr 12 02:52:03 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_amh_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_ami_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_valuetype.h:

          Fixed errors in generated code for exception holders
          and reply/response handlers.

        * tests/AMH_Exceptions/client.dsp:
        * tests/AMH_Exceptions/server.dsp:
        * tests/AMH_Oneway/client.dsp:
        * tests/AMH_Oneway/server.dsp:
        * tests/AMI/AMI_Test_Client.dsp:
        * tests/AMI/AMI_Test_Server.dsp:
        * tests/AMI_Timeouts/client.dsp:
        * tests/AMI_Timeouts/server.dsp:
        * tests/OBV/Factory/client.dsp:
        * tests/OBV/Factory/server.dsp:
        * tests/OBV/Forward/client.dsp:
        * tests/OBV/Forward/server.dsp:

          Removed obsolete -Gv option from IDL compiler
          command lines for the above tests.

        * tests/OBV/Forward/client.cpp:

          Changed instances of <valuetype>_ptr to
          <valuetype> *.

        Fri Apr 11 21:50:43 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:

          Added generated code to make the array's *_alloc function
          generically callable outside the IDL compiler, where its full
          name is not known.

        * tao/Array_VarOut_T.h:
        * tao/Array_VarOut_T.inl:

          Added a static method to TAO_Array_Forany_T<> to make the
          *_alloc method (which was made visible to TAO_Array_Forany_T<>
          by the changes above) visible to the Any impl class
          TAO_Any_Array_Impl_T<>, where it is used in extraction.

        * tao/TAO.dsp:

          Added new generated files IOP_IORC.* and IOP_CodecC.* to the
          project.

        Fri Apr 11 14:41:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Merged with the main trunk and compiled the core ORB and the IDL
          compiler on Linux GCC32. Moved the stuff to a new branch by name
          refactor_statge_1.  Added the following files from the branch
          into the new branch.

        * tao/Pseudo_Value_VarOut_T.cpp:
        * tao/Pseudo_Value_VarOut_T.h:
        * tao/Pseudo_Value_VarOut_T.inl:
        * tao/Array_VarOut_T.cpp:
        * tao/Array_VarOut_T.h:
        * tao/Array_VarOut_T.inl:
        * tao/Objref_VarOut_T.cpp:
        * tao/Objref_VarOut_T.h:
        * tao/Objref_VarOut_T.inl:
        * tao/Pseudo_Value_Varout_T.cpp:
        * tao/Pseudo_Value_Varout_T.h:
        * tao/Pseudo_Value_Varout_T.inl:
        * tao/Pseudo_VarOut_T.cpp:
        * tao/Pseudo_VarOut_T.h:
        * tao/Pseudo_VarOut_T.inl:
        * tao/Seq_VarOut_T.cpp:
        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.inl:
        * tao/Value_VarOut_T.cpp:
        * tao/Value_VarOut_T.h:
        * tao/Value_VarOut_T.inl:
        * tao/VarOut_T.cpp:
        * tao/VarOut_T.h:
        * tao/VarOut_T.inl:

          New files in to this new branch.

        Tue Apr  1 000:37:21 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_exceptlist.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_type.h:

          Moved managed type template class generation from the Any
          operator pass (which might be skipped if Any operator generation
          is suppressed, or generated needlessly if the type is not used
          in a sequence) to the sequence visitor.

        * tao/Sequence_T.cpp:

          Fixed code in TAO_Abstract_Manager that doesn't work with
          forward declared abstract interfaces.

        * tao/DynamicAny/DynamicAny.pidl:
        * tao/DynamicAny/DynamicAnyC.cpp:

          Regenerated hand-crafted DynamicAny.pidl files and changed comment
          at the top of the .pidl file to show added options to the IDL
          compiler command line to suppress Any operator and Typecode
          generation. Although these types contain a Typecode, they do
          not need Typecodes or Any operators of their own.

        Mon Mar 31 22:31:47 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_cs.h:
        * tao/Sequence_T.cpp:

          Fixed some bugs with sequence template code generation.

        Mon Mar 31 18:05:28 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Services.cpp:
        * tao/Services.h:
        * tao/Services.i:

          Removed these files. They were supposed to be removed from the
          main trunk but there was a glitch during a branch merge and
          ther were still around, and obviously got carried over to
          this branch.

        * tao/IFR_Client/TAO_IFR_Client.dsp:

          Turned on RTTI for the hand-crafted files.

        Sun Mar 30 21:13:08 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_sequence.cpp:
        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_sequence.h:
        * tao/CurrentC.h:
        * tao/DomainC.h:
        * tao/IOPC.h:
        * tao/ObjectReferenceTemplateC.h:
        * tao/Objref_VarOut_T.cpp:
        * tao/PolicyC.h:
        * tao/Policy_ForwardC.h:
        * tao/PollableC.h:
        * tao/PortableInterceptorC.h:
        * tao/TAOC.h:
        * tao/corbafwd.h:
        * tao/BiDir_GIOP/BiDirPolicyC.cpp:
        * tao/BiDir_GIOP/BiDirPolicyC.h:
        * tao/BiDir_GIOP/BiDirPolicyC.i:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynCommon.h:
        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/DynamicAny/DynamicAnyC.i:
        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BaseC.i:
        * tao/IFR_Client/IFR_Basic.pidl:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IFR_Client/IFR_BasicC.i:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.h:
        * tao/IFR_Client/IFR_ComponentsC.i:
        * tao/IFR_Client/IFR_Extended.pidl:
        * tao/IFR_Client/IFR_ExtendedC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.h:
        * tao/IFR_Client/IFR_ExtendedC.i:
        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.h:
        * tao/IORManipulation/IORC.i:
        * tao/IORTable/IORTableC.cpp:
        * tao/IORTable/IORTableC.h:
        * tao/IORTable/IORTableC.i:
        * tao/Messaging/MessagingC.cpp:
        * tao/Messaging/MessagingC.h:
        * tao/Messaging/MessagingC.i:
        * tao/Messaging/Messaging_No_ImplC.cpp:
        * tao/Messaging/Messaging_No_ImplC.h:
        * tao/Messaging/Messaging_No_ImplC.i:
        * tao/Messaging/Messaging_RT_PolicyC.cpp:
        * tao/Messaging/Messaging_RT_PolicyC.h:
        * tao/Messaging/Messaging_RT_PolicyC.i:
        * tao/Messaging/Messaging_SyncScope_PolicyC.cpp:
        * tao/Messaging/Messaging_SyncScope_PolicyC.h:
        * tao/Messaging/Messaging_SyncScope_PolicyC.i:
        * tao/Messaging/TAO_ExtC.cpp:
        * tao/Messaging/TAO_ExtC.h:
        * tao/Messaging/TAO_ExtC.i:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/Default_ORTC.h:
        * tao/PortableServer/Default_ORTC.i:
        * tao/PortableServer/ImR_ActivatorC.cpp:
        * tao/PortableServer/ImR_ActivatorC.h:
        * tao/PortableServer/ImR_ActivatorC.i:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/ImplRepoC.i:
        * tao/PortableServer/PortableServer.pidl:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/PortableServerC.i:
        * tao/RTCORBA/RTCORBAC.cpp:
        * tao/RTCORBA/RTCORBAC.h:
        * tao/RTCORBA/RTCORBAC.i:
        * tao/RTPortableServer/RTPortableServerC.cpp:
        * tao/RTPortableServer/RTPortableServerC.h:
        * tao/RTPortableServer/RTPortableServerC.i:
        * tao/TypeCodeFactory/TypeCodeFactoryC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.h:
        * tao/TypeCodeFactory/TypeCodeFactoryC.inl:

          Regenerated all hand-crafted files and made fixes to
          code generation.

        Sun Mar 30 12:32:33 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * tao/Array_VarOut_T.cpp:
        * tao/Array_VarOut_T.inl:
        * tao/ORB.cpp:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:

          Fixed typos and cut and paste errors.

        Sun Mar 30 02:50:01 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/buffer_type.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_ch.h:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_cs.h:
        * TAO_IDL/include/ast_type.h:
        * tao/CONV_FRAMEC.cpp:
        * tao/CONV_FRAMEC.h:
        * tao/CONV_FRAMEC.i:
        * tao/ClientRequestInfo.cpp:
        * tao/CurrentC.h:
        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/DynamicC.cpp:
        * tao/DynamicC.h:
        * tao/DynamicC.i:
        * tao/IIOPC.cpp:
        * tao/IIOPC.h:
        * tao/IIOPC.i:
        * tao/IOPC.cpp:
        * tao/IOPC.h:
        * tao/IOPC.i:
        * tao/Messaging_PolicyValueC.cpp:
        * tao/Messaging_PolicyValueC.h:
        * tao/Messaging_PolicyValueC.i:
        * tao/Messaging_SyncScopeC.cpp:
        * tao/Messaging_SyncScopeC.h:
        * tao/Messaging_SyncScopeC.i:
        * tao/ORB.h:
        * tao/ObjectIdListC.cpp:
        * tao/ObjectIdListC.h:
        * tao/ObjectIdListC.i:
        * tao/ObjectReferenceTemplateC.cpp:
        * tao/ObjectReferenceTemplateC.h:
        * tao/ObjectReferenceTemplateC.i:
        * tao/Object_KeyC.cpp:
        * tao/Object_KeyC.h:
        * tao/Object_KeyC.i:
        * tao/OctetSeqC.cpp:
        * tao/OctetSeqC.h:
        * tao/OctetSeqC.i:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.i:
        * tao/Policy_ForwardC.cpp:
        * tao/Policy_ForwardC.h:
        * tao/Policy_ForwardC.i:
        * tao/PollableC.cpp:
        * tao/PollableC.h:
        * tao/PollableC.i:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/PortableInterceptorC.i:
        * tao/Seq_VarOut_T.cpp:
        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.inl:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/ServicesC.cpp:
        * tao/ServicesC.h:
        * tao/ServicesC.i:
        * tao/StringSeqC.cpp:
        * tao/StringSeqC.h:
        * tao/StringSeqC.i:
        * tao/TAOC.cpp:
        * tao/TAOC.h:
        * tao/TAOC.i:
        * tao/TimeBaseC.cpp:
        * tao/TimeBaseC.h:
        * tao/TimeBaseC.i:
        * tao/corbafwd.h:

          Changed sequence generation to create a class that inherits
          from the template class instead of just a typedef. Also
          regenerated hand-crafted files in the TAO library.

        Fri Mar 28 19:12:40 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/CONV_FRAMEC.cpp:
        * tao/CONV_FRAMEC.h:
        * tao/CONV_FRAMEC.i:
        * tao/CurrentC.cpp:
        * tao/CurrentC.h:
        * tao/CurrentC.i:
        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/DynamicC.cpp:
        * tao/DynamicC.h:
        * tao/DynamicC.i:
        * tao/GIOPC.cpp:
        * tao/GIOPC.h:
        * tao/GIOPC.i:
        * tao/IIOPC.cpp:
        * tao/IIOPC.h:
        * tao/IIOPC.i:

          Regenerated some hand-crafted files.

        * tao/corbafwd.h:

          Removed some forward _var and _out declarations.
          Since these are now typedefs, they can't be forward
          declared.

        * tao/Seq_VarOut_T.inl:

          Fixed a typo.

        * tao/GIOP.pidl:
        * tao/IOP.pidl:

          Modified these to use CORBA::OctetSeq instead of
          regenerating each time.

        Fri Mar 28 17:09:30 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AbstractBase.cpp:
        * tao/Environment.cpp:
        * tao/LocalObject.cpp:
        * tao/NVList.cpp:
        * tao/ORB.cpp:
        * tao/ORB.h:
        * tao/ORB.i:
        * tao/Object.cpp:
        * tao/Principal.cpp:
        * tao/Pseudo_VarOut_T.h:
        * tao/TAO.dsp:
        * tao/Typecode.cpp:
        * tao/ValueBase.cpp:
        * tao/ValueFactory.cpp:
        * tao/corbafwd.h:
        * tao/DynamicInterface/Context.cpp:
        * tao/DynamicInterface/Context.h:
        * tao/DynamicInterface/Context.inl:
        * tao/DynamicInterface/ExceptionList.h:
        * tao/DynamicInterface/ExceptionList.inl:
        * tao/DynamicInterface/Request.cpp:
        * tao/DynamicInterface/Request.h:
        * tao/DynamicInterface/Request.inl:
        * tao/DynamicInterface/Server_Request.cpp:
        * tao/DynamicInterface/Server_Request.h:

          Templatized _var and _out classes in
          DynamicInterface, added conditional explicit
          template instantiations, and updated project
          settings.

        Fri Mar 28 000:58:31 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AbstractBase.h:
        * tao/AbstractBase.inl:
        * tao/Environment.h:
        * tao/Environment.i:
        * tao/LocalObject.h:
        * tao/LocalObject.i:
        * tao/NVList.h:
        * tao/NVList.i:
        * tao/Principal.cpp:
        * tao/Principal.h:
        * tao/Principal.i:
        * tao/Pseudo_VarOut_T.h:
        * tao/ValueBase.h:
        * tao/ValueBase.i:
        * tao/ValueFactory.h:
        * tao/ValueFactory.i:
        * tao/corbafwd.h:

          Converted the _var and _out classes of most of
          the CORBA pseudo objects to the new template
          format.

        * tao/Pseudo_Value_Varout_T.cpp:
        * tao/Pseudo_Value_Varout_T.h:
        * tao/Pseudo_Value_Varout_T.inl:

          New template classes to typedef _var and _out
          implementations for ValueBase and ValueFactoryBase.

        Thu Mar 27 18:55:41 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Sequence.cpp:
        * tao/Sequence.h:

          Cosmetic changes.

        * tao/TAO.dsp:

          Added newly created inline files to the project.

        Thu Mar 27 03:00:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_predefined_type.cpp:
        * TAO_IDL/be/be_predefined_type.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/fe/fe_init.cpp:
        * TAO_IDL/include/ast_predefined_type.h:
        * tao/Adapter.cpp:
        * tao/Adapter.h:
        * tao/Object.cpp:
        * tao/Object.h:
        * tao/Object.i:
        * tao/Objref_VarOut_T.h:
        * tao/Sequence.cpp:
        * tao/Sequence.h:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/Sequence_T.i:
        * tao/TAO.dsp:
        * tao/Typecode.h:
        * tao/Typecode.i:
        * tao/ValueBase.cpp:
        * tao/ValueBase.h:
        * tao/ValueBase.i:
        * tao/Value_VarOut_T.h:
        * tao/corba.h:
        * tao/corbafwd.h:

          Finished templatizing of _var, _out and sequence
          classes, in TAO and in code generation.

        * tao/Pseudo_VarOut_T.cpp:
        * tao/Pseudo_VarOut_T.h:
        * tao/Pseudo_VarOut_T.inl:

          New files for the _var and _out classes for
          CORBA::Object and CORBA::TypeCode.

        * tao/Objref_VarOut_T.inl:
        * tao/Value_VarOut_T.inl:

          New files, empty so far.

        Wed Mar 26 18:23:46 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_component.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_structure_fwd.cpp:
        * TAO_IDL/be/be_visitor_union_fwd.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_ci.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:
        * TAO_IDL/be/be_visitor_structure_fwd/structure_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_union/union_ch.cpp:
        * TAO_IDL/be/be_visitor_union/union_ci.cpp:
        * TAO_IDL/be/be_visitor_union/union_cs.cpp:
        * TAO_IDL/be/be_visitor_union_fwd/union_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/valuetype_fwd_ch.cpp:
        * TAO_IDL/be_include/be_component.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_union.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/VarOut_T.h:
        * tao/VarOut_T.inl:

          More changes toward code generation for _var, _out and sequence
          template typedef, and conditional explicit template instantiation.

        Wed Mar 26 01:06:24 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Added code generation for sequences of abstract
          interfaces.

        * tao/Sequence_T.cpp:
        * tao/Sequence_T.i:

          Uninlined a few methods that were too long.

        * tao/Transport.cpp:

          Cut out an ELSE block to get this to work with
          changes Phil Mesnier <mesnier_p@ociweb.com> has
          made to ACE - his corresponding TAO changes are
          blocked by the branch. This file will get in
          sync again when the branch is merged.

        Tue Mar 25 21:44:34 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Sequence_T.cpp:
        * tao/Sequence_T.i:
        * tao/Sequence_T.h:

          Finished re-parametrizing the template sequence classes.

        Mon Mar 24 20:27:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:

          Changed call to AbstractBase constructor in initialization
          list of abstract interfafce to use ACE_NESTED_CLASS,
          similarly to non-abstract interfaces.

        Sun Mar 23 23:42:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Array_VarOut_T.cpp:
        * tao/Array_VarOut_T.h:
        * tao/Array_VarOut_T.inl:
        * tao/VarOut_T.cpp:
        * tao/VarOut_T.h:
        * tao/VarOut_T.inl:

          New files adding to the support of template-based
          _var and _out classes.

        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/Sequence_T.i:
        * tao/TAO.dsp:
        * tao/corba.h:
        * TAO_IDLast/ast_type.cpp:
        * TAO_IDLbe/be_interface.cpp:
        * TAO_IDLbe/be_type.cpp:
        * TAO_IDLbe/be_visitor_array/array_ch.cpp:
        * TAO_IDLbe/be_visitor_array/array_ci.cpp:
        * TAO_IDLbe/be_visitor_array/array_cs.cpp:
        * TAO_IDLbe/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDLbe/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDLbe/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDLbe/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDLbe_include/be_interface.h:
        * TAO_IDLbe_include/be_type.h:
        * TAO_IDLbe_include/be_visitor_array/array_ch.h:
        * TAO_IDLbe_include/be_visitor_array/array_ci.h:
        * TAO_IDLinclude/ast_type.h:

          Other changes to support template _var and _out
          classes.

        Sat Mar 22 18:34:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/ObjectReferenceTemplateC.cpp:
        * tao/ObjectReferenceTemplateC.h:
        * tao/ObjectReferenceTemplateC.i:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/Sequence_T.i:

          Changes to switch to template instantiation for valuetypes
          and sequences of valuetypes.

        Fri Mar 21 02:33:00 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/valuetype_fwd_ch.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * tao/Objref_VarOut_T.cpp:
        * tao/Objref_VarOut_T.h:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/TAO.dsp:
        * tao/corba.h:

          Modified code generation for sequences of object references,
          added conditional explicit template instantiation, template
          valuetype _var and _out class generation.

        * tao/Value_VarOut_T.cpp:
        * tao/Value_VarOut_T.h:

          New files for the valuetype _var and _out classes.

        Wed Mar 19 18:40:03 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_argument.cpp:
        * TAO_IDL/be/be_visitor_array.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_union_branch.cpp:
        * TAO_IDL/be/be_visitor_argument/post_invoke_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_vardecl_cs.cpp:
        * TAO_IDL/be/be_visitor_root/cdr_op.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_str_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_bounded_wstr_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_obj_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/gen_unbounded_sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_assign_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_ch.h:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_ci.h:
        * TAO_IDL/be_include/be_visitor_sequence/sequence_cs.h:

          Changed code generation to use the generated struct helpers
          for interfaces, and removed much of the code generation for
          sequences, since they will eventually all be typedefs.

        Wed Mar 19 09:38:00 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_visitor_component/component_ch.cpp:
        * TAO_IDL/be/be_visitor_component/component_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_type.h:

          Changes to code generation for sequences, _var and _out classes.
          This is just a start, lots more to come.

        Tue Mar 18 21:42:03 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/Policy_ForwardC.cpp:
        * tao/Policy_ForwardC.h:
        * tao/Policy_ForwardC.i:
        * tao/Sequence_T.cpp:
        * tao/Sequence_T.h:
        * tao/Sequence_T.i:
        * tao/corba.h:

          Interim hacks to avoid build errors. All the
          hand-crafted files will eventually be regenerated.

        * tao/Objref_VarOut_T.cpp:
        * tao/Objref_VarOut_T.h:
        * tao/Seq_VarOut_T.cpp:
        * tao/Seq_VarOut_T.h:
        * tao/Seq_VarOut_T.inl:

          New files, a start on templatizing all the
          _var and _out classes.

Tue Apr 22 13:51:45 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_CPU_Monitor.cpp:

          Only #include <sys/loadavg.h> if ACE_HAS_SYS_LOADAVG_H is defined.
          It only exists with SunOS 5.7 and later.

Tue Apr 22 14:26:31 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/RTPortableServer/RT_Servant_Dispatcher.cpp:

          In pre_invoke_remote_request(),
          get_thread_CORBA_and_native_priority() was getting called
          unconditionally, even for single-threaded configurations.
          Unfortunately, ACE_OS::thr_getprio() is not supported for
          single-threaded configurations.  Therefore, I had to restructure
          the code so that get_thread_CORBA_and_native_priority() was only
          called when needed.

Tue Apr 22 12:39:23 2003  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Messaging/Messaging_No_ImplC.h:

          Moved the #undef of TRANSPARENT after the #include's to ensure
          that it doesn't get defined again after it's already been
          #undef'ed.

Tue Apr 22 12:35:44 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/Collocation_Tests/Collocation_Test.dsp:
          Fixed test run errors.

Mon Apr 21 14:20:00 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:

          Removed extra ACE_CHECK_RETURN.

        * tests/RTCORBA/check_supported_priorities.cpp:

          Initialized <name> in sched_policy_name().

        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.cpp:

          - Removed unused <servant_activation_succeeded>.

          - Changed a couple of ACE_CHECKs to ACE_CHECK_RETURNs.

Sun Apr 20 07:55:31 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.dsw:
        * tests/Bug_1020_Basic_Regression/client.dsp:
        * tests/Bug_1020_Basic_Regression/server.dsp: Removed them from
          the repo. They dont compile with VC6.0 and spoils our daily
          builds.

Sun Apr 20 07:50:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1020_Regression/Bug_1020_Regression.dsw:
        * tests/Bug_1020_Regression/client.dsp:
        * tests/Bug_1020_Regression/server.dsp: Removed them from the
          repo. They dont compile with VC6.0 and spoils our daily builds.

Fri Apr 18 18:13:20 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:

          Modified the error checking for local interface used as
          operation parameter to disable the diagnostic if the
          operation is defined in a valuetype. Since operations
          in valuetypes are executed locally, the arguments are
          not marshaled and there is no problem with a local
          interface parameter. Thanks to Proum Chauk-Mean
          <Chauk-Mean.Proum@fr.thalesgroup.com> and Nanbor Wang
          <nanbor@cse.wustl.edu> for reporting the problem.

Fri Apr 18 17:17:35 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Any.cpp:

          Fixed bug in assignment operator. Thanks to Ossama Othman
          <ossama@uci.edu> for reporting the problem in the
          PICurrent test.

Fri Apr 18 18:04:44 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/Bug_1020_Basic_Regression/Bug_1020_Basic_Regression.dsw
        * tests/Bug_1020_Basic_Regression/client.dsp
        * tests/Bug_1020_Basic_Regression/server.dsp
        * tests/Bug_1020_Regression/Bug_1020_Regression.dsw
        * tests/Bug_1020_Regression/client.dsp
        * tests/Bug_1020_Regression/server.dsp

          Added VC project files for Bug_1020_Regression and
          Bug_1020_Basic_Regression tests.

        * tests/TAO_Tests.dsw:

          Updated to include project files for Bug_1020_Regression and
          Bug_1020_Basic_Regression tests.

Fri Apr 18 12:18:46 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/AV.mpc:
        * orbsvcs/orbsvcs/CosEvent.mpc:
        * orbsvcs/orbsvcs/DsEventLogAdmin.mpc:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:
        * orbsvcs/orbsvcs/RTEventLogAdmin.mpc:

          Added missing libraries.

Wed Apr 16 12:49:59 2003  Ossama Othman  <ossama@uci.edu>

        * TAO_IDL/be_include/be_helper.h:

          Include <stdio.h> to pull in "FILE" typedef.

Wed Apr 16 13:44:47 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/params:

          - thread_creation_flags: Added a new function that OR's together
          the scheduling scope and scheduling policy thread creation
          flags.

          - ace_sched_policy: Added a new function to return the
          ACE_SCHED_* flag.  The sched_policy() returns the THR_SCHED_*
          thread creation flag, the scope_policy() returns the THR_SCOPE_*
          thread creation flag, and the ace_sched_policy() returns the
          ACE_SCHED_* flag.

        * tao/RTCORBA/RT_ORB.cpp (modify_thread_scheduling_policy): Added
          new static method that changes the scheduling policy of the
          calling thread to match the scheduling policy specified in the
          svc.conf file.  The priority of the calling thread will be set
          to the minimum priority supported by that scheduling policy.

          This method make sense on those platform (e.g., Linux) where
          PTHREAD_SCOPE_SYSTE* is the only scheduling scope supported.  On
          other platforms, this method is a no-op since the only way to
          get the real-time threading behavior is to setup the
          PTHREAD_SCOPE_SYSTEM scheduling scope when a thread is being
          created.  On such platforms, one can set the correct scheduling
          scope and policy when creating the thread, thus not needing to
          use this method.

        * tao/RTCORBA/RT_ORBInitializer.cpp (TAO_RT_ORBInitializer): Undid
          changes from:

          Wed Feb 12 00:19:58 UTC 2003  Craig Rodrigues <crodrigu@bbn.com>

          - Since there is a new variable <ace_sched_policy_>, no
          conversions between is required between THR_SCHED_* and
          ACE_SCHED_*.

          - There is no longer a need to "automagically" change the
          scheduling policy of the thread calling
          TAO_RT_ORBInitializer::pre_init(), specially given the fact that
          the scheduling scope of a thread cannot be changed after it has
          been created, and without the scheduling scope being set
          appropriately, real-time threading behavior is not possible.

          To achieve the similar behavior as before on platforms like
          Linux that only support the PTHREAD_SCOPE_SYSTEM scheduling
          scope, please call the
          TAO_RT_ORB::modify_thread_scheduling_policy() static method.

        * tao/RTCORBA/Thread_Pool.cpp (create_dynamic_threads):

          Changed code to use the new canonical thread_creation_flags()
          routine.

        * tao/RTCORBA/Thread_Pool.cpp:
        * tao/Exception.cpp:
        * tao/corbafwd.h:

          Added TAO_RTCORBA_THREAD_CREATION_LOCATION_CODE so that failures
          in thread creation for RTCORBA thread pools can be easily
          identified.

Wed Apr 16 12:15:04 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/RTCORBA/Destroy_Thread_Pool/Destroy_Thread_Pool.cpp:
        * tests/RTCORBA/Explicit_Binding/client.cpp:
        * tests/RTCORBA/Explicit_Binding/server.cpp:
        * tests/RTCORBA/ORB_init/ORB_init.cpp:
        * tests/RTCORBA/Persistent_IOR/client.cpp:
        * tests/RTCORBA/Persistent_IOR/server.cpp:
        * tests/RTCORBA/Private_Connection/client.cpp:
        * tests/RTCORBA/Private_Connection/server.cpp:
        * tests/RTCORBA/RTMutex/server.cpp:
        * tests/RTCORBA/Server_Declared/client.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/client.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTCORBA/Thread_Pool/client.cpp:

          Check for multiple priorities is not needed for this test since
          multiple priorities are not used in this test.

        * tests/RTCORBA/Banded_Connections/client.cpp:
        * tests/RTCORBA/Client_Protocol/client.cpp:
        * tests/RTCORBA/Collocation/Collocation.cpp:
        * tests/RTCORBA/Linear_Priority/client.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:
        * tests/RTCORBA/Policy_Combinations/client.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:
        * tests/RTCORBA/Thread_Pool/client.cpp:
        * performance-tests/RTCorba/Thread_Pool/client.cpp:

          Make all real-time invocations and priority changes from a
          real-time thread rather than the main thread.  This will allow
          the test to work on platforms like Linux with root as the user
          (and the appropriate svc.conf settings).

        * tests/RTCORBA/Client_Propagated/server.cpp:
        * tests/RTCORBA/Linear_Priority/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.cpp:
        * tests/RTCORBA/Policy_Combinations/server.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/server.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Thread_Pool/server.cpp:

          Handle all real-time upcall in a real-time thread rather than
          the main thread.  This will allow the test to work on platforms
          like Linux with root as the user (and the appropriate svc.conf
          settings).

        * tests/RTCORBA/Banded_Connections/svc.conf:
        * tests/RTCORBA/Client_Propagated/svc.conf:
        * tests/RTCORBA/Client_Protocol/svc.conf:
        * tests/RTCORBA/Explicit_Binding/svc.conf:
        * tests/RTCORBA/Linear_Priority/svc.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.conf:
        * tests/RTCORBA/Policy_Combinations/svc.conf:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/svc.conf:
        * tests/RTCORBA/Server_Declared/svc.conf:
        * tests/RTCORBA/Server_Protocol/server_iiop.conf:
        * tests/RTCORBA/Server_Protocol/server_reverse.conf:
        * tests/RTCORBA/Server_Protocol/server_reverse_nt.conf:
        * tests/RTCORBA/Server_Protocol/server_shmiop.conf:
        * tests/RTCORBA/Server_Protocol/server_uiop.conf:
        * tests/RTCORBA/Thread_Pool/svc.conf:

          Updated config file to remove SCHED_FIFO as the scheduling
          policy for normal, non-RT testing.

        * tests/RTCORBA/Banded_Connections/svc.conf.xml:
        * tests/RTCORBA/Client_Propagated/svc.conf.xml:
        * tests/RTCORBA/Collocation/svc.conf.xml:
        * tests/RTCORBA/MT_Client_Protocol_Priority/svc.conf.xml:
        * tests/RTCORBA/Server_Declared/svc.conf.xml:
        * tests/RTCORBA/Thread_Pool/svc.conf.xml:

          Added missing file.

        * tests/RTCORBA/Banded_Connections/server.conf:
        * tests/RTCORBA/Banded_Connections/server.conf.xml:
        * tests/RTCORBA/Destroy_Thread_Pool/svc.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.conf:
        * tests/RTCORBA/ORB_init/svc.conf:
        * tests/RTCORBA/Persistent_IOR/svc.conf:
        * tests/RTCORBA/Policies/svc.conf:
        * tests/RTCORBA/Private_Connection/svc.conf:
        * tests/RTCORBA/RTMutex/svc.conf:
        * tests/RTCORBA/Server_Declared/server.conf:
        * tests/RTCORBA/Server_Declared/server.conf.xml:
        * tests/RTCORBA/Server_Protocol/svc.conf:
        * performance-tests/RTCorba/Thread_Pool/fudge_priorities.cpp:

          These files are no longer used.

        * tests/RTCORBA/Banded_Connections/server.cpp:
        * tests/RTCORBA/Client_Propagated/client.cpp:
        * tests/RTCORBA/Client_Propagated/server.cpp:
        * tests/RTCORBA/Client_Protocol/client.cpp:
        * tests/RTCORBA/Client_Protocol/server.cpp:
        * tests/RTCORBA/Destroy_Thread_Pool/Destroy_Thread_Pool.cpp:
        * tests/RTCORBA/Diffserv/server.cpp:
        * tests/RTCORBA/Diffserv/client.cpp:
        * tests/RTCORBA/Explicit_Binding/client.cpp:
        * tests/RTCORBA/Explicit_Binding/server.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:
        * tests/RTCORBA/MT_Client_Protocol_Priority/server.cpp:
        * tests/RTCORBA/Private_Connection/client.cpp:
        * tests/RTCORBA/Private_Connection/server.cpp:
        * tests/RTCORBA/RTMutex/server.cpp:
        * tests/RTCORBA/Server_Declared/client.cpp:
        * tests/RTCORBA/Server_Declared/server.cpp:
        * tests/RTCORBA/Server_Protocol/client.cpp:
        * tests/RTCORBA/Server_Protocol/server.cpp:
        * tests/RTCORBA/Thread_Pool/client.cpp:
        * tests/RTCORBA/Thread_Pool/server.cpp:

          Errors should be indicated with a return value -1 and not 1.

        * tests/RTCORBA/Banded_Connections/run_test.pl:
        * tests/RTCORBA/Client_Propagated/run_test.pl:
        * tests/RTCORBA/Collocation/run_test.pl:
        * tests/RTCORBA/Linear_Priority/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:
        * tests/RTCORBA/Policy_Combinations/run_test.pl:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/run_test.pl:
        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/Thread_Pool/run_test.pl:

          Removed incorrect error message.

        * tests/RTCORBA/MT_Client_Protocol_Priority/client.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:
        * examples/RTCORBA/Activity/Activity.cpp:
        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.cpp:

          Use thread_creation_flags() to create invocation threads.

        * tests/RTCORBA/Policy_Combinations/server.cpp:

          Fixed the use of calling sched_policy() to calling
          ace_sched_policy().

        * tests/RTCORBA/MT_Client_Protocol_Priority/svc.conf:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:

          No need for separate client.conf and server.conf files.  Options
          can be combined into one svc.conf file.

        * tests/RTCORBA/Linear_Priority/client.cpp:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:

          Gave the Worker_Threads a stack based instance of the
          Thread_Manager rather than using the singleton instance.

        * tests/RTCORBA/Client_Propagated/client.cpp:

          Don't fix the scheduling policy value - use ace_sched_policy()
          to get the scheduling policy in use.

        * tests/RTCORBA/check_supported_priorities.cpp:

          - check_supported_priorities(): No need for conversions - simply
          use the new ace_sched_policy().

          - sched_policy_name(): Added a helper routine to help convert
          scheduling policy constants into strings.

        * tests/RTCORBA/Server_Declared/run_test.pl:
        * tests/RTCORBA/MT_Client_Protocol_Priority/run_test.pl:

          Fixed the priority values for Solaris since they were not in the
          SCHED_FIFO range for Solaris 5.7.

        * performance-tests/RTCorba/Thread_Pool/client.cpp:

          - Removed the <continuous_workers_are_rt> options since all
          threads have to be of the same scope to get the mapping correct.

          - No need to call fudge_priorities() since the main thread no
          longer makes real-time invocations.

        * examples/RTCORBA/Activity/Activity.cpp:

          - No need to store <scope_policy> since it is available from ORB
          params.

          - init_sched() is not needed and was removed.

          - Simplified call to activate().

        * orbsvcs/orbsvcs/Notify/CosNotify_Service:
        * orbsvcs/orbsvcs/Notify/Properties:

          - init_main_thread() was removed since it was not needed or
          used.

          - Removed <scope_policy> and <sched_policy> since these are
          available from ORB params.

        * $ACE_ROOT/bin/tao_orb_tests.lst:

          - All RTCORBA tests should now run on Linux.  If there are
          insuffient number of priorities in the scheduling policy
          selected, the test should exit gracefully.

          - Fixed the !ST settings.  Server_Protocol, Private_Connection,
          ORB_init, Explicit_Binding, and Client_Protocol should work with
          the single threaded configuration.

Wed Apr 16 13:44:47 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/PortableServer/Object_Adapter (Non_Servant_Upcall):

          Nested non-servant upcalls were not being handling correctly.
          Added <non_servant_upcall_nesting_level_> that counts the current
          nesting level.  Also added a <previous_> pointer so that
          Non_Servant_Upcall instances can be chained.

          Thanks to Weston Markham <wmarkham@tissueinformatics.com> for
          pointing this out.  This fixes bug #1432.

Wed Apr 16 12:15:04 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tests/POA/Nested_Non_Servant_Upcalls:

          New test to ensure that nested non-servant upcalls are handled
          correctly.

          The following files were added:

          - Makefile
          - Nested_Non_Servant_Upcalls.cpp
          - Nested_Non_Servant_Upcalls.dsp
          - Nested_Non_Servant_Upcalls.dsw
          - Nested_Non_Servant_Upcalls.mpc
          - makefile.bor
          - run_test.pl
          - test.idl

          The following files were modified:

          - $ACE_ROOT/THANKS
          - $ACE_ROOT/bin/tao_orb_tests.lst
          - tests/TAO_Tests.dsw
          - tests/POA/Makefile
          - tests/POA/Makefile.bor
          - tests/POA/README

Wed Apr 16 12:15:04 2003  Irfan Pyarali  <irfan@oomworks.com>

        * tao/PortableServer/POA.h (server_protocol):

          Made this method virtual so that the correct derived real-time
          method gets invoked.  Thanks to Craig Rodrigues
          <crodrigu@bbn.com> for pointing this out.  This fixes bug 1466.

Wed Apr 16 08:27:21 2003  Ossama Othman  <ossama@uci.edu>

        * tao/CORBA_String.cpp:

          Include "ace/streams.h" to pull in iostream class declarations.

        * tao/Exception.h:

          Include <stdio.h> to pull in "FILE" typedef.

Wed Apr 16 13:57:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
          Reverted accidently committed test change.

Wed Apr 16 01:41:20 2003  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/CosLoadBalancing.idl (register_load_monitor):

          Improved documentation for this method.

        * orbsvcs/orbsvcs/IOR_Multicast.cpp:
        * orbsvcs/orbsvcs/Naming/Hash_Naming_Context.h:
        * orbsvcs/orbsvcs/Naming/Storable.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:

          Include "ace/SString.h" to pull in complete ACE_CString type.

        * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp:

          Include "ace/ACE.h" to pull in ACE::nibble2hex() function
          declaration.

        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Hash.h:

          Include "ace/ACE.h" to pull in ACE::hash_pjw() function
          declaration.

Wed Apr 16 00:47:50 2003  Ossama Othman  <ossama@uci.edu>

        * tao/Acceptor_Registry.h:
        * tao/Protocol_Factory.h:

          Include "ace/SStringfwd.h" instead of "ace/SString.h".  Forward
          declarations of ACE_CString are enough.

Wed Apr 16 00:18:08 2003  Ossama Othman  <ossama@uci.edu>

        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:

          Include "ace/SString.h".  Necessitated by header inclusion
          reductions in ACE.

        * tao/AbstractBase.inl (_is_a):
        * tao/AbstractBase.cpp (_is_a):

          Uninlined this method.  There wasn't much point in inlining it
          since it is a virtual method.

        * tao/Any.cpp (create_empty):

          Marked constant initializer variables as "const".

        * tao/Any_T.cpp:

          Nuked trailing whitespace.

        * tao/CORBA_String.h:

          Include "ace/iosfwd.h" instead of "ace/streams.h" to reduce
          compile times.  Forward declarations are enough.

        * tao/CORBA_String.cpp:
        * tao/Messaging_SyncScopeC.cpp:
        * tao/corbafwd.cpp:

          Include "ace/OS.h".  Necessitated by above change.

        * tao/Exception.h:

          Include "ace/SStringfwd.h" and "ace/iosfwd.h" instead of
          "ace/SString.h".  The latter is more expensive than the former
          two.

          Forward declare "ACE_Allocator" class.  Necessitated by above
          change.

          Uninlined another CORBA::SystemException constructor.  This
          should help reduce TAO's footprint.

        * tao/GIOP_Message_Generator_Parser.h:
        * tao/Utils/Auto_Functor.h:

          Include "ace/Global_Macros.h".  Necessitated by header inclusion
          reductions.

        * tao/IIOP_Connection_Handler.cpp:
        * tao/Object.h:
        * tao/Parser_Registry.h:
        * tao/Queued_Message.h:
        * tao/corbafwd.i:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/POA.h:

          Cosmetic improvements.

        * tao/NVList.h:
        * tao/Object.cpp:
        * tao/Profile.h:

          Include "ace/Synch.h".  Necessitated by header inclusion
          reductions.

        * tao/Object_KeyC.cpp:

          Include "ace/ACE.h".  Necessitated by header inclusion
          reductions.

        * tao/Transport_Connector.h:
        * tao/Wait_Strategy.h:

          Forward declare ACE_Time_Value class.  Necessitated by header
          inclusion reductions.

        * tao/append.cpp (append):

          Added missing line feed in debugging output.

        * tao/RTCORBA/Private_Transport_Descriptor.h:

          Don't bother using the ACE_UNIMPLEMENTED_FUNC macro when
          declaring private unimplemented copy constructors and assignment
          operators.  Reduces need to include other headers.  All
          compilers supported by TAO no longer need this macro.

        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.cpp
          (validate_property):

          Do not use the deprecated Any extraction operator when checking
          the validity of the "Factories" property, i.e. use the operator
          that expects a pointer to a "const" object.

        From Carlos O'Ryan <coryan@atdesk.com>
        * tao/PortableServer/Object_Adapter.cpp (open):

          Iterate over the registered IOR interceptors so that they may be
          given the opportunity to add tagged components to the profiles
          for servants managed by the Root POA.  [Bug 1414]

        * tao/PortableServer/POA.cpp (id_to_reference_i):

          Use the POA's default ObjectReferenceTemplate to create object
          references.  [Bug 1414]

          (establish_components):

          Do not create a PortableInterceptor::IORInfo object if no IOR
          interceptors are registered.  Optimizes POA creation times for
          the common case, i.e. no registered IOR interceptors.
          [Bug 1414]

          Turned PortableInterceptor::establish_components() and
          PortableInterceptor::components_established() calls into
          non-servant upcalls.  Removes some locks that were held during
          IOR interceptor calls.  Fixes a deadlock.  [Bug 1414]

Mon Apr 14 13:19:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.h: Renamed the method
          decode_endpoints () to decode_tagged_endpoints (). The method
          decode_endpoints () is virtual in the TAO_Profile hierarchy and
          seems to have a specific semantics in all protocols. The SSL
          specifics have to be wrapped up in a seperate method which is
          private and not mixed with other protcols!

Mon Apr 14 14:16:35 2003  Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/orbsvcs/Notify/RT_Factory.cpp:
          Defined virtual base class methods to stop Suncc/HPUX ACC339
          compiler warnings.Thanks to David Smith <dts@prismtechnologies.com>
          for bringing this to attention.

Mon Apr 14 11:24:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IIOP_Profile.cpp:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/UIOP_Profile.cpp: A blunder cause by moving the
          pointer 4 bytes ahead in parse_string_i () caused lots of tests
          to fail in TAO. The pointer shift is not required, since
          TAO_Profile::parse_string () itself moves the pointer ahead at
          the right place before calling parse_string_i () on the concrete
          profile implementations.

Mon Apr 14 15:02:25 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tests/OBV/TC_Alignment/client.dsp:
        * tests/OBV/TC_Alignment/client.dsp:
          Fixed custom build dependencies in release configuration.

Mon Apr 14 14:07:18 2003  Simon McQueen  <sm@prismtechnologies.com>

        * orbsvcs/tests/Bug_1395_Regression/client.dsp:
        * orbsvcs/tests/Bug_1395_Regression/server.dsp:
          Fixed mpc generated incorrect output file entry in release
          configuration.

Mon Apr 14 06:56:12 2003  Chad Elliott  <elliott_c@ociweb.com>

        * examples/mfc/client.mpc:
        * examples/mfc/mfc.mwc:
        * examples/mfc/server.mpc:
        * orbsvcs/performance-tests/RTEvent/lib/RTEC_Perf.mpc:

          Added mpc files for these projects.

        * orbsvcs/orbsvcs/DsLogAdmin.mpc:

          Fixed the library list for this mpc file.

Mon Apr 14 11:52:30 2003  Dave Smith  <dts@prismtechnologies.com>

        * orbsvcs/PSS/PSDL_Datastore.cpp:
          For HPUX11, replaced the call to the ACE_NEW_RETURN macro with
          its expansion, as the call seems to confuse the compiler

Mon Apr 14 00:01:00 2003  <dts@axwell>

        * orbsvcs/tests/Notify/RT_lib/RT_POA_Command.h
          Removed clash with symbol defined in
          /usr/include/machine/cpu.h on HPUX.

Sun Apr 13 13:25:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IIOP_Profile.h:
        * tao/IIOP_Profile.i:
        * tao/Profile.cpp:
        * tao/Profile.h:
        * tao/Profile.i:
        * tao/Strategies/DIOP_Profile.h:
        * tao/Strategies/DIOP_Profile.i:
        * tao/Strategies/SHMIOP_Profile.h:
        * tao/Strategies/SHMIOP_Profile.i:
        * tao/Strategies/UIOP_Profile.h:
        * tao/Strategies/UIOP_Profile.i:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.i: No idea why
          virtual functions, accessors for object_key (), were inlined,
          declared and defined in every protocol. Moved the accessor to
          the base class and non-virtualized them.

Sun Apr 13 08:07:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/tmplinst.cpp: Fixed a compile error
          in explicit template instantiation builds.

Sun Apr 13 08:03:36 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Notify/Destroy/main.cpp: Fixed a warning in our
          daily builds.

Sun Apr 13 07:59:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp: Missed a
          definition of a function.

Sat Apr 12 22:54:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1482_Regression/Makefile:
        * orbsvcs/tests/Security/SecurityLevel1/Makefile:
        * docs/tutorials/Quoter/RT_Event_Service/Makefile: Updated
          dependencies.

Sat Apr 12 22:50:25 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/examples/ORT/Makefile: Updated dependencies.

Sat Apr 12 22:42:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Profile.cpp:
        * tao/Profile.h:
        * tao/IIOP_Profile.cpp:
        * tao/IIOP_Profile.h:
        * tao/Strategies/DIOP_Profile.cpp:
        * tao/Strategies/DIOP_Profile.h:
        * tao/Strategies/SHMIOP_Profile.cpp:
        * tao/Strategies/SHMIOP_Profile.h:
        * tao/Strategies/UIOP_Profile.cpp:
        * tao/Strategies/UIOP_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h: Removed a bunch
          of duplicated code in encode (), decode (), parse_string ().
          New methods by name encode_profiles (), decode_profiles (),
          parse_string_i () have been added to do protocol specific
          stuff.

          Rearranged the documentation for the Profiles classes. We had
          the same documentation repeated, and that too inconsistently
          across all the profiles. Fixed them across the board.

          Looks like we have atleast 2 other protocols based on
          TCP/IP. The next step is going to change the inheritance
          hierarchy so that they could share all their code.

Sat Apr 12 22:33:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Notify/Test_Filter/Makefile:
        * orbsvcs/tests/Notify/RT_lib/Makefile: Added guards for builds in
          which RTCORBA is turned off.

Fri Apr 11 17:00:00 2003  Roy Pollock <rpollock@ghs.com>

        * orbsvcs/orbsvcs/AV/global.h: INTEGRITY already has typedefs of
          UINT2 and UINT4, so protect the declarations with !defined(INTEGRITY)

Fri Apr 11 15:12:54 2003  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/IFR_Client/IFR_BaseS.h: Added this dummy header file so that
          it is easier to include "IFR_Base.idl" in other idl files.

Fri Apr 11 09:33:41 2003  Dave Smith  <dts@prismtechnologies.com>

        * orbsvcs/test/Notify/lib/Application_Commnad.h
        * orbsvcs/test/Notify/lib/Command_Factory_T.h
        * orbsvcs/test/Notify/lib/ConsumerAdmin_Command.h
        * orbsvcs/test/Notify/lib/EventChannel_Command.h
        * orbsvcs/test/Notify/lib/Filter_Command.h
        * orbsvcs/test/Notify/lib/Periodic_Consumer_Command.h
        * orbsvcs/test/Notify/lib/Periodic_Supplier_Command.h
        * orbsvcs/test/Notify/lib/SupplierAdmin_Command.h
          Removed clash with symbol defined in
          /usr/include/machine/cpu.h on HPUX.

Thu Apr 10 07:06:07 2003 Pradeep Gore <pradeep@oomworks.com>

        * orbsvcs/tests/Notify/RT_lib/Makefile:
        * orbsvcs/tests/Notify/Test_Filter/Makefile:
          Added missing linkage to RTCORBA.

        * orbsvcs/tests/Notify/ThreadPool/supplier.conf:
          Corrected the names of the library loaded.

        * orbsvcs/orbsvcs/.depend.Makefile.RT_Notification:
        * orbsvcs/orbsvcs/Makefile.RT_Notification:
          Added missing Structured/RT_StructuredProxyPushSupplier.cpp

        * orbsvcs/orbsvcs/Notify/Structured/RT_StructuredProxyPushSupplier.cpp
          Corrected ENV usage.

Thu Apr 10 15:01:18 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * docs/Options.html:

          Add description of the new codeset related resource factory
          options. These are -ORBNative[W]CharCodeset,
          -ORB[W]CharCodesetTranslator.

Thu Apr 10 01:39:23 2003 Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/tests/Notify/Destroy/Makefile:
        * orbsvcs/tests/Notify/Destroy/.depend.Makefile:
          Corrected the Makefile.

Thu Apr 10 10:39:02 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.cpp:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.h:

          Moved template specializations to the top of the source file
          and removed the declarations in the header file. Thanks to
          Johnny Willemsen <jwillemsen@remedy.nl> for his help with
          fixing this BCB problem.

Thu Apr 10 10:30:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/default_client.cpp:
        * tao/default_client.h:
        * tao/Client_Strategy_Factory.cpp:
        * tao/Client_Strategy_Factory.h: Added a new -ORB option,
          -ORBTransporMuxStrategyLock, and a accessor
          create_transport_mux_strategy_lock () that  returns the lock
          created by the strategy factory. The options and the accessor
          helps the user to use either a locked or a lock free transport
          muxed strategy. Please see the documentation in
          docs/Options.html for details on how to use this.

        * tao/Transport_Mux_Strategy.cpp:
        * tao/Transport_Mux_Strategy.h: Added a lock to the muxed strategy
          class. The lock will actually be created, and used by the
          concrete strategies. Looks like the all the concrete strategies
          may require some type of strategized locking. Hence this has
          been moved here with a purpose.

        * tao/Muxed_TMS.cpp:
        * tao/Muxed_TMS.h: Removed the hard coded recursive mutex, and used
          the strategized lock created by the client strategy factory
          instead.

          This fixes BUG 1491 and thanks again to Carlos for motivating
          this change.

        * docs/Options.html: Added documentation for the new options.

Thu Apr 10 13:40:02 CEST 2003  Oliver Kellogg  <oliver.kellogg@sysde.eads.net>

        * orbsvcs/orbsvcs/Event/EC_Default_Factory.cpp:
        * orbsvcs/orbsvcs/Event/Event_Channel.{h,cpp}:

          Use ACE_Unbounded_Set_Ex instead of ACE_Unbounded_Set.
          This fixes bug 1465 for RTEC.

Thu Apr 10 06:27:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/orbconf.h:
        * tao/params.cpp: Added a compile time option to configure the
          DefaultInitRef. It was hardcoded to mcast://:::

          Thanks to Carlos O'Ryan for the patch. This shold fix BUG 1488.

Thu Apr 10 000:08:15 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/TAO_Static.dsp:

          Updated project settings.

Wed Apr  9 23:23:17 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Param_Test/server.cpp:

          Added 'const' to a static char& definition which has a string
          literal on the rhs. SunOS FORTE complained about it.

Wed Apr  9 23:09:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/tmplinst.cp:

          Fixed typos.

Wed Apr  9 22:50:12 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          Fixed formatting in generated code for _unchecked_narrow().

        * TAO_IDL/be/be_visitor_component/component_cs.cpp:

          Fixed logic in code generation of _unchecked_narrow(). Thanks
          to Nanbor Wang <nanbor@cse.wustl.edu> for reporting the problem.

Wed Apr  9 15:28:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Stub.h (object_key):
        * tao/Stub.cpp: Added a new method object_key (). The methodology
          adopted by the skeletons in the collocated cases could lead to
          crashes if TAO_Stub::profile_in_use_ wasnt set. The method that
          has been added should get around that problem, by always
          returning a usable object key.

        * tao/Domain/DomainS.cpp:
        * tao/PortableServer/ImR_LocatorS.cpp:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/ThruPOA_Object_Proxy_Impl.cpp:
        * tao/RTPortableServer/RT_Collocation_Resolver.cpp:
        * orbsvcs/orbsvcs//IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs//IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs//IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs//IFRService/IFR_ExtendedS.cpp:
        * orbsvcs/orbsvcs//IFRService/IFR_Service_Utils.cpp: Edited the
          collocated portion of the generated code to use the above method.

        * TAO_IDL/be/be_visitor_operation/thru_poa_proxy_impl_ss.cpp:
          Use the above method in TAO_Stub to access the object_key.  This
          should fix [BUG 1483].

Wed Apr 09 14:54:03 2003  Pradeep Gore  <pradeep@oomworks.com>

        * orbsvcs/tests/Notify/Destroy/main.cpp:
          Invokes the NotifyExt::EventChannelFactory::destroy method.

        * orbsvcs/tests/Notify/Destroy/Destroy.mpc:
        * orbsvcs/tests/Notify/Destroy/Makefile:
        * orbsvcs/tests/Notify/Destroy/Notify_Test_Destroy.dsp:
          Makefiles.

        * orbsvcs/tests/Notify/Makefile:
        * orbsvcs/tests/Notify/Notify_Tests.dsw:
          Added the <Destroy> test.

        * orbsvcs/tests/Notify/lib/Makefile.bor:
          Move the Activation_ManagerC to the top of the Makefile to fix
          compile errors. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for this suggestion.

Wed Apr  9 13:47:26 2003  Stuart Jones  <jones_s@ociweb.com>

        * tao/Messaging/Messaging.cpp

          Added code to register exception pointer with ACE_Auto_Basic_Ptr
          when TAO is compiled with exceptions. When using AMI, a leak
          appeared if an exception was raised.  The exception was created
          on the heap, but the "raise" made a copy of this on the stack.
          See DOC bug# 1487.

Wed Apr  9 17:12:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        List of changed gathered the last weeks by me and Mark Drijver
        <mdrijver@remedy.nl>.

        * Makefile.bor:
          Removed nightlybuild because it is not needed anymore. Added
          orbsvcs/examples to the list of directories to build with a full
          build.

        * orbsvcs/examples/Makefile.bor:
        * orbsvcs/examples/RtEC/Makefile.bor:
        * orbsvcs/examples/RtEC/Simple/EC_Simple_Consumer.bor:
        * orbsvcs/examples/RtEC/Simple/EC_Simple_Service.bor:
        * orbsvcs/examples/RtEC/Simple/EC_Simple_Supplier.bor:
        * orbsvcs/examples/RtEC/Simple/Makefile.bor:
        * orbsvcs/examples/Security/Makefile.bor:
        * orbsvcs/examples/Security/Send_File/Makefile.bor:
        * orbsvcs/examples/Security/Send_File/client.bor:
        * orbsvcs/examples/Security/Send_File/server.bor:
